ubiquity (2.21.63.1+p16.04+git20160923.1840) xenial; urgency=medium

  * configure apt always at the end of installation (fixes encrypted home)

 -- Leszek Lesner <leszek@zevenos.com>  Fri, 23 Sep 2016 18:43:20 +0200

ubiquity (2.21.63.1+p16.04+git20160813.1240) xenial; urgency=medium

  * Make height bigger (set to 555) to fit in slideshow

 -- Leszek Lesner <leszek@zevenos.com>  Sat, 13 Aug 2016 12:39:46 +0200

ubiquity (2.21.63.1+p16.04+git20160804.1104) xenial; urgency=medium

  * Make width smaller (set to 914)
  * Replaced sidebar.png with a dark grey one

 -- Leszek Lesner <leszek@zevenos.com>  Thu, 04 Aug 2016 10:59:58 +0200

ubiquity (2.21.63.1+p16.04+git20160803.1423) xenial; urgency=medium

  * Make window 924 pixel wide

 -- Leszek Lesner <leszek@zevenos.com>  Wed, 03 Aug 2016 14:23:14 +0200

ubiquity (2.21.63.1+p16.04+git20160802.1206) xenial; urgency=medium

  * New sidebar image
  * Make window 770 pixel wide

 -- Leszek Lesner <leszek@zevenos.com>  Tue, 02 Aug 2016 12:06:42 +0200

ubiquity (2.21.63.1+p16.04+git20160801.1311) xenial; urgency=medium

  * Skip prepare page
  * Added Maui branding.svgz

 -- Leszek Lesner <leszek@zevenos.com>  Mon, 01 Aug 2016 13:11:29 +0200

ubiquity (2.21.63.1+p16.04+git20160707.1721) xenial; urgency=medium

  * Added new icons
  * Fixed some python comments

 -- Leszek Lesner <leszek@zevenos.com>  Thu, 07 Jul 2016 17:21:07 +0200

ubiquity (2.21.63.1+p16.04+git20160707.1643) xenial; urgency=medium

  * Updated for Maui

 -- Leszek Lesner <leszek@zevenos.com>  Thu, 07 Jul 2016 16:43:17 +0200

ubiquity (2.21.63.1+p16.04+git20160529.1328) xenial; urgency=medium

  * Fixed icon Makefile.am

 -- Leszek Lesner <leszek@zevenos.com>  Tue, 07 Jun 2016 18:16:33 +0200

ubiquity (2.21.63.1+p16.04+git20160529.1327) xenial; urgency=medium

  * Fixed python syntax for comments

 -- Leszek Lesner <leszek@zevenos.com>  Tue, 07 Jun 2016 18:04:28 +0200

ubiquity (2.21.63.1+p16.04+git20160529.1326) xenial; urgency=medium

  * Patched for Netrunner

 -- Leszek Lesner <leszek@zevenos.com>  Tue, 07 Jun 2016 17:53:45 +0200

ubiquity (2.21.63.1+p16.04+git20160529.1326) xenial; urgency=medium

  * Automatic Ubuntu CI Build

 -- Kubuntu CI <kubuntu-ci@lists.launchpad.net>  Sun, 29 May 2016 13:26:29 +0000

ubiquity (2.21.63.1) xenial; urgency=medium

  [ Iain Lane ]
  * misc.py: Ask for the 'State' property instead of 'state'. Fixes display
    of wireless page. (LP: #1572793)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Fri, 29 Apr 2016 13:40:33 -0400

ubiquity (2.21.63) xenial; urgency=medium

  * Automatic update of included source packages: user-setup
    1.63ubuntu4.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Wed, 20 Apr 2016 12:11:00 -0400

ubiquity (2.21.62) xenial; urgency=medium

  * Automatic update of included source packages: netcfg 1.135ubuntu4.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 20 Apr 2016 13:22:40 +0100

ubiquity (2.21.61) xenial; urgency=medium

  * Automatic update of included source packages: console-setup
    1.108ubuntu15.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 19 Apr 2016 21:25:45 -0400

ubiquity (2.21.60) xenial; urgency=medium

  * Automatic update of included source packages: user-setup
    1.63ubuntu3.
  * Don't crash in the Kubuntu prepare page if we're booting in EFI. Try to
    do the right thing in showing password boxes and all the trimmings for
    setting a Mok password, using the already-translated strings we have.
    (LP: #1529450)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 19 Apr 2016 13:11:19 -0400

ubiquity (2.21.59) xenial; urgency=medium

  * New wallpaper path for Ubuntu Studio

 -- Kaj Ailomaa <zequence@mousike.me>  Mon, 18 Apr 2016 11:20:13 -0400

ubiquity (2.21.58) xenial; urgency=medium

  [ Martin Pitt
  * ubiquity.service: Revert commit 6411.2.2 as this does not/can't fix
    LP #1567194 but introduces a dependency cycle between getty, plymouth, and
    ubiquity. (LP: #1570901)
  * Automatic update of included source packages: hw-detect
    1.117ubuntu2.

  [ Christopher Lee ]
  * autopilot-test: Double timeout for CI VM speed.
  * autopilot-tests: Now storing results as subunit.
  * autopilot-tests: longer timeout to handle CI VMs.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 18 Apr 2016 13:25:44 +0200

ubiquity (2.21.57) xenial; urgency=medium

  [ Mathieu Trudel-Lapierre ]
  * Automatic update of included source packages: localechooser
    2.65ubuntu4. (LP: #1551285)
  * scripts/simple-plugins: better handle passing the MokPW key to mokutil
    and the result from the command -- we explicitly can ignore errors here.
    (LP: #1567445)
  * plugin-viewer-gtk.py: fix plugin-viewer-gtk to allow showing most plugins
    correctly; useful for debugging.
  * ubiquity/plugins/ubi-prepare.py: rework password validation behavior for
    MokPW without changing user-visible strings: we only need to show feedback
    for a "good" password (of the allowable lengths), and correct the behavior
    for mismatched passwords. Also make it obvious if the chosen password is
    too short. (LP: #1560940)

  [ Shih-Yuan Lee (FourDollars) ]
  * Really make oem-config-prepare quiet when started by a non-priviledged
    user.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Wed, 13 Apr 2016 14:36:37 -0400

ubiquity (2.21.56) xenial; urgency=medium

  * Update translations from Launchpad. (LP: #1569232)
  * debian/ubiquity.ubiquity.service: Start console ttys for debugging during
    an installation. (LP: #1567194)
  * data/oem-config.target: also enable console TTYs for the OEM configuration
    target/service.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 12 Apr 2016 21:42:50 -0400

ubiquity (2.21.55) xenial; urgency=medium

  [ Jean-Baptiste Lallement ]
  * autopilot: Merged autopilot tests fixes from Chris Lee. Thanks

  [ Timo Jyrinki ]
  * Fix Kubuntu slideshow not translated, thanks to Lasse Liehu for the 
    patch (LP: #1512834)
  * Automatic update of included source packages: netcfg 1.135ubuntu3.

  [ Luke Yelavich ]
  * Automatic update of included source packages: console-setup
    1.108ubuntu14.

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 13 Apr 2016 09:38:21 +1000

ubiquity (2.21.54) xenial; urgency=medium

  * ubiquity/frontends/gtk_ui.py:
    - Extend keyboard shortcut code for accessibility profiles to work with
      flavours other than Ubuntu/Unity (LP: #1546317)
    - Disable the screen reader activation keyboard shortcut in Unity, GNOME,
      and Mate flavours. In almost all cases, the settings daemon catches the
      keystroke before Ubiquity gets it, and was preventing the blindness
      profile from being properly activated
  * Drop unused profile set method that was missed previously
  * Automatic update of included source packages: console-setup
    1.108ubuntu13, hw-detect 1.117ubuntu1, netcfg 1.135ubuntu2,
    choose-mirror 2.65ubuntu6.

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 06 Apr 2016 14:07:33 +1000

ubiquity (2.21.53) xenial; urgency=medium

  * debian/oem-config.install: install systemd units to /usr/lib/oem-config
    instead of the systemd paths. (LP: #1552621)
  * bin/oem-config-prepare: install systemd job from our copy in
    /usr/lib/oem-config.
  * bin/oem-config-wrapper: remove our special systemd units after oem config
    is completed.
  * debian/oem-config.target: Wants= network-manager.service too; so we can
    get online and possibly do NTP, downloads, etc. (LP: #1508865)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 28 Mar 2016 22:53:30 -0400

ubiquity (2.21.52) xenial; urgency=medium

  * Automatic update of included source packages: console-setup
    1.108ubuntu12.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 24 Mar 2016 23:49:54 -0400

ubiquity (2.21.51) xenial; urgency=medium

  * ubiquity/frontend/gtk_ui.py: Drop and restore privs around calling vte.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 22 Mar 2016 16:35:21 -0600

ubiquity (2.21.50) xenial; urgency=medium

  * Adjust code for change of fwupdate-%arch-signed renaming to fwupdate-signed
  * Automatic update of included source packages: hw-detect
    1.114ubuntu4.

 -- Mario Limonciello <mario_limonciello@dell.com>  Mon, 21 Mar 2016 19:23:36 +0000

ubiquity (2.21.49) xenial; urgency=medium

  * Make sure to keep fwupdate-$ARCH-signed packages installed when removing
    extra stuff from the live filesystem if on EFI.

 -- Mario Limonciello <mario_limonciello@dell.com>  Fri, 18 Mar 2016 13:29:15 -0500

ubiquity (2.21.48) xenial; urgency=medium

  * Make sure we keep mokutil files installed when we remove extra stuff from
    the installed system that was pulled in because of the live filesystem.
  * debian/control, d-i/update-control: replace pyflakes from Build-Depends
    with pyflakes3, since the binary for pyflakes3 was moved.
  * Automatic update of included source packages: console-setup
    1.108ubuntu11, grub-installer 1.128ubuntu5, hw-detect 1.114ubuntu3,
    partman-auto 134ubuntu1, partman-base 187ubuntu2, partman-
    partitioning 110ubuntu4, preseed 1.71ubuntu1, user-setup
    1.63ubuntu2.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 15 Mar 2016 14:38:58 -0400

ubiquity (2.21.47) xenial; urgency=medium

  [ Marc Deslauriers ]
  * scripts/plugininstall.py: Write initial random seed to systemd
    location (LP: #1523199)

  [ Jonathan Riddell ]
  * kde_ui.py: strip any quotes from the lsb-release values
  * Allow for alternate logos

  [ Mathieu Trudel-Lapierre ]
  * ubi-prepare: when non-free is disabled, drop the foss_disclaimer_extra
    widget, and make the whole nonfree_vbox invisible (third-party drivers and
    such are non-free, and disabling Secure Boot is unnecessary if you don't
    install any non-free drivers). (LP: #1549816)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 25 Feb 2016 14:41:41 -0500

ubiquity (2.21.46) xenial; urgency=medium

  * ubiquity/upower.py: Revert commit 6376, blank "except:" is wrong.
  * ubiquity/upower.py: Actually specify the correct D-Bus interface name
    instead of the object path name when querying the OnBattery property.
    (LP: #1547956)
  * debian/rules: Build under C.UTF-8 locale. grep 2.23 causes broken debconf
    templates to be built under the C locale.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 24 Feb 2016 16:02:19 +0100

ubiquity (2.21.45) xenial; urgency=medium

  [ Luke Yelavich ]
  * Rework the accessibility profile code to use the accessibility profile
    manager if available

  [ Mathieu Trudel-Lapierre ]
  * Don't crash if we can't reach the DBus interface for UPower.
  * Automatic update of included source packages: hw-detect
    1.114ubuntu2.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 22 Feb 2016 17:37:59 -0500

ubiquity (2.21.44) xenial; urgency=medium

  [ Iain Lane ]
  * Port the slideshow screen to WebKit 2 (LP: #1469221)
  * Automatic update of included source packages: apt-setup
    1:0.104ubuntu3, bterm-unifont 1.4, choose-mirror 2.65ubuntu4, flash-
    kernel 3.0~rc.4ubuntu58, partconf 1.49, partman-basicmethods 61,
    partman-lvm 112, partman-newworld 34, partman-xfs 58.

  [ Mathieu Trudel-Lapierre ]
  * Automatic update of included source packages: apt-setup 1:0.104ubuntu4,
    choose-mirror 2.65ubuntu5, flash-kernel 3.0~rc.4ubuntu62,
    partman-partitioning 110ubuntu3, partman-jfs 47.
  * Redesign the prepare screen for less clutter.
  * Unbreak the Kubuntu installer with respect to Secure Boot.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 16 Feb 2016 06:10:51 -0500

ubiquity (2.21.43) xenial; urgency=medium

  * ubiquity/install_misc.py: be extra careful retrieving the state of the
    SecureBoot variable the system if booted in EFI, to avoid invalid data.
    (LP: #1531779)
  * Automatic update of included source packages: base-installer
    1.158ubuntu2, console-setup 1.108ubuntu10.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 26 Jan 2016 19:23:41 -0500

ubiquity (2.21.42) xenial; urgency=medium

  * Automatic update of included source packages: grub-installer
    1.128ubuntu2.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 04 Jan 2016 16:27:15 +0000

ubiquity (2.21.41) xenial; urgency=medium

  * Pass "-term linux" when running setterm from start-ubiquity-dm, as
    without TERM set it otherwise refuses to do anything.
  * Set "Before=plymouth-quit.service plymouth-quit-wait.service" in
    ubiquity.service, so that plymouth isn't told to quit while we're busy
    starting up on its VT (LP: #1527353).
  * Automatic update of included source packages: apt-setup 1:0.104ubuntu2,
    clock-setup 0.126ubuntu1, debian-installer-utils 1.113ubuntu1, tzsetup
    1:0.81ubuntu1.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 31 Dec 2015 00:07:05 +0000

ubiquity (2.21.40) xenial; urgency=medium

  * Automatic update of included source packages: partman-auto
    131ubuntu1, partman-basicfilesystems 120ubuntu1, partman-crypto
    86ubuntu1, partman-efi 71ubuntu1, partman-partitioning 110ubuntu1.
  * debian/control: build ubiquity-frontend-gtk only for the architectures
    we might actually want to use it on, while being extremely generous:
    this leads to building on x86, arm*, and ppc*, but not on s390x.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 23 Dec 2015 11:42:48 -0500

ubiquity (2.21.39) xenial; urgency=medium

  * Automatic update of included source packages: partman-efi 62ubuntu3,
    partman-ext3 84ubuntu2, partman-xfs 57, preseed 1.64ubuntu4, apt-setup
    1:0.104ubuntu1, flash-kernel 3.0~rc.4ubuntu57, hw-detect 1.114ubuntu1,
    netcfg 1.135ubuntu1, partman-btrfs 18ubuntu1, preseed 1.68ubuntu1,
    user-setup 1.63ubuntu1, base-installer 1.158ubuntu1, grub-installer
    1.128ubuntu1, partman-target 98ubuntu1, yaboot-installer 1.1.36ubuntu1,
    choose-mirror 2.65ubuntu2.
  * Add support for disabling Secure Boot in prepare screen.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 21 Dec 2015 16:41:39 -0500

ubiquity (2.21.38) xenial; urgency=medium

  * d-i/sources.list: switch to xenial.
  * scripts/plugininstall.py: Ensure /etc/mtab is a symlink to
    /proc/self/mounts. Same fix as in finish-install 2.58.
    (Closes: #802184, #802187; LP: #1511376)
  * Automatic update of included source packages: choose-mirror
    2.65ubuntu1, partman-lvm 111.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sun, 01 Nov 2015 21:21:28 -0600

ubiquity (2.21.37) wily; urgency=medium

  * Fix the :arch ignoring bits harder, by doing the same change as 2.21.35
    but in scripts/install.py this time.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 20 Oct 2015 18:23:16 +0100

ubiquity (2.21.36) wily; urgency=medium

  * Automatic update of included source packages: console-setup 1.108ubuntu9,
    grub-installer 1.78ubuntu30, localechooser 2.65ubuntu3. I just did that
    yesterday, too.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 20 Oct 2015 16:17:28 +0100

ubiquity (2.21.35) wily; urgency=medium

  * scripts/plugininstall.py: Ignore ':arch' in package names when deciding
    which packages to keep after installing. We keep track of installed
    packages without arch, so should remove it when doing this comparison.
    (LP: #1503297)

 -- Iain Lane <iain.lane@canonical.com>  Mon, 19 Oct 2015 17:31:46 +0100

ubiquity (2.21.34) wily; urgency=medium

  [ Mathieu Trudel-Lapierre ]
  * Automatic update of included source packages: console-setup
    1.108ubuntu8, localechooser 2.65ubuntu2.
  * Set a height_request property for the details extender (the thing you can
    click to get syslog from the ubiquity slideshow window). (LP: #1507330)

  [ Aron Xu ]
  * d-i/patches/localechooser-post-base-installer.patch: update patch for
    new languagelist format.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 19 Oct 2015 17:02:29 +0100

ubiquity (2.21.33) wily; urgency=medium

  * Automatic update of included source packages: tzsetup 1:0.66ubuntu2.
    (LP: #1462688)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 01 Oct 2015 15:50:33 -0400

ubiquity (2.21.32) wily; urgency=medium

  * Resolve a spacing issue in the KDE ui.
    - Move vertial spacer for branding logo from designer file to code
    - Adjust spacing policies of the lefthand pane to do what we need:
      + the header layout doesn't expand anymore
      + the steps layout expands horizontally and verticall and additionally
        enforces its sizeHint as minimum.
      + the unused footer layout no longer expands horizontally but sticks to
        its minimum
    - Push branding logo to smaller size
      + The logo is now packed into a layout where it is spaced from left and
        right to cause an undefined shrinking as per Qt's choice. This
        effectively reduces the sizes of the logo both in width and height (as
        height is bound to width). This in turn brings the overall size down
        enough to not cause size expansion beyond "resonable" measures.
        (Reasonable being just big enough to be good looking but small enough
         to not push down on the labels in the steps widget. Latter has an
         unknown cause, but when the logo is too big it starts pushing on the
         labels, disregarding the entire sizepolicy of all involved widgets.
         If the logo is small enough this doesn't happen which either may be
         because there is a hardcoded height somewhere or the joint minimal
         size of all steps' pages is heigh enough to allow for this to happen.
         This overall layout problem has been there for years and only became
         visible now because we have a somewhat heigh widget below the steps
         layout. Ultimately this issue is going to get resolved if/when
         ubiquity gets ported to QML which is substantially more suited to
         building UIs like this with right scaling.)

 -- Harald Sitter <sitter@kde.org>  Tue, 29 Sep 2015 14:37:29 +0200

ubiquity (2.21.31) wily; urgency=medium

  [ Iain Lane ]
  * Build-Depend on the new adwaita-icon-theme instead of the old
    gnome-icon-theme.

  [ Mathieu Trudel-Lapierre ]
  * Automatic update of included source packages: user-setup
    1.48ubuntu7.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 23 Sep 2015 12:19:47 -0400

ubiquity (2.21.30) wily; urgency=medium

  [ Mathieu Trudel-Lapierre ]
  * Fix access denied crashes in calling GetDevices() for NM integration: this
    happened because we didn't specify a DBus interface for the call.
    (LP: #1495017)
  * Automatic update of included source packages: grub-installer
    1.78ubuntu29.

  [ Dan Chapman ]
  * Multiple autopilot fixes:
    - Add workaround for 'Write changes to disk' dialog. (LP: #1480430)
    - Update the use_device_desc string in generated config file use for
      english install tests.
    - Fix handling of globalRect mismatches. (LP: #1479064)
    - Fixup string comparisons to properly match Ubuntu-MATE for the english
      install tests.
    - Fix the autopilot test runner for Ubuntu-GNOME and Ubuntu-MATE.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 15 Sep 2015 17:04:57 -0400

ubiquity (2.21.29) wily; urgency=medium

  [ Harald Sitter ]
  * Refine KDE ui with slight changes to artwork and layout to improve visual
    integration with the overall desing of Breeze styled applications

  [ Jonathan Riddell ]
  * Automatic update of included source packages: console-setup
    1.108ubuntu6.

 -- Harald Sitter <sitter@kde.org>  Wed, 09 Sep 2015 11:00:10 +0200

ubiquity (2.21.28) wily; urgency=medium

  [ Sean Davis ]
  * bin/ubiquity-dm: Draw the ubiquity desktop with feh under
    Xfce environments (LP: #1437180)

  [ Mathieu Trudel-Lapierre ]
  * Automatic update of included source packages: apt-setup
    1:0.80ubuntu8, base-installer 1.144ubuntu2, flash-kernel
    3.0~rc.4ubuntu55, hw-detect 1.95ubuntu7, partconf 1.48, partman-base
    187ubuntu1, partman-basicmethods 60, partman-jfs 46, partman-lvm
    110, partman-newworld 33, partman-xfs 56, user-setup 1.48ubuntu6.
  * Update timezone map to add North Korea (Pyongyang time). (LP: #1462688)
  * Fix instances of PEP8 warning: W503 line break before binary operator.
  * Ignore the PEP8 error E402 (imports at beginning of file). There are a few
    instances where we need to set sys.path to where ubiquity files are.
  * Fix some more style errors from PEP8.
  * autogen.sh: Use any available version of automake/aclocal.

  [ Luke Yelavich ]
  * ubiquity/frontend/gtk_ui.py: We do not want to be able to focus labels
    with Orca at all. It negatively affects the install experience and
    tab/shift tab flow through the installer pages, and prevents Orca
    presenting label relationships with other widgets

  [ Max Brustkern ]
  * Update the automated autopilot installation in the vm: get the updated
    sources.list picked up by hooks by being in the right location.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 08 Sep 2015 10:58:17 -0400

ubiquity (2.21.27) wily; urgency=medium

  * Automatic update of included source packages: choose-mirror
    2.57ubuntu3, partconf 1.47, partman-lvm 109, preseed 1.64ubuntu3,
    tzsetup 1:0.66ubuntu1, localechooser 2.65ubuntu1.
  * debian/rules: wipe all environment when running tests, only set
    LANG to C.UTF-8 for debconf to be able to handle the Brazil
    timezones' accents.
  * d-i/sources.list: switch to wily release.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 04 Jun 2015 10:34:59 -0400

ubiquity (2.21.26) vivid; urgency=medium

  * ubiquity/plugins/ubi-console-setup.py: use untranslated keyboard
    names if translated ones do not exist LP: #1182784
  * Automatic update of included source packages: console-setup
    1.108ubuntu5.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 27 Apr 2015 13:32:25 +0200

ubiquity (2.21.25) vivid; urgency=medium

  * GTK/KDE UI: Don't apply the reboot/poweroff race hack when running under
    an actual display-manager, i. e. go back to what we always did there. This
    fixes restarting the greeter after clicking "restart" at the end of
    installation. lightdm and friends do a proper shutdown already, it's just
    ubiquity-dm which is racy here.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 21 Apr 2015 18:09:57 +0100

ubiquity (2.21.24) vivid; urgency=medium

  * Revert ubiquity.service changes (r6294) from previous upload. It's not
    necessary to fix proper shutdown, and broke the "Try Ubuntu" button in
    ubiquity-dm.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 21 Apr 2015 09:49:16 +0100

ubiquity (2.21.23) vivid; urgency=medium

  * Stop running ubiquity.service as an oneshot service, as this blocks the
    initial boot transaction (including ureadahead etc.). Instead, manually
    start lightdm in the cases where we don't want ubiquity-dm.
  * GTK/KDE UI: GTK/KDE UI: Fix race between calling reboot/poweroff and the
    later stopping of the spawned X server by ubiquity-dm. We need to first
    shut down X orderly and then reboot/poweroff to get a proper transition to
    Plymouth.  This is a rather nasty hack; fixing this properly requires some
    more intrusive reeingeering. (LP: #1445587)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 20 Apr 2015 18:41:11 +0100

ubiquity (2.21.22) vivid; urgency=medium

  * Automatic update of included source packages: partman-efi 62ubuntu2,
    user-setup 1.48ubuntu5.
  * debian/ubiquity.templates: add a string for "Continue in UEFI mode".
  * ubiquity/plugins/ubi-partman.py: Fix up the buttons for the non_efi_system
    question to use the new string for UEFI mode.
  * ubiquity/plugins/ubi-partman.py: try to reverse the meaning of the debconf
    partman-efi/non_efi_system question so that "Continue in UEFI mode" will
    actually really mean continuing with setting up an EFI System Partition
    and "Go Back" will properly return to the partitioning scheme selection
    page and allow to try again without an ESP. (LP: #1444104)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 16 Apr 2015 14:27:08 -0500

ubiquity (2.21.21) vivid; urgency=medium

  * KDE: ubiquity/plugins/ubi-console-setup.py workaround for LP: #1182784

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 15 Apr 2015 19:28:00 +0200

ubiquity (2.21.20) vivid; urgency=medium

  * Automatic update of included source packages: partman-auto
    125ubuntu2.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 14 Apr 2015 23:05:13 -0500

ubiquity (2.21.19) vivid; urgency=medium

  * user-setup-encrypted-swap: Don't zero out the first 4K of the swap
    partition so that the UUID gets retained. /etc/crypttab refers to the
    cipher device via UUID. See corresponding fix in ecryptfs-utils.
    (LP: #953875)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 14 Apr 2015 10:55:05 -0500

ubiquity (2.21.18) vivid; urgency=medium

  * Overhaul for proper systemd support (LP: #1436937)
  * bin/oem-config-prepare: set the systemd default target to oem-config.target
    instead of using /var/lib/oem-config/run as a flag.
  * bin/oem-config-firstboot:
    - after removing the oem user, set the default target back to graphical.
    - call for systemd to start the graphical target, so as to complete booting
      to graphical or to TTYs after oem-config-firstboot has run.
  * debian/oem-config.target: create a new target for oem-config so that it can
    start without conflicting with a display-manager that may also want to
    start and use the oem user in auto-login.
  * debian/oem-config.oem-config.service: simplify the service's start
    conditions; we don't really need to worry about Before/After since we'll
    run in our own isolated target.
  * debian/oem-config.install: force the installation of the new target in the
    right location for systemd.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 02 Apr 2015 13:58:02 -0400

ubiquity (2.21.17) vivid; urgency=medium

  * Update the sed for the path to keyboard-configuration.config from
    console-setup to account for changes from 1.108.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 24 Mar 2015 15:16:01 -0400

ubiquity (2.21.16) vivid; urgency=medium

  * Automatic update of included source packages: grub-installer
    1.78ubuntu27, partman-base 181ubuntu2.
  * KDE: update ubiquity-dm for new Plasma wallpaper path

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Mar 2015 12:58:23 +0100

ubiquity (2.21.15) vivid; urgency=medium

  * debian/rules, debian/clean: fixup rules and clean due to the rename of
    console-setup's MyKeyboardNames.pl script to KeyboardNames.pl.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 11 Mar 2015 16:08:14 -0400

ubiquity (2.21.14) vivid; urgency=medium

  [ Paul Larson, Parameswaran Sivatharman ]
  * Get the autopilot tests up and running again.

  [ Scott Sanbar ]
  * Stop using legacy gtk-dialog-* icon names (LP: #1422113).

  [ Parth Panchal ]
  * KDE: Fix Manual Partitioner Does not Translate when Selecting a new
    Language LP: #1350855

  [ Jonathan Riddell ]
  * Automatic update of included source packages: console-setup
    1.108ubuntu4, flash-kernel 3.0~rc.4ubuntu54, grub-installer
    1.78ubuntu26, netcfg 1.127ubuntu1, partman-base 181ubuntu1.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 11 Mar 2015 18:59:18 +0100

ubiquity (2.21.13) vivid; urgency=medium

  * ubiquity/plugins/ubi-console-setup.py: revert change to use
    untranslated keyboard names, it's causing crashes when installing in
    !english LP: #1182784

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 23 Feb 2015 18:00:42 +0100

ubiquity (2.21.12) vivid; urgency=medium

  * Clean up after NetworkManager's system-connections files in prepare job
    for oem-config: we shouldn't keep wireless connections (or any, really)
    on the system that may have been setup by OEM, unless done *after* running
    oem-prepare. (LP: #1418105)
  * Force the GTK-based installer to be visible when starting, this should fix
    it being running but hidden on some Xubuntu only-ubiquity installs, which
    meant users had to Alt-Tab to it and switch language for it to appear.
    (LP: #1423161)
  * Automatic update of included source packages: grub-installer
    1.78ubuntu25.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 20 Feb 2015 17:15:16 -0500

ubiquity (2.21.11) vivid; urgency=medium

  * Be sure to include the top level linux-signed-* metapackage in our
    list of candidates to keep so we don't accidentally remove it.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 18 Feb 2015 10:26:33 -0700

ubiquity (2.21.10) vivid; urgency=medium

  * debian/ubiquity.install-any: Adjust for dropped 94extras in apt-setup

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 17 Feb 2015 18:42:54 -0700

ubiquity (2.21.9) vivid; urgency=medium

  * Automatic update of included source packages: apt-setup
    1:0.80ubuntu7, partman-auto 125ubuntu1.
  * Limit the signed kernel candidates to ones that are already on the
    media to avoid pulling in ALL of the signed kernels (LP: #1422864)

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 17 Feb 2015 16:07:38 -0700

ubiquity (2.21.8) vivid; urgency=medium

  * Automatic update of included source packages: grub-installer
    1.78ubuntu24, partman-auto 118ubuntu5, partman-efi 62ubuntu1.
  * ubiquity/plugins/ubi-partman.py: allow prompting for a missing passphrase
    on preseeded installs, if they are requesting to setup crypto.
    (LP: #1386131)
  * Add a fallback for a Greybird-themed background for the panel, for Xubuntu.
    Thanks to Simon Steinbeiß for the patch.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 04 Feb 2015 16:49:35 -0500

ubiquity (2.21.7) vivid; urgency=medium

  * bin/ubiquity-dm: update to use the proper gsettings keys for the MATE
    installer.
  * Automatic update of included source packages: partman-lvm 105.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 29 Jan 2015 14:21:46 -0500

ubiquity (2.21.6) vivid; urgency=medium

  [ Unit 193 ]
  * Start all Xfce components with --sm-client-disable.
  * Explicitly run `xfdesktop` to paint the background. (LP: #1375893)

  [ Ma Jun ]
  * lp:~maclin.jun/ubiquity/fix_1304410:
    - fix missing translation for "Change..." in the partition page

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 23 Jan 2015 13:18:51 +0100

ubiquity (2.21.5) vivid; urgency=medium

  * kde: explicitly set the KDE_SESSION_VERSION env variable to 4
    to make sure that for example QIcon uses 4.x compatibility features
    rather than 3.x ones.

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 19 Jan 2015 18:08:04 +0100

ubiquity (2.21.4) vivid; urgency=medium

  * Factorize ubiquity-dm startup logic out of
    debian/ubiquity.ubiquity.upstart into scripts/start-ubiquity-dm; don't
    call initctl emit when running under systemd.
  * Add systemd unit for ubiquity-dm.
  * start-ubiquity-dm: Make setterm failures non-fatal; under systemd
    services don't run under a PTY.
  * Add systemd unit for oem-config.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 15 Jan 2015 13:11:33 +0100

ubiquity (2.21.3) vivid; urgency=medium

  [ Martin Wimpress ]
  * Fix TypeError in ubiquity-dm for MATE desktop (LP: #1408219).

  [ Colin Watson ]
  * Automatic update of included source packages: partman-basicfilesystems
    109ubuntu1, partman-lvm 103.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 07 Jan 2015 09:42:13 +0000

ubiquity (2.21.2) vivid; urgency=medium

  [ Dimitri John Ledkov ]
  * Add --quiet option to dmidecode calls, in the future release that will
    prevent dmidecode from printing error banner if a newer than dmidecode
    smbios version has happened to be in use. LP: #1353580.
  * Add "support" for Gauja laptops and self-builts - that is do not use
    "To be filled by O.E.M." as a valid model name.
  * Remove setting translated placeholder text in the usersetup
    plugin. (LP: #1283047)
  * Drop translation messages from ubiquity.templates.
  
  [ Unit 193 ]
  * Enable the ubiquity panel in xfwm4 now since it is functional.
  
  [ Tim Lunn ]
  * scripts/plugininstall.py: Remove obsolete code to generate wallpaper
    cache, unity-settings-daemon/gnome-settings-daemon now run in install
    mode (LP: #1318621) 

  [ Martin Wimpress ]
  * Improve support for Mate desktop.

  [ Shih-Yuan Lee (FourDollars) ]
  * Fix the usage of effective uid/gid and the HOME environment variable.

  [ Dimitri John Ledkov ]
  * Automatic update of included source packages: clock-setup
    0.121ubuntu1, console-setup 1.70ubuntu11, partman-basicfilesystems
    108ubuntu1, partman-crypto 78ubuntu1, partman-jfs 45, partman-lvm
    102, partman-xfs 55.

 -- Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>  Sun, 21 Dec 2014 06:46:46 +0000

ubiquity (2.21.1) vivid; urgency=medium

  * Automatic update of included source packages: console-setup
    1.70ubuntu10, debian-installer-utils 1.109ubuntu1, partman-auto-
    crypto 22ubuntu1, partman-auto-lvm 56ubuntu1, partman-base
    180ubuntu1, partman-basicfilesystems 106ubuntu1, partman-efi
    25ubuntu7, partman-ext3 84ubuntu1, partman-jfs 44, partman-lvm 100,
    partman-partitioning 106ubuntu1, partman-target 92ubuntu1, partman-
    xfs 54, yaboot-installer 1.1.33ubuntu1.

 -- Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>  Sun, 30 Nov 2014 23:27:41 +0000

ubiquity (2.21.0) vivid; urgency=medium

  [ Colin Watson ]
  * Go forward rather than back in response to partman-crypto/passphrase and
    partman-crypto/passphrase-again questions if the UI is not available but
    they have been preseeded (LP: #1386113).

  [ Iain Lane ]
  * Port the Vte widget to use the 2.91 API.

  [ Dimitri John Ledkov ]
  * Automatic update of included source packages: choose-mirror
    2.57ubuntu2, netcfg 1.119ubuntu2, partconf 1.46, partman-base
    179ubuntu1, partman-basicfilesystems 104ubuntu1, partman-lvm 98,
    preseed 1.64ubuntu2.

 -- Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>  Wed, 12 Nov 2014 14:34:42 +0000

ubiquity (2.20.0) utopic; urgency=medium

  * Exclude free space from counts of deleted partitions.
  * There are far too many situations where we fail to accurately detect all
    the operating systems installed on the disk, and we must defend in depth
    against losing user data as a result of this.  This includes not
    misleading users into believing that an option will erase less than it
    in fact does.  Therefore, never describe the use_device autopartitioning
    mode in any way other than "Erase disk and install Ubuntu", and offer
    separate "Erase Ubuntu <version> and reinstall" and "Erase disk and
    install Ubuntu" options even if we believe that the disk only contains
    Ubuntu (LP: #1265192).
  * Always show a confirmation dialog before committing partitioning.  I've
    read considerably more reports of users having their data destroyed by
    some misunderstanding or other of the partitioner than I'm comfortable
    with; if a slightly ugly confirmation even when we think things are
    clear saves some people from that, then it's worth it, and it adds
    another layer of defence against bugs.
  * Update translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 16 Oct 2014 01:38:28 +0100

ubiquity (2.19.10) utopic; urgency=medium

  * KDE: set widget and icon theme to breeze if using Plasma 5
  * Automatic update of included source packages: grub-installer
    1.78ubuntu23.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 13 Oct 2014 18:09:11 +0200

ubiquity (2.19.9) utopic; urgency=medium

  * Revert Update ubiquity.ubiquity.upstart and bin/ubiquity to add
    support for SDDM, ubiquity-dm to SDDM transition is buggy and I
    can't work out how to debug it
  * Automatic update of included source packages: flash-kernel
    3.0~rc.4ubuntu53, grub-installer 1.78ubuntu22, user-setup
    1.48ubuntu3.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 06 Oct 2014 15:46:56 +0100

ubiquity (2.19.8) utopic; urgency=medium

  [ Colin Watson ]
  * Avoid closing /dev/urandom persistent FD on oem-config startup (thanks,
    Jamin W. Collins; LP: #1362920).

  [ Chris Bainbridge ]
  * Fix Windows UEFI detection. (LP: #1265192)

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 12 Sep 2014 14:35:57 -0400

ubiquity (2.19.7) utopic; urgency=medium

  * Update ubiquity.ubiquity.upstart and bin/ubiquity to add support for SDDM

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 01 Sep 2014 13:51:49 +0200

ubiquity (2.19.6) utopic; urgency=medium

  * ubiquity/plugins/ubi-console-setup.py: use untranslated keyboard
    names, the GTK side does not translate them and comments say they
    do not work.  KDE frontend has crashes due to keyboard names being
    translated so give up for now.  LP: #1182784

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 01 Sep 2014 19:07:50 +0200

ubiquity (2.19.5) utopic; urgency=medium

  * Re-add "console output" stanza to the oem-config upstart job to
    re-instate stdin/stdout. (LP: #1361595)
  * Automatic update of included source packages: netcfg 1.119ubuntu1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 31 Aug 2014 23:52:22 +0100

ubiquity (2.19.4) utopic; urgency=medium

  * Revert addition of sddm to upstart job head of Beta 1,
    ubiquity-dm needs some fixes to support it
  * Automatic update of included source packages: flash-kernel
    3.0~rc.4ubuntu52.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 28 Aug 2014 14:18:21 +0200

ubiquity (2.19.3) utopic; urgency=medium

  [ Rohan Garg ]
  * Add support for sddm

  [ Jonathan Riddell ]
  * Automatic update of included source packages: flash-kernel
    3.0~rc.4ubuntu51.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 27 Aug 2014 17:01:20 +0200

ubiquity (2.19.2) utopic; urgency=medium

  [ Dimitri John Ledkov ]
  * Remove redundant inactive labels in the user setup page. (LP:
    #1283047).

  [ Colin Watson ]
  * Automatic update of included source packages: partman-auto-lvm
    54ubuntu1, partman-base 175ubuntu1, partman-crypto 74ubuntu1,
    partman-lvm 91.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 12 Aug 2014 21:13:42 +0100

ubiquity (2.19.1) utopic; urgency=medium

  * Fix up python2-dbus dependency back to python3-dbus, from previous
    upload.
  * Automatic update of included source packages: grub-installer
    1.78ubuntu21, partconf 1.45build1, partman-base 174ubuntu2.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 22 Jul 2014 14:55:39 +0100

ubiquity (2.19.0) utopic; urgency=medium

  [ Rohan Garg ]
  * Make sure ubiquity-dm works on Plasma 5 KWin.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 21 Jul 2014 21:47:59 +0100

ubiquity (2.18.11) utopic; urgency=medium

  [ Martin Wimpress ]
  * Added marco (MATE window manager) support to ubiquity-dm.

  [ Dimitri John Ledkov ]
  * Automatic update of included source packages: hw-detect 1.95ubuntu4,
    partman-auto-lvm 53ubuntu1, partman-base 174ubuntu1, partman-
    basicfilesystems 97ubuntu1, partman-partitioning 101ubuntu1, preseed
    1.64ubuntu1.
  * Add "fuser -cv" before unmounting /target to figure out why it's being
    held up open when preseeding installations from nfs via cobler.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 17 Jul 2014 15:17:11 +0100

ubiquity (2.18.10) utopic; urgency=medium

  [ Aurélien Gâteau ]
  * [KDE] FIX layout of step labels in sidebar LP: #1308931

  [ Jonathan Riddell ]
  * Automatic update of included source packages: choose-mirror
    2.57ubuntu1.
  * Fix PEP8 fussyness throughout

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Jun 2014 13:09:40 +0200

ubiquity (2.18.9) utopic; urgency=medium

  * Flush print into debconf-communicate stdin PIPE, as print(...,file=)
    may not flush anymore. (LP: #1326707)
  * Switch sources to utopic.
  * Automatic update of included source packages: console-setup
    1.70ubuntu9, flash-kernel 3.0~rc.4ubuntu50, hw-detect 1.95ubuntu3,
    partman-basicfilesystems 95ubuntu1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 10 Jun 2014 01:07:43 +0100

ubiquity (2.18.8) trusty-proposed; urgency=medium

  [ Rohan Garg ]
  * LP: #1309458 KDE: ubiquity installer crashes when clicking release
    notes

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 22 Apr 2014 12:25:19 +0100

ubiquity (2.18.7) trusty; urgency=medium

  [ Aurélien Gâteau ]
  * KDE: Remove spacer to fix vertical space in sidebar LP: #1308440

  [ Dimitri John Ledkov ]
  * Fix localechooser-apply in OEM configuration mode (LP: #1307983),
    whilst previous only fixed the offline installation mode.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 16 Apr 2014 11:51:38 +0100

ubiquity (2.18.6) trusty; urgency=medium

  * Automatic update of included source packages: localechooser 2.49ubuntu5.
  * Rebase localechooser patch to account for creation of skeleton
    locale-langpack subdirectories (LP: #1307983).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 15 Apr 2014 19:58:47 +0100

ubiquity (2.18.5) trusty; urgency=medium

  * KDE frontend fixes:
   - LP: #1038522 Fix manual partitioning in installer crashes when handling many
     partitions
   - LP: #1285705: read release notes not working
   - LP: #1038522: [kde] manual partitioning in installer crashes when
     handling many partitions

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 15 Apr 2014 13:22:24 +0100

ubiquity (2.18.4) trusty; urgency=medium

  * Add power indicator to the list of indicators launched under install
    ubiquity mode.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 11 Apr 2014 15:59:44 +0100

ubiquity (2.18.3) trusty; urgency=medium

  * Add future location of indicator-keyboard-service, tolerating missing
    indicators (LP: #1306598).
  * Automatic update of included source packages: partman-auto 118ubuntu3.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 11 Apr 2014 14:38:57 +0100

ubiquity (2.18.2) trusty; urgency=medium

  * Set HOME, because without HOME GtkBuilder upon seeing a FileChooser
    button in the ui file and trying to initialise object for it throws a
    hizzy fit and aborts on an assert, if per-default it's meant to open
    present working directory and it happens to be inaccessible one like
    /root/. (LP: #1306341). This resolves launching Mythubuntu installer
    in a live session using pkexec, back in 12.04 gksudo/sudo was used
    instead.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 11 Apr 2014 05:18:42 +0100

ubiquity (2.18.1) trusty; urgency=medium

  * Fix overlay scrollbars to be used under live-session.
  * Reduce installer width, by forcing a few more labels to wrap.
  * Automatic update of included source packages: flash-kernel
    3.0~rc.4ubuntu49.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 10 Apr 2014 16:40:32 +0100

ubiquity (2.18.0) trusty; urgency=medium

  * Update translations from Launchpad (LP: #1297859).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 10 Apr 2014 13:41:46 +0100

ubiquity (2.17.13) trusty; urgency=medium

  * Copy extended attributes to target system (LP: #1302192).
  * Automatic update of included source packages: grub-installer
    1.78ubuntu20, user-setup 1.48ubuntu2.
  * Update translations from Launchpad.
  * Remove lots of cruft relating to removed Ubuntu One, webcam, and
    migration-assistant steps.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 09 Apr 2014 22:36:22 +0100

ubiquity (2.17.12) trusty; urgency=medium

  * Drop ubiquity-plugin-ubuntuone from adt tests dependencies, it's been
    removed.
  * Automatic update of included source packages: netcfg 1.116ubuntu1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 07 Apr 2014 09:50:35 +0100

ubiquity (2.17.11) trusty; urgency=medium

  * Drop U1 plugin package (LP: #1300916)
  * Automatic update of included source packages: grub-installer
    1.78ubuntu19.
  * Fix new pyflakes warnings.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 02 Apr 2014 14:45:43 +0100

ubiquity (2.17.10) trusty; urgency=low

  [ Luke Yelavich ]
  * Set up atk label association for grub boot loader location combo box in
    advanced partition editor.
  * Add Super + Alt + S as an activation keystroke for the screen reader
    profile. This mirrors the same keystroke that can be used to activate the
    screen reader when in a Unity or GNOME desktop. The Control + S keystroke
    is still present for transitional purposes, so new users don't need to
    hunt for new information when they attempt to install trusty. It will be
    removed in trusty+1.

  [ Jason Gerard DeRose ]
  * ubiquity-dm: 'indicator-application-service' =>
    'indicator-application/indicator-application-service' (LP: #1297312).

  [ Colin Watson ]
  * Resolve LABEL= and UUID= entries in /etc/crypttab into real devices
    before trying to run swapoff and test -b on them (LP: #1296697).
  * Automatic update of included source packages: flash-kernel
    3.0~rc.4ubuntu48, grub-installer 1.78ubuntu18, partconf 1.45,
    partman-jfs 43, partman-lvm 90, partman-newworld 32.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 26 Mar 2014 15:11:43 +0000

ubiquity (2.17.9) trusty; urgency=medium

  [ Matthew Paul Thomas ]
  * Remove redundant placeholder text from fields on user-entry page (LP:
    #1283047)

  [ Tim Lunn ]
  * Update ubiquity gnome-shell mode for 3.10 (LP: #1284983)

  [ Colin Watson ]
  * Remove some unused calls to laptop-detect in frontends; it's still used
    in the usersetup plugin.

  [ Aurélien Gâteau ]
  * Merge lp:~agateau/ubiquity/kde-fix-cropped-greeter-buttons
   - KDE: Fix cropped button in OEM mode
   - KDE: improve the OEM panel spacing

  [ Jonathan Riddell ]
  * Automatic update of included source packages: base-installer
    1.144ubuntu1, flash-kernel 3.0~rc.4ubuntu47, grub-installer
    1.78ubuntu16, partman-crypto 63ubuntu2.

 -- Tim Lunn <tim@feathertop.org>  Wed, 26 Feb 2014 16:59:12 +1100

ubiquity (2.17.8) trusty; urgency=medium

  * Fix deprecated warnings in nmwidgets.
  * Run test-suite under auto-allocated xvfb-run server.
  * g-i changed return values, thus convert list of integers into
    bytestring to preserve old logic in item_str. (LP: #1282640)
  * Launch unity-settings-daemon if available.
  * Automatic update of included source packages: apt-setup
    1:0.80ubuntu6, base-installer 1.143ubuntu1, choose-mirror
    2.55ubuntu1, debian-installer-utils 1.105ubuntu1, hw-detect
    1.95ubuntu2.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 21 Feb 2014 20:00:50 +0000

ubiquity (2.17.7) trusty; urgency=medium

  * Fix ubiquity-dm to create logfile directory before opening logfile

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 12 Feb 2014 12:39:14 +0000

ubiquity (2.17.6) trusty; urgency=medium

  * Automatic update of included source packages: base-installer
    1.122ubuntu21, debian-installer-utils 1.104ubuntu1.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 11 Feb 2014 17:41:37 +0000

ubiquity (2.17.5) trusty; urgency=medium

  * Fix loading indicators in ubiquity-dm.
  * Automatic update of included source packages: base-installer
    1.122ubuntu20, choose-mirror 2.50ubuntu2, console-setup 1.70ubuntu8,
    grub-installer 1.78ubuntu14, partman-auto 118ubuntu2, partman-base
    172ubuntu1, partman-btrfs 14ubuntu2, partman-lvm 89, partman-
    partitioning 99ubuntu1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 05 Feb 2014 15:58:14 +0000

ubiquity (2.17.4) trusty; urgency=medium

  [ Lars Uebernickel ]
  * Limit width of some long labels in prepare and wireless steps. (LP:
    #1260396)

  [ Dimitri John Ledkov ]
  * In the ResizeWidget's, do_draw method, call the Parent's HPaned
    do_draw method, as it does not appear to be automatically called and
    thus results in no HPaned widgets getting rendered. (LP: #1260473)
  * Migrate ResizeWidget from HPaned to Paned, and use etched-in Frames
    instead of EventBoxes for better aesthetic appearance of the "handle".
  * Automatic update of included source packages: flash-kernel
    3.0~rc.4ubuntu46, partman-auto 118ubuntu1, partman-basicmethods 58.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 22 Jan 2014 17:39:57 +0000

ubiquity (2.17.3) trusty; urgency=medium

  * Automatic update of included source packages: apt-setup 1:0.80ubuntu5,
    base-installer 1.122ubuntu19, grub-installer 1.78ubuntu10 (LP:
    #1265483), partman-basicmethods 57, partman-jfs 42, partman-lvm 88.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 03 Jan 2014 11:09:21 +0000

ubiquity (2.17.2) trusty; urgency=low

  [ Dan Chapman ]
  * Only check for error dialogs on test teardown so we can be sure we
    always catch them during autopilot tests. (lp: #1262575)

  [ Harald Sitter ]
  * KDE: Hardcode KDE_FULL_SESSION to ensure oxygen colors are picked up
         automatically.

  [ Jonathan Riddell ]
  * ubiquity-dm: call gsettings only if frontend is gtk
  * Automatic update of included source packages: flash-kernel
    3.0~rc.4ubuntu45, netcfg 1.114ubuntu1.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Dec 2013 18:05:28 +0000

ubiquity (2.17.1) trusty; urgency=low

  [ Dmitrijs Ledkovs ]
  * Drop ntfsprogs alternative depends.
  * Merge packaging change to add debian-menu entry.
  * Tidy up autopilot tests warnings.
  * Move autopilot tests to lp:ubiquity and python3.
  * Bump to automake-1.14
  * Automatic update of included source packages: flash-kernel
    3.0~rc.4ubuntu44, grub-installer 1.78ubuntu9, netcfg 1.112ubuntu1,
    partman-base 169ubuntu1, partman-basicfilesystems 86ubuntu2,
    partman-efi 25ubuntu6, partman-ext3 80ubuntu1, yaboot-installer
    1.1.29ubuntu1.

  [ Brian Murray ]
  * Use the apt cache with with so that we close the cache when we are
    done with it (LP: #1051935)
  
  [ Dan Chapman ]
  * Autopilot tests update.
  * Autopilot tests for Edubuntu's extra install pages
  
  [ Jean-Baptiste Lallement ]
  * Join auto-pilot runner.
  * fix tests to be pep8 compliant
  * add directory autopilot/ to tests/run-pep8

  [ Huan Peng ]
  * Replace "Ubuntu" with the correct flavour name in several templates
    (LP: #1197220).

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Mon, 09 Dec 2013 16:05:50 +0000

ubiquity (2.17.0) trusty; urgency=low

  [ Aurélien Gâteau ]
  * Fix going back through skipped steps in kde_ui frontend.

  [ Dmitrijs Ledkovs ]
  * Switch "wireless" and "prepare" steps around (LP: #955232)
  * Don't read proc_cmdline twice (LP: #1213748)
  * Set wallpaper for 'feh' only, for others just assume gsettings schemes
    are correct.
  * Silence progress dots with invalid a11y (LP: #1154345)

  [ Colin Watson ]
  * Automatic update of included source packages: choose-mirror 2.50ubuntu1,
    debian-installer-utils 1.100ubuntu1, netcfg 1.111ubuntu1,
    partman-auto-lvm 51ubuntu1, partman-crypto 63ubuntu1, preseed
    1.62ubuntu1.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 29 Oct 2013 07:46:26 -0700

ubiquity (2.15.26) saucy; urgency=low

  [ Dmitrijs Ledkovs ]
  * Adding custom classes to EventBox somehow kills the install now
    button event. Instead use simple bg styling. (LP: #1240532)

  [ Colin Watson ]
  * Update translations from Launchpad.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 16 Oct 2013 18:30:55 +0100

ubiquity (2.15.25) saucy; urgency=low

  * Remove all cairo styling from partition boxes in automatic
    partitioning, instead use gtk3/css styling. (LP: #947107)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 16 Oct 2013 09:58:29 +0100

ubiquity (2.15.24) saucy; urgency=low

  [ Colin Watson ]
  * Move oem user removal from upstart & wrapper into
    oem-config-firstboot, after ubiquity-dm finished executing. (LP:
    #1231166) (LP: #1239471)

  [ Dmitrijs Ledkovs ]
  * Kill any remaining oem user process before removing oem user (session
    dbus leaves zombies). (LP: #1231166)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Mon, 14 Oct 2013 18:19:27 +0100

ubiquity (2.15.23) saucy; urgency=low

  * Attempt to remove oem user again in the oem-config/post-start, after
    oem-config-first-boot setup has been completed. (LP: #1231166)
  * Load U1 Terms & Conditions page lazily when asked, instead of at U1
    plugin import time. Thus the page will only be loaded once there is a
    working internet connection and the user is signing up for U1. This
    also resolves ubiquity failing to load when booting direct live user
    session. (LP: #1226912)
  * Instead of skipping u1 plugin when offline, display "No internet
    connectivity" page and show the login later button. Thus avoiding
    hanging when installing fully offline, and explaining why U1 login was
    not available. (LP: #1237694)
  * Run debconf-updatepo to actually update templates.pot and make all the
    U1 page strings translatable. (LP: #1235192)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 11 Oct 2013 15:37:31 +0100

ubiquity (2.15.22) saucy; urgency=low

  * In U1 plugin fix ping_u1_url to not include body in a GET
    request. (LP: #1229684)
  * Update test-suite with the new expected call.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Thu, 10 Oct 2013 10:48:39 +0100

ubiquity (2.15.21) saucy; urgency=low

  [ Aurélien Gâteau ]
  * KDE: Hardcode the KDE platform plugin to get Oxygen palette

  [ Dmitrijs Ledkovs ]
  * Allow "skip" navigation control to take focus, and thus be part of the
    tab switch chain. (LP: #1231175)
  * Disable Ubuntu One plugin at OEM config setup stage (LP: #1233879)
  * Declare oem_config as False in the mock controller for the Ubuntu One plugin tests.
  * Keep Ubuntu One page for OEM client setup stage (LP: #1233879)
  * Skip Ubuntu One page when offline (LP: #1220804)
  * Automatic update of included source packages: flash-kernel
    3.0~rc.4ubuntu42, partman-auto 107ubuntu3, partman-basicfilesystems
    84ubuntu1, partman-btrfs 14ubuntu1, partman-ext3 79ubuntu1.
  * Automatic update of included source packages: hw-detect 1.95ubuntu1.

  [ Colin Watson ]
  * Update translations from Launchpad.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Mon, 07 Oct 2013 11:23:52 +0100

ubiquity (2.15.20) saucy; urgency=low

  [ Colin Watson ]
  * (Build-)depend on python3-icu rather than transitional python3-pyicu.

  [ Howard Chan ]
  * Fix the new Ubuntu Studio wallpaper backdrop for ubiquity. (LP: #1229651)

  [ Dmitrijs Ledkovs ]
  * Add dependencies on python3-pam.
  * Establish a PAM session with logind "greeter" mode in ubiquity-dm,
    resolving the following bugs:
    - WiFi page not working (LP: #1178638) (LP: #1220193)
    - Sound system / a11y not available (LP: #1229416)
    - and maybe others.
  * Automatic update of included source packages: flash-kernel
    3.0~rc.4ubuntu41.

  [ Lars Uebernickel ]
  * Force ubiquity/panel to 28 pixels height. (LP: #1207890)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 25 Sep 2013 13:36:05 +0100

ubiquity (2.15.19) saucy; urgency=low

  [ Colin Watson ]
  * Remove ReiserFS support, following Debian's removal of partman-reiserfs.

  [ Stéphane Graber ]
  * Change default wallpaper for Xubuntu. (LP: #1228098)
  * Automatic update of included source packages: flash-kernel
    3.0~rc.4ubuntu40, partman-auto 107ubuntu2, partman-basicfilesystems
    78ubuntu2, partman-efi 25ubuntu5.

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 20 Sep 2013 15:37:42 -0500

ubiquity (2.15.18) saucy; urgency=low

  * debian/tests/control: Add ubiquity-plugin-ubuntuone to Depends.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 12 Sep 2013 01:34:29 +0100

ubiquity (2.15.17) saucy; urgency=low

  [ Dmitrijs Ledkovs ]
  * Split ubuntuone page into a separate package and seed/unseed it as
    appropriate. (LP: #1218175)
  * Automatic update of included source packages: base-installer
    1.122ubuntu17, clock-setup 0.117ubuntu1, flash-kernel
    3.0~rc.4ubuntu39, partconf 1.43, partman-jfs 41, partman-lvm 87,
    partman-newworld 31, partman-xfs 53.

  [ Jeremy Bicha ]
  * Add 'ubiquity' keyword to .desktop

  [ Tim Lunn ]
  * Update default Ubuntu GNOME Background 
  * disable g-s-d background plugin for Ubuntu GNOME
  * set gsettings keys before launch g-s-d, helps with clunky transitions
  * Don't set num-workspaces as this carries through the live session
  

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 11 Sep 2013 10:18:46 +0100

ubiquity (2.15.16) saucy; urgency=low

  * Disable ubuntu one plugin on Edubuntu flavour.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Mon, 02 Sep 2013 13:47:06 +0100

ubiquity (2.15.15) saucy; urgency=low

  [ Tim Lunn ]
  * Add Ubuntu GNOME background to ubiquity-dm (LP: #1204312)
  * Use gnome-shell as wm in ubiquity-dm on Ubuntu GNOME (LP: #1214732)
  * export XDG_SESSION_ID to provide access to hijacked logind session

  [ Dmitrijs Ledkovs ]
  * Add gnome-shell as alternative window manager dependency on the
    ubiquity binary package.
  * Enable U1 page, if U1 is part of the image.
  * Do not try to install U1 keyring into encrypted home directories, not
    supported at the moment. (LP: #1217143)
  * Automatic update of included source packages: partman-basicmethods
    55.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Thu, 29 Aug 2013 01:26:09 +0100

ubiquity (2.15.14) saucy; urgency=low

  * Port autopilot tests to updated API for retrieving application proxy
    over custom dbus address.
  * Enable Ubuntu One plugin by default, against production server.
  * Drop obsolete --no-webcam option, webcam step dropped some time ago.
  * Automatic update of included source packages: clock-setup
    0.116ubuntu1, partman-auto-lvm 50ubuntu1, partman-btrfs 12ubuntu1,
    partman-crypto 60ubuntu1, partman-ext3 77ubuntu1, partman-lvm 86,
    preseed 1.60ubuntu1.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 21 Aug 2013 18:54:49 +0100

ubiquity (2.15.13) saucy; urgency=low

  [ Aurélien Gâteau ]
  * [KDE] Add network manager wifi setup page
  * Refactor network manager code to create a separte GTK class and
    base class for both frontends to use

  [ Dmitrijs Ledkovs ]
  * Properly drop privileges with pkexec by deriving UID/GID/username from
    PKEXEC_UID.

  [ Jeremy Bicha ]
  * Rename ubiquity-gtkui.desktop to ubiquity.desktop (LP: #1203223, #1203224)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Thu, 01 Aug 2013 21:10:09 +0100

ubiquity (2.15.12) saucy; urgency=low

  [ Rohan Garg ]
  * [KDE] Fix language drop down list closes on first click (LP:
    #1187762)

  [ Aurélien Gâteau ]
  * [KDE] Fix max width to 1000px on content and refactor widget stack to simplify

  [ Lars Uebernickel ]
  * Port ubiquity panel to new indicators (LP: #1204290)

  [ Dmitrijs Ledkovs ]
  * Automatic update of included source packages: debian-installer-utils
    1.98ubuntu1, partman-base 167ubuntu1.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 30 Jul 2013 12:00:21 +0100

ubiquity (2.15.11) saucy; urgency=low

  * Automatic update of included source packages: base-installer
    1.122ubuntu16, partman-newworld 30. (LP: #1184297)

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 19 Jul 2013 13:00:57 -0400

ubiquity (2.15.10) saucy; urgency=low

  [ Kaj Ailomaa ]
  * Change Ubuntu Studio background in ubiquity-dm.

  [ Jeremy Bicha ]
  * Don't tell automake to install everything to ubiquity-frontend-gtk and
    try to clean up after
  * Reorganize app icon handling
    - Fixes missing app icon in GNOME Shell (LP: #1164573)
    - Use improved icon from Humanity as fallback icon
  * Update *.install files for above changes
  * Fix minor lintian warning by not installing empty /usr/share/applications/

  [ Aurélien Gâteau ]
  * KDE: Set icon theme to Oxygen, shows icons on standalone Ubiquity

  [ Dan Chapman ]
  * Add initial autopilot support! UI testing, brave new world!

  [ Stéphane Graber ]
  * Install the shim and signed grub and kernels by default on all UEFI
    machines instead of relying on the SecureBoot nvram variable.
    (LP: #1184297)
  * Automatic update of included source packages: bterm-unifont 1.3,
    grub-installer 1.78ubuntu8, partconf 1.42, partman-basicmethods 54,
    partman-jfs 40, partman-reiserfs 55, partman-xfs 52.
  * Fix mix tabs/spaces in test_ubiquity_custom.py.
  * Fix autopkgtests not passing pyflakes.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 18 Jul 2013 18:10:17 -0400

ubiquity (2.15.9) saucy; urgency=low

  [ Dmitrijs Ledkovs ]
  * Use pyflakes3 instead of pyflakes, for better python3 checks.

  [ Aurélien Gâteau ]
  * Merge lp:~agateau/ubiquity/kde-rework-try-install-buttons
   - Make the icon part of the buttons so that they are clickable as
     well (I always click the icon and get frustrated it does not do
     anything...)
   - Use latest Oxygen icons

  [ Iain Lane ]
  * Use ISO-639-2/{B,T} codes when looking up keyboard layout variants since
    these are what's referred to in xkb-data's xorg.xml file. 

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 09 Jul 2013 11:50:03 +0100

ubiquity (2.15.8) saucy; urgency=low

  [ Colin Watson ]  
  * Fix "parition" typo in template names.

  [ Dmitrijs Ledkovs ]
  * Wrap ubiquity call in sh, due to broken desktop-file/pkexec
    interaction on XFCE and LXDE (LP: #1193526)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 25 Jun 2013 13:11:30 +0100

ubiquity (2.15.7) saucy; urgency=low

  [ Colin Watson ]
  * Consistently consider closing a question dialog as a negative response,
    not a positive one (LP: #1177115).

  [ Dmitrijs Ledkovs ]
  * Use staging U1 APIs, as production is not enabled for unverified
    accounts yet.
  * Move to automake-1.13
  * Include policykit policy file to allow pkexec ubiquity as an X11
    application for any frontend/flavour.
  * Drop all other privilege escalation methods, as pkexec is available on
    all flavours.
  * Drop "--desktop %k" from desktop files, not needed with pkexec.
  * U1 plugin: do not use subprocess.Popen.wait(), as it may cause
    block thus causing a deadlock.
  * Shade U1 logos with #DED9CB to match color scheme.
  * Automatic update of included source packages: clock-setup
    0.115ubuntu1, partconf 1.41, partman-auto 107ubuntu1, partman-base
    166ubuntu1, partman-target 83ubuntu1, yaboot-installer
    1.1.27ubuntu1.

  [ Jeremy Bicha ]
  * Use spaces not hyphens in release name such as "Ubuntu GNOME" not
    "Ubuntu-GNOME".

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 18 Jun 2013 13:04:40 +0100

ubiquity (2.15.6) saucy; urgency=low

  * Merge U1 plugin, without activating it by default at the moment. This
    plugin offers ability to login or register for U1 account, view terms
    & conditions and further information about U1.
  * Stop calling GLib.threads_init, no longer needed with new PyGI.
  * Add gir webkit, gir gnome-keyring, oauthlib to dependencies.
  * Automatic update of included source packages: partman-auto-crypto
    20ubuntu1, partman-auto-lvm 49ubuntu1, partman-basicfilesystems
    78ubuntu1, partman-ext3 75ubuntu1.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 29 May 2013 12:07:17 +0100

ubiquity (2.15.5) saucy; urgency=low

  * ubiquity/install_misc.py: Make the fake initctl pass through "initctl
    version" calls, used by such things as invoke-rc.d to figure out whether
    it's running under Upstart (LP: #1182540).
  * Automatic update of included source packages: apt-setup 1:0.80ubuntu1,
    debian-installer-utils 1.97ubuntu1, partman-basicmethods 53,
    partman-btrfs 11ubuntu1, partman-jfs 39, partman-newworld 29,
    partman-reiserfs 54, partman-xfs 51, user-setup 1.48ubuntu1.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 22 May 2013 17:27:22 +0100

ubiquity (2.15.4) saucy; urgency=low

  * Make ubiquity-frontend-debconf Architecture: any rather than all; the
    .bgf font format is architecture-dependent (LP: #1180880).
  * Automatic update of included source packages: flash-kernel
    3.0~rc.4ubuntu34.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 17 May 2013 14:52:57 +0100

ubiquity (2.15.3) saucy; urgency=low

  * Increment reference count on address before returning it from
    ubiquity_mock_resolver_lookup_by_name_finish, fixing a segfault in the
    test suite.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 15 May 2013 22:22:07 +0100

ubiquity (2.15.2) saucy; urgency=low

  * Replace recommendations of transitional uboot-mkimage and uboot-envtools
    with u-boot-tools.
  * Automatic update of included source packages: apt-setup 1:0.79ubuntu1,
    partman-target 82ubuntu1, yaboot-installer 1.1.26ubuntu1.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 15 May 2013 17:16:35 +0100

ubiquity (2.15.1) saucy; urgency=low

  * Remove consolekit integration, as consolekit is going away. This
    potentially reopens http://pad.lv/631538 - enable to shutdown system
    via indicator in ubiquity-dm session. But we can only test / re-fix
    this once systemd aware indicator-session lands on the daily image.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 01 May 2013 11:27:51 -0700

ubiquity (2.15.0) saucy; urgency=low

  * Remove support for the alpha warning.  This was much more useful some
    years back than it is now; it's only currently shown by the KDE frontend
    anyway; and it's one more thing to go wrong at the last minute before
    release.
  * Automatic update of included source packages: choose-mirror 2.45ubuntu1,
    clock-setup 0.114ubuntu1, debian-installer-utils 1.95ubuntu1,
    partman-base 165ubuntu1, partman-basicmethods 52.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 30 Apr 2013 09:17:59 -0700

ubiquity (2.14.8) raring; urgency=low

  * Disable alpha warning.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 24 Apr 2013 18:21:36 +0100

ubiquity (2.14.7) raring; urgency=low

  * [Qt Frontend] Do not allow to proceed from partitioning page when
    password is required, yet missing or does not match confirmation
    password. (LP: #1172059)

  * [Qt Frontend] Clear use as combo box, on each iteration to avoid
    duplicated entries. (LP: #1171989) Thanks merryidleness for the patch.
  * Automatic update of included source packages: base-installer
    1.122ubuntu15, flash-kernel 3.0~rc.4ubuntu33.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 24 Apr 2013 11:40:29 +0100

ubiquity (2.14.6) raring; urgency=low

  * Automatic update of included source packages: partman-auto 105ubuntu3
    (LP: #1080701).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 23 Apr 2013 13:23:23 +0100

ubiquity (2.14.5) raring; urgency=low

  * Revert LC_TIME change from previous upload since at least
    language-selector also needs to be brought into sync, and it's too late
    for 13.04.
  * Automatic update of included source packages: localechooser 2.49ubuntu4.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 18 Apr 2013 18:28:16 +0100

ubiquity (2.14.4) raring; urgency=low

  * Set LC_TIME to reflect the language rather than the location, as the
    lesser of two evils since it includes translations of day and month
    names (LP: #1160441).
  * Allow preseeding "ubiquity ubiquity/automatic/timezone boolean true" to
    skip the timezone question (LP: #1097113).  This is intended to be part
    of a more general mechanism, but not a week before release.
  * Update translations from Launchpad.
  * Automatic update of included source packages: localechooser 2.49ubuntu3.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 18 Apr 2013 15:17:02 +0100

ubiquity (2.14.3) raring; urgency=low

  * Update translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 16 Apr 2013 16:16:25 +0100

ubiquity (2.14.2) raring; urgency=low

  [ Dmitrijs Ledkovs ]
  * Do not select disabled partitioning options, even if they are at the
    top of the list, e.g. when offline, upgrade option is disabled and at
    the top of the list. (LP: #1152921) Make the upgrade option
    description also insensitive when disabled, to match visual style.
  * Do not allow encrypting, encrypted volumes, by filtering out crypto
    method from "use as" combo box. (LP: #1131761)

  [ Colin Watson ]
  * Don't strip qualifiers off the locale used for non-translation-like
    categories when only a single UTF-8 locale matches the selected location
    (LP: #1158750).
  * Automatic update of included source packages: flash-kernel
    3.0~rc.4ubuntu31.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 08 Apr 2013 13:31:51 +0100

ubiquity (2.14.1) raring; urgency=low

  * Pass --identifier-prefix=Ubiquity via
    UbiquityMockResolver_1_0_gir_SCANNERFLAGS rather than
    UbiquityMockResolver_1_0_gir_CFLAGS, fixing build failure with
    gobject-introspection >= 1.35.9.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 30 Mar 2013 23:15:26 +0000

ubiquity (2.14.0) raring; urgency=low

  [ Dmitrijs Ledkovs ]
  * ubiquity.ubiquity.upstart: exit with 1 if fails for unknown reasons
    (LP: #1151224)

  [ Jason Gerard DeRose ]
  * Add 'ubiquity-frontend-gtk' to the tuple of packages to remove in
    bin/oem-config-remove-gtk (LP: #1161943).

  [ Colin Watson ]
  * Automatic update of included source packages: flash-kernel
    3.0~rc.4ubuntu30, partman-base 163ubuntu2.
  * Update translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 30 Mar 2013 13:54:57 +0000

ubiquity (2.13.18) raring; urgency=low

  [ Aurélien Gâteau ]
  * KDE: create web view manually to ensure it starts slideshow
  * KDE: Fix the cancel button. It was missing its icon and not connected to
    an action

  [ Jonathan Riddell ]
  * 01oem-config-udeb install kubuntu slideshow for oem-config in Kubuntu
  * KDE: Untick encrypt tickbox when selecting login automatically LP: #1131459

  [ Dmitrijs Ledkovs ]
  * Drop compiz from alternative supported window managers for
    ubiquity-dm. This reverts to using metacity. It has proven to be
    unreliable.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 22 Mar 2013 15:40:56 +0000

ubiquity (2.13.17) raring; urgency=low

  * Remove webcam step (LP: #1118589):
    - User testing showed people are not expecting to be photographed and
      raise privacy concerns as to where the picture will be uploaded to.
    - Provides limited benefit, as avatar only ever shown on multi-login
      systems in the switch user indicator / pkexec.
    - Crashes the installer or doesn't work with certain webcams.
    - Miss detects camera presence, when it's just a sensor.
    - The recommendation is to move webcam test to checkbox / hw testing,
      as video conferencing is very popular these days and should work
      reliably out of the box.
    - LP: #924419 , LP: #981644 , LP: #987392, LP: #1152254, LP: #843354,
      LP: #1008204, LP: #1021449, LP: #1082458, LP: #1103780, LP: #1142751
  * Do not count optional pages, when updating the progress dots. This
    fixes "Porgress dots, well don't progress after partman step"
    LP: #1152746
  * Do not mark explanatory text on "Installation Type" screen
    insensitive, as otherwise it's ineligible (LP: #1074386)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 19 Mar 2013 15:17:51 +0000

ubiquity (2.13.16) raring; urgency=low

  * ubiquity-dm: Add UbuntuKylin background image.
  * debian/tests/control: Depend only on the debs we generate, not on "@"
    which is expanded to the udebs as well.
  * Automatic update of included source packages: console-setup 1.70ubuntu7.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 15 Mar 2013 10:51:22 +0000

ubiquity (2.13.15) raring; urgency=low

  * Re-upload due to broken hint on previous upload

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 13 Mar 2013 00:40:11 +0000

ubiquity (2.13.14) raring; urgency=low

  [ Harald Sitter ]
  * KDE: Insert spacer in sidebar to ensure it scales correctly even when
    no install steps are set (greeter mode) LP: #1153557

  [ Aurélien Gâteau ]
  * KDE: fixes the "next|install" button not changing its text back to
    "next" when it has changed to "install" and users clicks on
    "previous"
  * KDE: ensure all text is the same color and fixes spacing issues on the
    prepare step

  [ Jonathan Riddell ]
  * Automatic update of included source packages: localechooser
    2.49ubuntu2.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 12 Mar 2013 16:53:17 +0000

ubiquity (2.13.13.1) raring; urgency=low

  * install, is already imported as a module, hence the update_next_button
    karg got changed to install_now, which broke the rest of calls to
    update_next_button. Instead, simply use a positional arg for all the
    remaining calls. (LP: #1153035) This should unbreak kubuntu
    images. Kde frontend maintainers should be free to fix this otherwise,
    as long as it is pyflakes & pep8 clean.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Sun, 10 Mar 2013 02:13:53 +0000

ubiquity (2.13.13) raring; urgency=low

  [ Dmitrijs Ledkovs ]
  * Bump Standards version and override some lintian tags (ubiquity is
    weird).
  * Override expander style, which is hardcoded in light-themes to a
    light color. (LP: #1100922)
  * Consolidate CssProvider and add make minimal progress bar width 10px,
    in preparation for dot-progress of all steps.
  * Fix colour unit test, the green is no longer what it used to be...
  * Switch to "NotShowIn=KDE" for ubiquity-gtk desktop files, as most !kde
    desktop environments use gtk frontend.
  * Show progress dots for plugin pages and show progress bar only during
    slideshow.

  [ Colin Watson ]
  * Decode the output of apt_pkg.size_to_str() if necessary when
    substituting it into Unicode strings (LP: #877756, #1132918).
  * Update translations from Launchpad.

  [ Aurélien Gâteau ]
  * Turns the Ubiquity KDE window into a regular window and rework
    the layout of widgets to provide more space to the main content.
    The labels on the left now wrap to the next line if they are too long,
    ensuring they are never truncated.
  * KDE: Improve the layout of Prepare step
  * KDE: fix integration of the webview responsible for showing the slideshow
  * KDE: fix various issues with right-to-left languages

  [ Julien Lavergne ]
  * Use feh to draw the wallpaper on Lubuntu when using ubiquity-dm.

  [ Ma Jun (Kylin Team) ]
  * Fix referencing variable before assignment (LP: #945027)

  [ Kobe Lee ]
  * Show OS column in manual partitioning page. (LP: #1100694)

  [ Stéphane Graber ]
  * Fix crash in ubi-console-setup when quickly moving back and worth between
    pages. (LP: #944614)

  [ Jonathan Riddell ]
  * Add back compositing to kwin on live CD (in ubiquity-dm), whatever was wrong
    in 2008 should be fixed now and its making us look ugly

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Thu, 07 Mar 2013 19:53:52 +0000

ubiquity (2.13.12) raring; urgency=low

  [ Colin Watson ]
  * While displaying question or error dialogs, only change the busy cursor
    state rather than also allowing changing step (LP: #1095684).
  * Use an action group when marking packages for install or delete in the
    apt cache; this is much faster when many packages are involved, since it
    avoids repeating autoremoval calculations over and over again.
  * Sort and consolidate imports.
  * Fix ordering of encryption password strength indications (LP: #1068391).
  * At the end of the language install plugin, read all locale-related keys
    from (/target)/etc/default/locale and set them in the installer's own
    environment.
  * If the combination of language and location does not identify a
    supported combined locale, use a locale based on the language for
    translation-like locale categories and pick one based on the location
    for other locale categories (LP: #1094872).  There are still some
    locations where we cannot pick a language element of a location-based
    locale because this is unclear or contentious, and in those cases we
    stick to the old behaviour of having the locale only reflect the
    country.

  [ Aurélien Gâteau ]
  * KDE frontend: show name of installed OS as partition name if
    available

  [ Dmitrijs Ledkovs ]
  * Make panel.c aware of screen & display changes, prevents visual
    artefacts on nexus7 when screen is changing or external monitor is
    plugged in and resolution is changes.
  * Update disable/enable ctrl+alt+t terminal to use gsettings keys,
    instead of gconf.
  * Migrate remaining gconf settings to gsettings in ubiquity-dm.
  * Make sure to correctly set picture-uri. (LP: #1128597)
  * Refactor ubiquity-dm, now that there is less code.
  * Remove gconftool.py.
  * Automatic update of included source packages: grub-installer
    1.78ubuntu6, hw-detect 1.92ubuntu1.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Thu, 21 Feb 2013 02:53:43 +0000

ubiquity (2.13.11) raring; urgency=low

  * Remove remaining autofoo cruft from the source tree and ignore it. We
    are using dh-autoreconf.
  * If available, Use gnome-settings-daemon to set the wallpaper, instead
    of the wallpaper app. Supports changing background and screen size
    changes (e.g. like on nexus7). For derivatives that do not ship g-s-d,
    the wallpaper should be draw by their respective native means or the
    wallpaper app should be fixed or something like xloadimage could be
    used.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Sat, 16 Feb 2013 07:18:44 +0000

ubiquity (2.13.10) raring; urgency=low

  [ Colin Watson ]
  * Only force mirror/country to the value of debian-installer/country if it
    is empty or has not been preseeded (LP: #732221).
  * For automatic installs, set debian-installer/country to a country
    matching time/zone when starting up the timezone plugin, since its
    ok_handler will typically never be called (LP: #1098577).
  * Save a random seed to the installed system so that it has better entropy
    on first boot (LP: #1098299).
  * Update translations from Launchpad (LP: #1096923).
  * Refactor handling of automatic mode to make it easier to override checks
    for it in plugins.

  [ Iain Lane ]
  * Port the webcam support to GStreamer 1.0.

  [ Jonathan Riddell ]
  * Fix widget layout and logic (LP: #1066225)

  [ Dmitrijs Ledkovs ]
  * Automatic update of included source packages: partman-
    basicfilesystems 76ubuntu4, partman-efi 25ubuntu4, partman-
    partitioning 89ubuntu2, partman-target 81ubuntu1.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 06 Feb 2013 20:01:25 +0000

ubiquity (2.13.9) raring; urgency=low

  [ Luke Yelavich ]
  * bin/ubiquity-dm, ubiquity/frontend/gtk_ui.py: Remove a non-existant
    command-line flag from Orca calls.

  [ Kent Baxley ]
  * Hide the back button at the beginning of oem-config (LP: #1095692).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 10 Jan 2013 11:58:23 +0000

ubiquity (2.13.8) raring; urgency=low

  [ Colin Watson ]
  * Honour base-installer/kernel/altmeta when deciding which kernels to
    install or keep installed.

  [ Dmitrijs Ledkovs ]
  * Moving question dialog to use a glade ui file, made it non
    "re-entrant" safe, i.e. it started to remember previous action area
    buttons. The fix is to clear action area, all other parts of the
    dialog are always reset with something fresh. (LP: #1087823)
  * ubiquity-dm: compiz actually doesn't have bg-image.
  * ubi-partman: Do not allow to select encryption without lvm
    (LP: #1093957).
  * Automatic update of included source packages: debian-installer-utils
    1.94ubuntu1, flash-kernel 3.0~rc.4ubuntu29, localechooser
    2.49ubuntu1, netcfg 1.68ubuntu17, partman-auto 105ubuntu2, partman-
    auto-lvm 46ubuntu2, partman-base 163ubuntu1, partman-ext3 74ubuntu1,
    partman-jfs 38, partman-partitioning 89ubuntu1, partman-target
    80ubuntu1, preseed 1.57ubuntu2, user-setup 1.47ubuntu1.

  [ Scott Kitterman ]
  * Change encrypt home question to checkbox and indent it under the login
    option to make it clear it is a sub question to the login option
    (LP: #1066225)

  [ Jesse Sung ]
  * Fix multiple issues with Back/Stop and Continue/Connect buttons on
    wireless page (LP: #883615).

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 09 Jan 2013 15:40:19 +0000

ubiquity (2.13.7) raring; urgency=low

  * Use dh-autoreconf to avoid huge diffs when the autotools are updated.
  * Optimise all PNGs and tell pkgbinarymangler not to do so again, to save
    build time.
  * GTK frontend:
    - Fix regression causing incorrect response IDs to be returned from
      question dialogs (LP: #1085961).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 05 Dec 2012 13:56:33 +0000

ubiquity (2.13.6) raring; urgency=low

  * Don't remove kernel headers just because we're removing signed kernel
    images of the same flavour (LP: #1070427).
  * Automatic update of included source packages: yaboot-installer
    1.1.25ubuntu2.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 29 Nov 2012 17:13:37 +0000

ubiquity (2.13.5) raring; urgency=low

  * Add basic support for compiz.
  * Automatic update of included source packages: hw-detect 1.91ubuntu1,
    partman-btrfs 10ubuntu1.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Thu, 29 Nov 2012 09:37:42 +0000

ubiquity (2.13.4) raring; urgency=low

  [ Colin Watson ]
  * Huge pile of minor changes to make ubiquity compatible with pep8 1.3.

  [ Dmitrijs Ledkovs ]
  * Clear "Read release notes or update the installer" if neither action
    are possible. (LP: #1066302)
  * If there is only one disk & use_device recipe is used, change next step
    button to "Install Now". (LP: #1050044)
  * When auto-partitioning is not possible, allow to manually partition
    the same drive installation medium is on. (LP: #1053030)
  * Fix the question_dialog height-for-width (LP: #862270)
  * Fonconfig-voodoo is gone, not sure if some other "fontconfig"ury
    should be called instead. (LP: #1043031)
  * Fix partman test_windows_only: if resize option is available, use_disk
    should be available as well.
  * Fix test_translated, after moving question dialog into glade from
    construction by hand.
  * Automatic update of included source packages: base-installer
    1.122ubuntu14, debian-installer-utils 1.91ubuntu6, flash-kernel
    3.0~rc.4ubuntu28.

  [ Martin Pitt ]
  * ubiquity/gtkwidgets.py: Don't use GObject.constants, just use the
    constants from GObject as intended. Fixes a crash with pygobject
    3.7.2.
  * Use glib API from the GLib GI module instead of GObject. The latter
    has been deprecated for a long time and triggers warnings with pygobject
    3.7.2.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 27 Nov 2012 11:47:01 +0000

ubiquity (2.13.3) raring; urgency=low

  * Use simplified form of super(), available from Python 3.
  * Fix target kernel file names when only a signed kernel is present on the
    installation medium (LP: #1077388).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 13 Nov 2012 12:31:47 +0000

ubiquity (2.13.2) raring; urgency=low

  * Try to copy signed kernel from vmlinuz.efi in preference to
    vmlinuz.efi.signed; vmlinuz.efi is friendlier to archaic 8.3 file name
    restrictions which apply to isolinux.
  * Automatic update of included source packages: partman-auto 105ubuntu1,
    partman-auto-lvm 46ubuntu1, partman-crypto 55ubuntu1, partman-lvm
    82ubuntu1.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 12 Nov 2012 15:11:08 +0000

ubiquity (2.13.1) raring; urgency=low

  * Remove dead code in ubi-prepare which breaks with Python 3.3
    (LP: #1076305).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 08 Nov 2012 10:52:11 +0000

ubiquity (2.13.0) raring; urgency=low

  * Re-enable alpha warning for raring.
  * If there is a signed kernel but no unsigned one on the installation
    medium, then use sbattach to remove the signature and construct the
    unsigned kernel on the fly.
  * Automatic update of included source packages: choose-mirror 2.44ubuntu1,
    clock-setup 0.113ubuntu1, partconf 1.40, partman-base 161ubuntu1,
    partman-basicfilesystems 76ubuntu1, partman-basicmethods 51,
    partman-ext3 72ubuntu1, partman-jfs 37, partman-newworld 28, preseed
    1.55ubuntu1.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 07 Nov 2012 15:27:43 +0000

ubiquity (2.12.16) quantal-proposed; urgency=low

  * Change get_grub_choice implementation to use get_current_disk_partman_id
    instead of get_autopartition_choice so it doesn't need to parse strings.
    Implement get_current_disk_partman_id in Kde frontend to use the same code.
    (LP: #1067691)

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 17 Oct 2012 14:34:35 +0200

ubiquity (2.12.15) quantal-proposed; urgency=low

  * Make sure not to remove the signed kernel if we need it (LP: #1067659).
  * Copy the signed kernel from /cdrom/casper/vmlinuz.efi.signed.
    /cdrom/casper/vmlinuz needs to remain unsigned to avoid breaking
    checksums.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 17 Oct 2012 11:38:04 +0100

ubiquity (2.12.14) quantal-proposed; urgency=low

  * Add extra checks when determining boot parameter for grub_default,
    which prevents crashing the installer upton entering manual
    partitioning (LP: #1067566)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 17 Oct 2012 05:29:04 +0100

ubiquity (2.12.13) quantal-proposed; urgency=low

  [ Dmitrijs Ledkovs ]
  * Do not allow to edit locked partitions via double click in the Gtk
    Treeview. (LP: #1057690)

  [ Colin Watson ]
  * Fix "Mangement" typo (thanks, Yuri Chornoivan; LP: #1067228).
  * Update translations from Launchpad.

  [ Stéphane Graber ]
  * Add an extra parameter to grub_default so that the UI can force it to use a
    specific device rather than scan for / and /boot.
    Update Gtk and Kde code to pass that parameter when in auto mode.
    (LP: #1066173)
  * Automatic update of included source packages: base-installer
    1.122ubuntu13, partman-auto 103ubuntu4.

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 16 Oct 2012 19:12:03 +0200

ubiquity (2.12.12) quantal-proposed; urgency=low

  * Automatic update of included source packages: user-setup 1.46ubuntu2.
  * Update translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 Oct 2012 12:34:53 +0100

ubiquity (2.12.11) quantal; urgency=low

  [ Dmitrijs Ledkovs ]
  * Reveal grub combo box, only when setting grub options. (LP: #1064391)
    And use a frontend callback to do so. Thanks Colin for idea & patch.
  * Automatic update of included source packages: partman-auto
    103ubuntu3. (LP: #1065034)

  [ Colin Watson ]
  * Update translations from Launchpad.

  [ Jonathan Riddell ]
  * Remove formatting from recently added strings to ubiquity.template
    LP: #1065989

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 12 Oct 2012 20:39:26 +0100

ubiquity (2.12.10) quantal; urgency=low

  * Don't leave signed kernels installed if base-installer doesn't ask for
    one, to avoid unnecessarily increasing the cost of upgrades.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 10 Oct 2012 23:40:27 +0100

ubiquity (2.12.9) quantal; urgency=low

  [ Jonathan Riddell ]
  * KDE PartAuto.py Translate strings which previously were not translated.
    Thanks to Pantelis Koukousoulas

  [ Oliver Grawert ]
  * drop recommends of redboot-tools so the package can go to universe
    (LP: #1064271)

  [ Colin Watson ]
  * Try to install a signed kernel if base-installer asks for one.
  * If the SecureBoot EFI variable is set, then ensure that
    grub-efi-amd64-signed and shim-signed remain installed.
  * Update translations from Launchpad.
  * Automatic update of included source packages: base-installer
    1.122ubuntu12, console-setup 1.70ubuntu6, flash-kernel 3.0~rc.4ubuntu27,
    grub-installer 1.78ubuntu5.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 09 Oct 2012 16:21:17 +0100

ubiquity (2.12.8) quantal; urgency=low

  [ Colin Watson ]
  * Before starting to do anything with apt, generate the locale in the
    target system, copy it out, and start using it (LP: #644736).
  * Update translations from Launchpad.

  [ Stéphane Graber ]
  * Replace use of assert in install_misc by a check, revert and exception
    so that errors can be ignored by the caller, useful for langpacks.
    (LP: #898787)

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 03 Oct 2012 09:11:16 +0100

ubiquity (2.12.7) quantal; urgency=low

  [ Dmitrijs Ledkovs ]
  * Change calculate_reuse_option logic to allow upgrading development
    releases to final/newer. (LP: #1050562)
  * Automatic update of included source packages: partman-auto
    103ubuntu2 (LP: #1050562), partman-crypto 54ubuntu2. (LP: #1056707)

  [ Colin Watson ]
  * Use xz compression for binary packages.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 28 Sep 2012 14:21:13 +0100

ubiquity (2.12.6) quantal; urgency=low

  * Make the accessibility indicator menu items translatable (LP: #1040438).
    Note that this just adds the necessary infrastructure; we still need
    actual translations for this to be useful.
  * Drop dependency on realpath, not needed since hw-detect 1.89 (ubiquity
    2.11.14).
  * Bind-mount /run while installing packages in the target chroot, so that
    name resolution works (LP: #1055326).
  * Update translations from Launchpad (LP: #1056029).
  * Upgrade to Automake 1.11.6.
  * Automatic update of included source packages: debian-installer-utils
    1.91ubuntu5, flash-kernel 3.0~rc.4ubuntu26.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 28 Sep 2012 00:41:00 +0100

ubiquity (2.12.5) quantal; urgency=low

  [ Jonathan Riddell ]
  * Change from a KApplication to a QApplication to avoid using DBus, DBus
    as needed by KApplication no longer works with our multiple user changes 
    LP: #1055967

  [ Colin Watson ]
  * Partially revert r5662 (removal of more Python 2 support, from ubiquity
    2.11.33).  'from __future__ import print_function' is needed to make
    pyflakes do its job properly.
  * Remove some dead code from bin/ubiquity.
  * Improve tests/run-pyflakes to check relevant files in bin/ and tests/.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 25 Sep 2012 23:38:59 +0100

ubiquity (2.12.4) quantal; urgency=low

  * Do not offer to remove partitions nor create partition table on the
    loop mounted devices. (LP: #1055640)
  * Skip locked partitions when rebuilding cache, in a similar way as
    skipping free disk space, by sniffing locked file in the partman
    device tree. Remove locked flag, otherwise. (LP: #1055819) 
  * Hide mount combo, instead of making it insensitive to reduce clutter
    in the add/edit partition dialog. (LP: #1055815)
  * Automatic update of included source packages: flash-kernel
    3.0~rc.4ubuntu25, grub-installer 1.78ubuntu3.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 25 Sep 2012 13:10:32 +0100

ubiquity (2.12.3) quantal; urgency=low

  * Do not preseed grub-install, if we are not proceeding to install. This
    should fix ValueError, I/O operation on closed file (LP: #1027648)
    (LP: #792652)
  * Automatic update of included source packages: yaboot-installer
    1.1.22ubuntu2.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Mon, 24 Sep 2012 11:23:57 +0100

ubiquity (2.12.2) quantal; urgency=low

  * Add manual crypto partitioning (LP: #1042649)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Thu, 20 Sep 2012 18:09:10 +0100

ubiquity (2.12.1) quantal; urgency=low

  * Automatic update of included source packages: grub-installer
    1.78ubuntu2.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 20 Sep 2012 17:25:12 +0100

ubiquity (2.12.0) quantal; urgency=low

  [ Dmitrijs Ledkovs ]
  * bin/ubiquity-dm: Drop atk-bridge GTK_MODULE as this is now part of
    GTK+ 3.5.
  * bin/ubiquity-dm: Add overlay-scrollbar GTK_MODULE as this is now a
    module. (LP: #1052040)
  * Set create/edit title on the partitioning dialogs (LP: #1048464)

  [ Colin Watson ]
  * Drop reconfiguration of usplash and splashy; they were removed from the
    Ubuntu archive in natty and precise respectively.
  * Bind-mount /run while running grub-installer, so that the resolver works
    (LP: #1047550).
  * Update translations from Launchpad.
  * Automatic update of included source packages: choose-mirror 2.40ubuntu1,
    flash-kernel 3.0~rc.4ubuntu24, grub-installer 1.78ubuntu1, partman-auto
    103ubuntu1, partman-efi 25ubuntu2, user-setup 1.46ubuntu1.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 19 Sep 2012 16:42:24 +0100

ubiquity (2.11.33) quantal; urgency=low

  [ Dmitrijs Ledkovs ]
  * Make Add/Remove/Change toolbar not have a background. Thanks to
    askubuntu and andrewsomething.
  * Fix TypeError in a debug statement when resize is not possible due to
    small total disk space.
  * Remove more of Python 2 support.  We are not going back to the __future__.
  * Use py3compile, instead of pycompile.

  [ Stéphane Graber ]
  * Fix drop_all_privileges to also set LOGNAME which is required by firefox
    to contact an existing instance. (LP: #446679)

  [ Colin Watson ]
  * Automatic update of included source packages: debian-installer-utils
    1.91ubuntu4 (LP: #1049535), flash-kernel 3.0~rc.4ubuntu23.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 14 Sep 2012 12:40:52 +0100

ubiquity (2.11.32) quantal; urgency=low

  [ Jeremy Bicha ]
  * Allow specifying a manual mount point in advanced partitioner
    (LP: #1047275).

  [ Dmitrijs Ledkovs ]
  * Revert test string, to a user friendly one as it is visible in the UI.
  * Automatic update of included source packages: base-installer
    1.122ubuntu11, partman-auto-lvm 45ubuntu3, tzsetup 1:0.26ubuntu12.
  * pep8 fixes in Riddell's code

  [ Colin Watson ]
  * Remove a couple of vestiges of migration-assistant.
  * Catch OverflowError as well as ValueError from datetime functions, for
    forward-compatibility with Python 3.3.
  * Use importlib rather than __import__.
  * Install fetch-url for apt-setup's local generator (LP: #1049535).

  [ Jonathan Riddell ]
  * ubiquity/plugins/ubi-partman.py and
    ubiquity/frontend/kde_components/PartAuto.py
   - add options for LUKS and LVM automatic partitioning to KDE frontend
     (LP: #1048712)

  [ Simon Steinbeiß ]
  * Disable xfwm4's compositor in ubiquity-dm to prevent screen-corruption
    (LP: #924909)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 12 Sep 2012 22:45:51 +0100

ubiquity (2.11.31) quantal; urgency=low

  [ Colin Watson ]
  * Buffer reads from debconf-copydb.  Python 3 defaults to unbuffered reads
    from byte streams, which is much slower.
  * Port oem-config-remove-gtk to Python 3, now that
    python3-aptdaemon.gtk3widgets exists; the final piece!
  * Remove Python 2 support.  We aren't going back now.
  * Remove the rest of the long-dead PS3 port.

  [ Dmitrijs Ledkovs ]
  * Allow going from the encryption key setup page, to the disk space
    allocation page. (LP: #1046323)
  * Correctly apply styles to the title & progress sections and not the
    centre piece. This means themes are no longer required to provide non
    standard @dark_[fb]g_color colors, instead 'menubar' Gtk CSS style is
    used. This also fixes long standing a11y issues in HighContrast themes
    & requirements for non-standard color definitions. (LP: #744283)
  * Make lables in the segmented bar use the same colours as normal labels.
  * Changing the "Add/Remove/Change Partiontion" buttons to mixed
    symbolic/text buttons should make the screen comply with Ubiquity
    Design spec ( http://goo.gl/Kokw5 ) and address confusion about the
    updated screen. (LP: #1045799)
  * Fix the disappearance of crypto password field (LP: #1045716)
  * Fix misallignment of crypto password fields (LP: #1045712)
  * Make setup security key page go back to ask page (LP: #1045698)
  * Remove powerpc/ps3 low-memory profile, as it doesn't do anything any
    more. gnome-session-remove command is no longer present, and the init
    processes it tried to stop no longer exist under those names. We do
    want a low memory profile, which ubiquity-only mode now.
  * ubiquity-wrapper: Add support for udisks2 inhibit, drop devkit-disks
    inhibit. (LP: #719338)
  * Prevent progress label to expand & shrink the window (LP: #1046241)
  * Automatic update of included source packages: base-installer
    1.122ubuntu9.

  [ Dylan McCall ]
  * Fixed slideshow_get_available_locale missing new locales in
    extra_slides_dir. (LP: #1046511)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Sat, 08 Sep 2012 00:47:54 +0100

ubiquity (2.11.30) quantal; urgency=low

  * Allow to select primary/logical partitions, instead of always hiding
    it (LP: #1046175).

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 05 Sep 2012 12:08:34 +0100

ubiquity (2.11.29) quantal; urgency=low

  [ Colin Watson ]
  * Fix missing parentheses that caused removable installation media
    sometimes to be selected as the default GRUB device (LP: #987418).
  * Update translations from Launchpad (LP: #1045695).

  [ Dmitrijs Ledkovs ]
  * Automatic update of included source packages: partman-auto-lvm
    45ubuntu2. (LP: #1045812)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 04 Sep 2012 18:48:04 +0100

ubiquity (2.11.28) quantal; urgency=low

  * Fix display of installation medium mounted grid. (LP: #1044717)
    Also used pylint to find check for undefined/missing attributes in the
    ubi-partman.py. Needs integration into build system.
 
 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Mon, 03 Sep 2012 12:51:16 +0100

ubiquity (2.11.27) quantal; urgency=low

  [ Omer Akram ]
  * Fix manual partinioning edit dialog (LP: #1044545)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Sat, 01 Sep 2012 03:09:22 +0100

ubiquity (2.11.26) quantal; urgency=low

  [ Evan Dandrea ]
  * Disable alpha warning for Beta 1.

  [ Dmitrijs Ledkovs ]
  * Fix renamed translation strings (LP: #1044299)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 31 Aug 2012 16:28:18 +0100

ubiquity (2.11.25) quantal; urgency=low

  * partAsk.ui, partCrypto.ui: Normalise widget names
  * Sub-class Gtk.Builder to add get_object_ids method
  * partAdvanced.ui: Refactor advanced partitioning UI (LP: #1042642)
  * partAdvanced.ui: Add LVM & Crypto UI but hide by default
  * Activate the first option by default on the ask page (LP: #1043822)
  * Make the "Use LVM" checkbox visible by default (LP: #1042639)
  * Remove the experimental --enable-partauto-lvm, not needed anymore
  * Create gui/pixmaps -> ../pixmaps symlink, for unit-tests
    to find images (LP: #1003890)
  * Adjust translations & unit-tests for the UI widget renames
  * Add new strings for future advanced LVM & Crypto UI
  * Update translation templates

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Thu, 30 Aug 2012 18:45:25 +0100

ubiquity (2.11.24) quantal; urgency=low

  [ Dylan McCall ]
  * Tweaks to support ubiquity-slideshow's new file structure and parameter
    format (LP: #1035806)

  [ Dmitrijs Ledkovs ]
  * Automatic update of included source packages: netcfg 1.68ubuntu16.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 28 Aug 2012 18:07:08 +0100

ubiquity (2.11.23) quantal; urgency=low

  [ Luke Yelavich ]
  * Show the accessibility indicator in only-ubiquity as well.
  * Tweak the error message displayed when the accessibility indicator
    cannot be shown, to satisfy PEP tests.

  [ Colin Watson ]
  * Make ubiquity-frontend-gtk depend on the specific window managers
    supported by ubiquity-dm (LP: #1037515).
  * Automatic update of included source packages: flash-kernel
    3.0~rc.4ubuntu22, partman-auto-lvm 45ubuntu1, yaboot-installer
    1.1.22ubuntu1.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 23 Aug 2012 17:23:42 +0100

ubiquity (2.11.22) quantal; urgency=low

  [ Stéphane Graber ]
  * Fix ubiquity upstart job to use /etc/default/locale as the source of
    LANG and LANGUAGE instead of /etc/environment (LP: #1037001)

  [ Dmitrijs Ledkovs ]
  * Remove pictograms from the partAsk page
  * Make full disk encryption tickbox visible by default
  * Make the security key page layout centered and fixed
  * Automatic update of included source packages: partman-crypto
    54ubuntu1.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 17 Aug 2012 10:37:21 +0100

ubiquity (2.11.21) quantal; urgency=low

  * Fix a typpo when checking if crypto option was selected (LP: #1035167).
  * Correct a mistake in refactoring: Do not clear drive selection, just
    before switching to install interface, instead guard by checking for
    correct current page. (LP: #1034954).
  * Mark optional options as invisible by default (LP: #1035514).

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Mon, 13 Aug 2012 18:08:43 +0100

ubiquity (2.11.20) quantal; urgency=low

  * Fix incomplete simplification of KeyboardNames._load_file
    (LP: #1034960).
  * Automatic update of included source packages: flash-kernel
    3.0~rc.4ubuntu20, partman-partitioning 87ubuntu1, preseed 1.54ubuntu1.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 13 Aug 2012 10:39:35 +0100

ubiquity (2.11.19) quantal; urgency=low

  [ Colin Watson ]
  * Simplify DebconfFilter.process_line slightly.
  * Simplify KeyboardNames._load_file using collections.defaultdict.
  * Call installprogress.finish_update() when a download fails or is
    cancelled, not installprogress.finishUpdate() (LP: #1024043).

  [ Dmitrijs Ledkovs ]
  * Make the UI layout test print the failed page/step name.
  * Add crypt security key setup page and move crypt/lvm checkboxes to the
    ask page.
  * Refactor password validation from ubi-usersetup into a reusable
    component (for ubi-partman).
  * Refactor set_autopartition_options method in ubi-partman.py.
  * Add crypto option to ubi-partman.
  * Add command line flag to enable crypt checkbox on the ask page.
  * Add partman-crypto to the dependencies.
  * Add translation strings for crypto.
  * Add graphviz diagram of available ask page options.
  * Automatic update of included source packages: flash-kernel
    3.0~rc.4ubuntu17, yaboot-installer 1.1.21ubuntu1.
  * Update translations.
  * Mark test_pages_fit_on_a_netbook as expected failure. See comment.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 08 Aug 2012 14:34:07 +0100

ubiquity (2.11.18) quantal; urgency=low

  * Don't bother keeping track of keyboard model names and identifiers, as
    nothing in ubiquity uses them right now.
  * Fix reversed uses of methods mapping between keyboard layout/variant IDs
    and human-readable names, and improve method naming and documentation to
    make this mistake less likely in future (LP: #1027207, #1027620).
  * Automatic update of included source packages: debian-installer-utils
    1.91ubuntu3, flash-kernel 3.0~rc.4ubuntu9, netcfg 1.68ubuntu15.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 23 Jul 2012 11:02:13 +0100

ubiquity (2.11.17) quantal; urgency=low

  * ubiquity/plugins/ubi-partman.py: Remove a stray comma, which broke this
    plugin.
  * Parse a compact representation of keyboard layouts and variants on the
    fly, rather than building them all into a giant static Python module.
    This is much more memory-efficient.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 19 Jul 2012 11:09:16 +0100

ubiquity (2.11.16) quantal; urgency=low

  [ Dmitrijs Ledkovs ]
  * Add experimental auto-lvm recipe
  * Automatic update of included source packages: partman-auto-lvm
    44ubuntu1.
  * Update translation templates.

  [ Colin Watson ]
  * Add a --no-webcam option to disable the webcam page.
  * Make all Python code pass pep8(1), and add a test to enforce this.
  * Automatic update of included source packages: flash-kernel
    3.0~rc.4ubuntu7, partman-lvm 79ubuntu2.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 18 Jul 2012 15:47:16 +0100

ubiquity (2.11.15) quantal; urgency=low

  * Drop hw-detect debugging attempts.
  * Terminate status-to-debconf subprocess in DebconfInstallProgress more
    gracefully to avoid desynchronising the debconf protocol if the
    subprocess is killed between sending a command and receiving the
    response (LP: #1023036).
  * Make user-setup-encrypted-swap wait until partitioning has finished
    before attempting to adjust /target/etc/fstab (LP: #1024343).
  * Don't try and fail to set up encrypted swap if no swap partitions are
    configured (LP: #989279).

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 14 Jul 2012 00:17:31 +0100

ubiquity (2.11.14) quantal; urgency=low

  * compat/udpkg: Handle 'udpkg -c' from udpkg 1.14, required by hw-detect
    1.89.
  * Automatic update of included source packages: hw-detect 1.89ubuntu1.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 13 Jul 2012 10:27:33 +0100

ubiquity (2.11.13) quantal; urgency=low

  * Add some more debugging around hw-detect.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 12 Jul 2012 14:49:30 +0100

ubiquity (2.11.12) quantal; urgency=low

  * Rebuild with fixed dh_python3 (LP: #1023474).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 11 Jul 2012 17:56:31 +0100

ubiquity (2.11.11) quantal-proposed; urgency=low

  [ Kent Baxley ]
  * Add the ability to run simple, custom scripts in ubiquity-dm
    (LP: #1017580).

  [ Colin Watson ]
  * Fix excision of code in hw-detect that creates
    /usr/lib/finish-install.d/30hw-detect (not necessary or useful in
    ubiquity, but accidentally broken way back in ubiquity 1.1.0).
  * Temporarily add shell tracing through part of hw-detect in the hope of
    diagnosing LP #1023036.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 11 Jul 2012 11:36:20 +0100

ubiquity (2.11.10) quantal-proposed; urgency=low

  * ubiquity-dm: Use "-background none" rather than no-longer-supported
    "-nr" when doing a smooth transition from Plymouth (LP: #1019377).
  * Automatic update of included source packages: flash-kernel
    3.0~rc.4ubuntu6.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 09 Jul 2012 18:54:41 +0100

ubiquity (2.11.9) quantal-proposed; urgency=low

  [ Colin Watson ]
  * Update DebconfInstallProgress method names for the python-apt 0.8 API.
  * Automatic update of included source packages: flash-kernel
    3.0~rc.4ubuntu5, partman-base 158ubuntu1, partman-target 78ubuntu1,
    preseed 1.53ubuntu1.

  [ Colin Watson, Dmitrijs Ledkovs ]
  * Rearrange DebconfInstallProgress to not assume that update_interface
    returns a value (LP: #1020574).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 06 Jul 2012 11:51:17 +0100

ubiquity (2.11.8) quantal; urgency=low

  [ James M. Leddy ]
  * Only allow a user to proceed on the networking screen if he entered a valid
    password. This prevents a nm dbus exception. (LP: #929092)

  [ Mario Limonciello ]
  * Don't let oem-config crash from an invalid server return on the timezone
    page.

  [ Colin Watson ]
  * Simplify get_casper slightly.
  * Depend on humanity-icon-theme for the DEP-8 tests so that the
    gtk-missing-image icon is available.
  * Fix auto-update OpProgress instance to handle the python-apt 0.8 API,
    which doesn't pass a percent argument to update (LP: #1018759).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 29 Jun 2012 18:02:16 +0100

ubiquity (2.11.7) quantal-proposed; urgency=low

  [ Colin Watson ]
  * Remove hardcoded paths to xfsettingsd and various accessibility tools.
  * Automatic update of included source packages: clock-setup 0.112ubuntu1,
    debian-installer-utils 1.91ubuntu1, flash-kernel 3.0~rc.4ubuntu4,
    partman-base 156ubuntu1, partman-basicfilesystems 74ubuntu1,
    partman-btrfs 9ubuntu1, partman-ext3 70ubuntu1, preseed 1.51ubuntu1.

  [ Harald Sitter ]
  * Fix bogus attribute access in usersetup plugin leading to crashes with
    the KDE frontend (LP: #1008255)

  [ Oliver Grawert ]
  * adjust arm bootloader installation, we have not used this part of ubiquity
    in some years and everything was outdated

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 26 Jun 2012 11:12:34 +0100

ubiquity (2.11.6) quantal; urgency=low

  [ Dmitrijs Ledkovs ]
  * Run debconf-updatepo to remove migration-assistant translations.

  [ Alan Bell ]
  * Adjust the default use_device_title label to make more sense when read
    by screen readers (LP: #1010179).

  [ Stéphane Graber ]
  * Port ubiquity-bluetooth-agent from the old python-gobject to the
    gi version of gobject as required with python3. (LP: #1013172)

  [ Matthew Paul Thomas ]
  * Improvements to the third-party software text:
    - Changes "display" to "play" (since MP3 is about audio, not video).
    - Adds mention of graphics drivers (because the installer may install a
      Nvidia proprietary driver).
    - Changes "wireless" to "wi-fi".
    - Changes "closed-source" to "proprietary", matching Ubuntu Software
      Center.
    - Removes repetition of "the software", by changing "the software's
      documentation" to "its documentation".

  [ Colin Watson ]
  * Add XS-Testsuite header, as per current DEP-8.
  * debian/tests/control: Depend on python3-mock rather than python-mock
    (LP: #1015400).
  * Automatic update of included source packages: apt-setup 1:0.56ubuntu2,
    partconf 1.38, partman-basicmethods 50, partman-jfs 36, partman-newworld
    27, partman-reiserfs 53, partman-xfs 50.

  [ Luke Yelavich ]
  * Show the a11y profile indicator in oem-config as well as in
    maybe-ubiquity mode.
  * bin/ubiquity-dm: Load at-spi for both OEM config and ubiquity.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 20 Jun 2012 09:37:32 +0100

ubiquity (2.11.5) quantal-proposed; urgency=low

  * Force the DBUS signature of AddAndActivateConnection (LP: #1008898)

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 05 Jun 2012 11:10:52 -0400

ubiquity (2.11.4) quantal; urgency=low

  [ Colin Watson ]
  * Force the locale to en_US.UTF-8 for the timezone tests.
  * Fix seddery of clock-setup/finish-install.d/10clock-setup to handle
    changes in clock-setup 0.110 (LP: #1003443).
  * Automatic update of included source packages: flash-kernel
    3.0~rc.4ubuntu1.
  * In the shell script syntax check, filter out *.po and *.pot files
    straight away before doing the slower check using file(1).  There are
    lots of these and it takes quite a long time otherwise.
  * Add several Lintian overrides.

  [ Dmitrijs Ledkovs ]
  * Remove migration-assistant's UI definitions.

  [ Martin Pitt ]
  * scripts/simple-plugins, ubiquity/plugins/ubi-prepare.py: Move from Jockey
    to "ubuntu-drivers autoinstall". Add ubuntu-drivers-common Recommends: for
    this.
  * scripts/plugininstall.py: Drop jockey --check-composite call. It is
    obsolete as the free drivers now provide 3D support. Automatic
    installation of graphics drivers is controlled and covered by
    ubuntu-drivers autoinstall now.

  [ Mario Limonciello ]
  * Don't encode callbacks in UTF8 in the timezone plugin anymore.  The strings
    are already unicode.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 01 Jun 2012 14:49:41 +0100

ubiquity (2.11.3) quantal; urgency=low

  * Automatic update of included source packages: flash-kernel 2.28ubuntu45.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 28 May 2012 09:44:35 +0100

ubiquity (2.11.2) quantal; urgency=low

  [ Colin Watson ]
  * If ubiquity is started up in a non-UTF-8 locale, force it into C.UTF-8
    and fail immediately if that's unavailable (LP: #1003851).
  * KDE fails to round-trip strings containing U+FEFF ZERO WIDTH NO-BREAK
    SPACE, such as the translations of a few language names.  Strip these
    from language name translations.
  * Install debconf-set from debian-installer-utils, useful for preseeding.

  [ Evan Dandrea ]
  * Remove migration-assistant following foundations-q-testing-
    migration-assistant. Thanks Dmitrijs Ledkovs!
  * Automatic update of included source packages: base-installer
    1.122ubuntu8, flash-kernel 2.28ubuntu43.

 -- Evan Dandrea <ev@ubuntu.com>  Fri, 25 May 2012 15:47:47 +0100

ubiquity (2.11.1) quantal; urgency=low

  * Fix handling of pipes to update-apt-cache.
  * Sync up scripts/clock-setup-apply with changes in clock-setup 0.110.
  * Only decode bytes read from debconf once we have a complete line
    (LP: #1001542).
  * Remove a couple of unused attributes.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 21 May 2012 17:16:32 +0100

ubiquity (2.11.0) quantal; urgency=low

  [ Colin Watson ]
  * Install oem-config-slideshow-ubuntu in a separate pass from
    oem-config-$frontend and ubiquity-frontend-$frontend, since it may be
    missing from images; and only do this for the GTK frontend in any case,
    since other frontends don't currently use the slideshow (LP: #987050).
  * Re-enable alpha warning for quantal.
  * Upgrade to debhelper 9 for improved handling of compiler flags.  Make
    sure that /usr/lib/girepository-1.0/ stays where it's supposed to be
    despite changes in the default libdir for multiarch.
  * Port to Python 3:
    - Use Python 3-style print functions.
    - Use "except Exception as e" syntax rather than the old-style "except
      Exception, e".
    - Use reduce from functools rather than relying on the builtin.
    - Use list comprehensions rather than filter or map.
    - Use open() rather than file().
    - Import configparser rather than ConfigParser if available.
    - Use input() rather than raw_input() when running under Python 3.
    - Use set comprehensions.
    - Import quote from urllib.parse rather than urllib if available.
    - Use new-style octal literals.
    - Use test.support rather than test.test_support if available.
    - Add --python2 and --python3 options to tests/run to force running the
      tests under Python 2 or 3 respectively.
    - Handle renaming of __builtin__ to builtins in Python 3.
    - Only pass unicode=1 to gettext.install in Python 2.
    - Port ubiquity.auto_update to python-apt 0.8 progress classes.
    - Use Python 3 names for itertools.izip and itertools.izip_longest if
      available.
    - Use helpers from the six module to deal with some bytes/unicode
      differences.
    - As a general rule, open subprocesses with universal_newlines=True when
      expecting to read text from them.  This has no effect on Python 2
      (aside from \r\n conversion and the like, which is mostly a no-op for
      us), but causes Python 3 to read str rather than bytes.  The
      exceptions at the moment are: debconf-copydb subprocesses, which
      return mixed-encoding data that needs to be handled specially; and
      when feeding the output of a subprocess to hashlib.
    - Use six.reraise rather than the three-argument form of raise.
    - Adjust test_filteredcommand for Python 3 text handling.
    - Fix test_ubi_partman.question_has_variables to handle templates files
      as binary data, since they're mixed-encoding.
    - Cope with assertItemsEqual/assertCountEqual naming difference between
      Python 2.7 and 3.2.
    - Rearrange ubiquity.i18n.get_translations to treat debconf-copydb
      output as binary data and do field-dependent decoding.
    - Adjust test_misc and test_upower to cope with file type changes in
      Python 3.
    - Use xml.etree.cElementTree instead of libxml2; it's faster, has a
      smaller footprint by virtue of being built into the standard library,
      arguably easier to read, and works with Python 3.
    - Fix a slew of file handle leaks, including making much more liberal
      use of context managers.
    - When creating a default username based on the user's full name, decode
      it back to a Unicode type after running it through the
      ascii_transliterate encoder.
    - Remove __pycache__ directories on clean.
    - Use 'from __future__ import unicode_literals' in tests requiring
      Unicode literals.
    - Cope with various builtins and dict methods returning iterators rather
      than lists in Python 3.
    - Use chr rather than unichr in Python 3.
    - Use six.string_types rather than types.StringTypes.
    - Pass a byte string to Gtk.CssProvider.load_from_data.
    - Replace all calls to unicode() with calls to six.text_type() or
      misc.utf8() as appropriate.
    - Use unicode_literals in ubiquity.keyboard_names.
    - Fix up ubiquity.filteredcommand.debug and its tests for Python 3.  In
      Python 3, we can write Unicode strings (i.e. str) directly to
      sys.stderr, and its defaults are such that the worst case is that they
      get backslash-encoded.  Arrange the tests to simulate this.
    - Simplify ubiquity.nm.decode_ssid using bytearray(), allowing it to
      work with Python 3 too.
    - Open .debs in binary mode when verifying their contents.
    - Decode text read from debconffilter subprocesses in Python 3.
    - Only encode preseeded values in Python 2.  Python 3's debconf module
      accepts Unicode strings directly.
    - Encode the second argument to struct.pack.
    - Fix byte array handling when generating /etc/iftab.
    - Fix a missing bit of python-apt 0.8 porting in ubiquity.install_misc.
    - Open /var/lib/dpkg/status in binary mode when compressing it.
    - Pass bytes rather than text to kdecore.ki18n.
    - Call sip.setapi("QVariant", 1) on KDE frontend startup, pending a more
      complete port to the new API.
    - Use boolean tests rather than isNull, to cope with getting ordinary
      Python strings rather than QStrings.
    - In Python 3, pass strings directly to Qt rather than creating
      QStrings.
    - (Build-)depend on python3-gi, since python3-gi-cairo doesn't depend on
      that and in any case we use it directly.
  * Add Burmese translations.
  * Remove obsolete uxlaunch handling, since it's no longer used and has
    been removed from the archive.
  * Avoid locking failures when clicking on the "update this installer" link
    more than once.
  * Move a bit more code into ubiquity.install_misc, including a new
    target_file helper method.
  * Remove unnecessary #! lines from non-executable files.
  * Improve download verification to handle systems not configured for
    multiarch, i.e. anything other than amd64 by default (LP: #998492).
  * Automatic update of included source packages: choose-mirror 2.39ubuntu5,
    clock-setup 0.110ubuntu1, debian-installer-utils 1.89ubuntu1,
    localechooser 2.40ubuntu1.

  [ Stéphane Graber ]
  * Spawn dconf-service from ubiquity-dm and drop all the dbus-launch calls.
    This should ensure we have a single dconf-service running and that gets
    killed on ubiquity's exit.
  * ubiquity-dm: Turn on the compositor in metacity. (LP: #987168)
  * wallpaper: Update code to properly set the wallpaper when compositing
    is enabled.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 17 May 2012 03:09:54 +0100

ubiquity (2.10.16) precise-proposed; urgency=low

  [ Steve Langasek ]
  * If we can't figure out the target user's uid/gid, don't copy the photo
    to the user's home directory.  Addresses the immediate symptom of bug
    #947738, if not the root cause.

  [ Colin Watson ]
  * Automatic update of included source packages: apt-setup 1:0.55ubuntu4,
    console-setup 1.70ubuntu5.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 20 Apr 2012 15:21:46 +0100

ubiquity (2.10.15) precise-proposed; urgency=low

  * Fix crash when attempting to update the installer and a language isn't
    selected for some reason (LP: #985368).
  * Automatic update of included source packages: partman-target 77ubuntu2.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 19 Apr 2012 12:44:17 +0100

ubiquity (2.10.14) precise-proposed; urgency=low

  [ Colin Watson ]
  * Install ubiquity-frontend-$frontend along with oem-config-$frontend to
    improve dependency resolution; with the packaging the way it is at the
    moment, apt may sometimes select ubiquity-frontend-kde to resolve
    ubiquity's dependency on a frontend before realising that oem-config-gtk
    already depends on ubiquity-frontend-gtk.
  * Don't default to installing GRUB to a removable device with /cdrom
    mounted from it, even if /cdrom's filesystem isn't iso9660
    (LP: #984989).
  * If encrypting the user's home directory, wipe and enable encrypted swap
    before starting the slideshow, because running the slideshow can use up
    a lot of memory so we won't be able to disable swap once that's in
    progress (LP: #979350).
  * Automatic update of included source packages: apt-setup 1:0.55ubuntu3,
    partman-base 153ubuntu4, user-setup 1.42ubuntu3.
  * If /etc/network/interfaces doesn't exist when configuring the network in
    oem-config, write out a skeleton one (LP: #985305).

  [ Stéphane Graber ]
  * Always install oem-config-slideshow-ubuntu in OEM mode, also for
    alternate installs (LP: #984736)

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 19 Apr 2012 03:30:44 +0100

ubiquity (2.10.13) precise-proposed; urgency=low

  * Update translations from Launchpad.
  * Copy the panel gradient from light-themes 0.1.8.25 (Ubuntu 11.10) and
    use it as a fallback in case other panel images cannot be found.  The
    correct fix would be to use CSS instead, but I can't seem to make this
    work at the moment (LP: #982883).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 17 Apr 2012 20:22:30 +0100

ubiquity (2.10.12) precise-proposed; urgency=low

  * Fix download verification to handle epochs correctly, and add a little
    more logging so that we can debug any further errors along these lines.
  * GTK frontend:
    - Disable WebKit's cache, since the slideshow doesn't have a significant
      browsing interface and the cache is memory-hungry.  This may help with
      LP #979350.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 13 Apr 2012 19:49:13 +0100

ubiquity (2.10.11) precise-proposed; urgency=low

  * Work around occasional undetected download errors in apt by doing our
    own verification pass before trying to install packages (LP: #922949).
  * Update translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 13 Apr 2012 17:16:33 +0100

ubiquity (2.10.10) precise; urgency=low

  * Don't try to open files inside d-i/source/localechooser/ when running
    the unit tests within autopkgtest.
  * Make test_ubi_partman read templates from the system templates database
    rather than tests/templates.dat when running within autopkgtest.
  * Update translations from Launchpad.
  * Automatic update of included source packages: grub-installer
    1.68ubuntu5, hw-detect 1.88ubuntu2, partman-auto 101ubuntu2,
    partman-base 153ubuntu3, partman-btrfs 8ubuntu1, partman-efi 25ubuntu1,
    partman-ext3 67ubuntu1, partman-partitioning 85ubuntu2, partman-target
    77ubuntu1, user-setup 1.42ubuntu1, yaboot-installer 1.1.20ubuntu1.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 12 Apr 2012 06:35:50 +0100

ubiquity (2.10.9) precise-proposed; urgency=low

  * Try harder to make the unit tests work within autopkgtest:
    - Install mockresolver (it's small, and this really does make the
      plumbing a lot easier).
    - Use test debconf databases stacked on top of the system ones in
      autopkgtest mode rather than requiring tests/build to have been run
      first.
    - Fix test_ubi_partman not to rely on tests/partman-tree/ in autopkgtest
      mode.
  * Do a better job of removing .la files.
  * Update translations from Launchpad.
  * Automatic update of included source packages: base-installer
    1.122ubuntu7.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 10 Apr 2012 21:00:08 +0100

ubiquity (2.10.8) precise; urgency=low

  * Update translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 05 Apr 2012 23:15:34 +0100

ubiquity (2.10.7) precise; urgency=low

  [ Colin Watson ]
  * Fix partman plugin to preseed grub-installer/bootdev in a cleanup method
    rather than exit_ui_loops, since talking to debconf in the latter isn't
    safe (LP: #792652).  Adjust how maybe_update_grub gets the default boot
    device to avoid regressing LP #756920.

  [ Stéphane Graber ]
  * Add support for Windows 8 user directory detection.
  * Make wubi work when the OS data partition is different from the boot
    partition. (LP: #772470)
  * Call gsettings through dbus-launch in an hope to ensure its changes
    are saved to disk. (LP: #960096)
  * Make ubiquity depend on dbus-x11 for dbus-launch.
  * Update compat/os-proper to make a different cache when listing OS
    data partitions. (LP: #772470)
  * Automatic update of included source packages: migration-assistant
    0.6.12.

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 04 Apr 2012 20:56:08 -0400

ubiquity (2.10.6) precise; urgency=low

  [ Stéphane Graber ]
  * ubiquity-dm: Use macinnis_wallpaper.png by default for ubuntu studio.
    (LP: #971159)

  [ Colin Watson ]
  * Work around LP #972324 by unsetting TMPDIR for xvfb-run and setting it
    again for the inferior command.
  * Fix DEP-8 control file to stop trying to run Xvfb inside Xvfb.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 03 Apr 2012 14:06:44 +0100

ubiquity (2.10.5) precise; urgency=low

  * Exit early from ubiquity_webcam_play and ubiquity_webcam_stop if priv or
    priv->camerabin is NULL.
  * Clear disks from the partman plugin's disk cache if any partitions on
    that disk change, allowing us to notice disk label changes.
  * Fix GPT detection when deciding whether to display the biosgrub method
    (LP: #969038).
  * Automatic update of included source packages: apt-setup 1:0.55ubuntu2,
    partman-partitioning 85ubuntu1.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 30 Mar 2012 23:39:38 +0100

ubiquity (2.10.4) precise; urgency=low

  [ Colin Watson ]
  * Add a log entry before running each target-config hook, to make it a bit
    more feasible to debug hangs there.
  * Call check-language-support with locale names, not with language pack
    names (LP: #963460).

  [ Stéphane Graber ]
  * Change the calls in calculate_result to use the same code path as the
    regular UI. (LP: #964472)
  * Actually call detect_bogus_result() in ubi-usersetup
  * Similarly to ubi-console-setup, don't setup any timeout or similar
    background tasks when running in automatic mode. (LP: #950282)

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 27 Mar 2012 17:08:29 -0400

ubiquity (2.10.3) precise-proposed; urgency=low

  * Move oem-config-udeb's menu item before that of user-setup's, which
    moved to 2400 in user-setup 1.30.
  * Don't remove cryptsetup if there are any uncommented entries in
    /etc/crypttab (LP: #893548).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 26 Mar 2012 16:57:40 +0100

ubiquity (2.10.2) precise; urgency=low

  [ Colin Watson ]
  * Fix test_misc.GrubDefaultTests.test_avoid_cdrom.
  * Invert the set of locale categories set in case of a language/location
    conflict, so we now set LC_NUMERIC, LC_TIME, LC_MONETARY, LC_PAPER,
    LC_NAME, LC_ADDRESS, LC_TELEPHONE, LC_MEASUREMENT, and LC_IDENTIFICATION
    instead (LP: #926207).
  * Automatic update of included source packages: localechooser 2.39ubuntu2.

  [ Brian Murray ]
  * UTF-8-encode debug messages which are written to stderr (LP: #960278)

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 23 Mar 2012 18:00:36 +0000

ubiquity (2.10.1) precise; urgency=low

  * ubiquity.misc.boot_device needs root privileges in order to talk to
    parted_server.
  * Make ubiquity-frontend-gtk depend on busybox-static | busybox for now,
    matching the 'busybox tail' workaround in ubiquity 2.9.32 (LP: #962585).
  * Automatic update of included source packages: flash-kernel 2.28ubuntu42.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 23 Mar 2012 15:07:41 +0000

ubiquity (2.10.0) precise; urgency=low

  * Fix a few cases where the test suite was insufficiently isolated from
    the host system, running dmidecode and udevadm.
  * Restore 'from ubiquity import gtkwidgets' to
    test_ubi_partman.TestPageGtk.setUp; importing custom widgets fails
    without this.
  * Avoid touching D-Bus in migrationassistant test.
  * Stop leaking locale changes from gtkui and migrationassistant tests into
    the rest of the test suite.
  * Disable tests that require grub-installer templates only on non-x86
    architectures.
  * Re-enable test_maybe_update_install on x86, and add the missing
    mock.patch calls that caused it to fail in clean build environments.
  * Update translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 22 Mar 2012 16:10:05 +0000

ubiquity (2.9.33) precise; urgency=low

  * Disable some of the new tests currently not working on builders:
    - Fails on x86 builders because of missing grub:
      + test_maybe_update_install
    - Fails on non-x86 builders because of missing grub-installer:
      + test_maybe_update_install
      + test_install_grub_to_valid_filesystem
      + test_install_grub_to_invalid_filesystem
      + test_install_grub_to_mixed_filesystems
      + test_install_grub_offers_to_install_to_disk
      + test_install_grub_offers_to_install_to_all_but_jfs
      + test_install_grub_offers_to_install_to_all

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 21 Mar 2012 21:32:20 -0400

ubiquity (2.9.32) precise; urgency=low

  [ Stéphane Graber ]
  * panel: Fix the gtk3 css code so that it actually applies and add
    another override for the .menuitem padding that was making the panel
    28px large instead of 24px. (LP: #960998)
  * Only allow for one orca instance at a time. (LP: #945133)
  * Fix crash in set_indicator_keymaps when reaching the fallback code
    of the keyboard layout guesser. Added a test for it. (LP: #961003)
  * Make sure all the widgets of the quit dialog are always visible.
    (LP: #960600)
  * Switch to a single install_size() function in misc called by ubi-prepare
    and by ubi-partman. Tweak the resize partition sizes to enforce the
    minimum partition size in resize mode too. (LP: #960628)
  * Change ubiquity's virtual terminal to calling 'busybox tail' instead of
    'tail' to workaround the inotify on overlayfs bug.
  * panel: Only show icons, not labels, fixing our current "corruption"
    problem where the keyboard layout gets associated with another entry.
    (LP: #960039)
  * panel: Add a list to enforce the indicator ordering. (LP: #960036)
  * Automatic update of included source packages: migration-assistant
    0.6.11.

  [ Colin Watson ]
  * Make sure to load translations for "USB" and "CD" on the language page
    (LP: #958249).
  * Sort existing images in the face selector by filename.
  * Force face selector icon view to a two-column layout, in lieu of better
    geometry management (LP: #961025).
  * Refactor ubiquity.misc.grub_default to make it testable, and add tests
    for it.
  * Make test_misc pass when run on its own.  Apparently
    GdkX11.x11_get_default_xdisplay() segfaults if Gtk hasn't been imported
    (or possibly something finer-grained); so import Gtk from
    misc.set_indicator_keymaps even though we don't actually use it
    directly.

  [ Oliver Grawert ]
  * bin/oem-config-firstboot: do not reset debconf user data in automatic mode
  * ubiquity/plugins/ubi-tasks.py: run tasksel with --new-install option in
    automatic mode (this still doesnt make tasksel work, but at least skips
    the debconf question if tasksel isnt in the preseed file, to install
    packages late-command needs to be used atm.
  * bin/ubiquity: make debconf not re-show seen questions again in automatic mode
  * all the above fixes (LP: #924018), example boot.scr and preseed.cfg file are
    attached to the bug, thanks to colin for all the fixes and the hard work.

  [ Barry Warsaw ]
  * Do not offer to install the boot loader on device paths on which
    incompatible file systems will be installed (e.g. XFS).
    (LP: #959724)

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 21 Mar 2012 19:49:14 -0400

ubiquity (2.9.31) precise; urgency=low

  [ Colin Watson ]
  * Fix misc.set_indicator_keymaps to handle ll_CC forms of lang, and also
    to avoid crashing on unknown languages in general (LP: #960047).
  * Strip invalid characters from default username (LP: #783295).
  * Automatic update of included source packages: base-installer
    1.122ubuntu6, console-setup 1.70ubuntu4, partman-basicmethods 49,
    partman-jfs 35, partman-newworld 26, partman-partitioning 83ubuntu2,
    partman-reiserfs 52, partman-xfs 49.

  [ Oliver Grawert ]
  * add support for automatic-oem-config kernel commandline option to the
    oem-config startup scripts to switch oem-config into automatic mode for
    preseeded oem installs
  * add an entry for the new option in oem-config-firstboot manpage

  [ Stéphane Graber ]
  * Properly mark the quit dialog as a child of ubiquity. (LP: #960375)

  [ James Hunt ]
  * scripts/install.py: Ignore mkdir failure if directory does (now)
    exist to accommodate update-apt-cache running in parallel with
    copy_all() (LP: #944191).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 20 Mar 2012 22:26:54 +0000

ubiquity (2.9.30) precise; urgency=low

  [ Adam Conrad ]
  * Drop gui/qt/images/squares.png and replace it with a single pixel
    transparent PNG as a placeholder for future changes (LP: #942543)

  [ Evan Dandrea ]
  * Lazily unmount partitions in the check for a Windows partition to
    install Wubi on when we have a full partition table (LP: #956531).
  * Add a small program for testing the Gstreamer webcam code.
  * Fix broken test video output in the GI webcam module.

  [ Stéphane Graber ]
  * set_indicator_keymaps() doesn't actually receive a full locale but
    instead just the language code. That means that the code trying to
    guess a layout based on the default country won't work.
    Drop all of that code and replace by a static map to override the
    default keyboard layout/variant for a language. (LP: #956912)
  * Merge and update Alessio Treglia's branch to make the slideshow
    optional depending on (ubiquity/hide_slideshow) (LP: #690912)
  * Also call setxkbmap directly from set_indicator_keymaps() to ensure
    we actually switch to the first layout in the list. (LP: #956912)
  * Properly mark the KeyboardQuery dialog as a child of ubiquity.
    (LP: #955265)

  [ Martin Pitt ]
  * tests/test_migrationassistant.py: Fix to work with pygobject 3.1.92.

  [ Barry Warsaw ]
  * When Try Ubuntu has been clicked once, don't respond to subsequent
    clicks.  (LP: #911907)

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 19 Mar 2012 18:02:48 -0400

ubiquity (2.9.29) precise; urgency=low

  [ Oliver Grawert ]
  * disable gnome-settings-daemon power management plugin during install to
    make sure things like lid closing or accidential pressing of power or
    suspend buttons do not put us into suspend mode (LP: #948163)

  [ Stéphane Graber ]
  * ubi-partman: Ignore None cell values, we'll get another event
    when they actually contain something anyway. (LP: #939450)
  * Fix set_indicator_keymaps to always send an array of strings to
    gsettings and also go through more of the possible language codes as
    Xkl doesn't seem to always work with part2_code (LP: #955844)
  * Restrict the list of keyboard layouts added to the indicator to 4
    and try to be clever as to which one to select.
  * Only use the keyboard indicator when in greeter mode, otherwise it'd
    override any previously selected keyboard layout (from gfxboot or from
    the user session)
  * Update indicator tests to match the new code, ensuring we don't have
    more than 4 entries and that languages with variants work fine.
  * Automatic update of included source packages: console-setup
    1.70ubuntu3, partman-auto 93ubuntu22, partman-efi 24ubuntu3.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 15 Mar 2012 18:12:41 -0400

ubiquity (2.9.28) precise; urgency=low

  * ubiquity-bluetooth-agent: Don't touch /tmp/ubiquity-bluetooth-done
    if the file already exists. (LP: #951402)
  * gtk-ui: Drop poke_screensaver and replace by code disabling it in
    gsettings. (LP: #951336)
  * Replace ubuntu_installed.png by a scaled down version (LP: #750134)
  * Enable test_same_ubuntu_only making sure we don't get offered an
    'upgrade' to the same version of Ubuntu.
  * Add test_newer_ubuntu_only ensuring ubiquity doesn't offer a downgrade.
  * Automatic update of included source packages: user-setup
    1.41ubuntu1.

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 13 Mar 2012 19:21:21 -0400

ubiquity (2.9.27) precise; urgency=low

  * Port keyboard indicator from xklavier to Xkl and from gconf to gsettings.
    Update the test accordingly. (LP: #950087, LP: #800561)
  * Add bin/ubiquity-bluetooth-agent, a bluetooth agent allowing any HID
    bluetooth device for 5 minutes, then spawning bluetooth-applet if
    available, otherwise simply dies.
  * Start bluetooth-applet from ubiquity-dm (LP: #644198)
  * Copy /var/lib/bluetooth to /target/var/lib/bluetooth to keep the list
    of trusted devices on the target system. (LP: #644198)
  * Update PO template and translations for new bluetooth string.
  * Automatic update of included source packages: netcfg 1.68ubuntu14,
    partman-auto 93ubuntu20, partman-auto-loop 0ubuntu21.

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 09 Mar 2012 12:11:19 -0500

ubiquity (2.9.26) precise; urgency=low

  * Build-depend on ubuntu-artwork for the unit test. (LP: #950125)

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 08 Mar 2012 14:22:20 -0500

ubiquity (2.9.25) precise; urgency=low

  [ Colin Watson ]
  * Fix debug message when failing to create the migration-assistant page.
  * Ensure that the migration-assistant page is shown in
    test_pages_fit_on_a_netbook.
  * Make the migration-assistant tree view expand again (LP: #946123).

  [ Stéphane Graber ]
  * gtk_ui: Set virtual terminal font to "Ubuntu Mono 8" so in most cases
    two lines of text can now be displayed. (LP: #830946)
  * Change ubiquity/text/webcam_heading to be generic (LP: #926493)
  * Switch from xklavier to Xkl using gobject introspection.
    The code is still disabled though because of bug #950087.
  * Automatic update of included source packages: flash-kernel
    2.28ubuntu41, netcfg 1.68ubuntu13, partman-base 153ubuntu2, partman-
    target 76ubuntu2, preseed 1.50ubuntu1, tzsetup 1:0.26ubuntu11.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 08 Mar 2012 12:32:02 -0500

ubiquity (2.9.24) precise; urgency=low

  * webcam:
    - image-capture-encoder is deprecated, just drop it for now
    - gst_caps_new_simple needs to use a supported width/height,
      going with 640x480 as it seems standard for most webcams.
      (LP: #942030)
  * ubi-console-setup: On automatic install, don't wait 600ms or
    dbfilter will be None by the time the timer reaches 0 (LP: #944614)
  * debian/control: Add an explicit dependency on realpath to prevent
    check-missing-firmware from crashing. In d-i, realpath is provided
    by busybox.

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 02 Mar 2012 17:37:36 -0500

ubiquity (2.9.23) precise; urgency=low

  * ubi-console-setup: Revert most of the previous change but keep the
    600ms timeout to avoid entering in a gtk main loop quit/start flood.
    Also add some more checks of the current values to prevent the UI
    from refreshing when not needed. (LP: #942560)
  * gtk_ui: Move the pending_quits handling code from being called right
    after the call to main_quit() to right after the main loop actually
    exits. This seems to help quite a bit with the race discovered in
    ubi-console-setup.

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 29 Feb 2012 20:42:24 -0500

ubiquity (2.9.22) precise; urgency=low

  * ubi-partman:
    - Avoid crash when calling contextual menu on a partition list item.
      (LP: #936115)
    - Add logic to parse the current and new version number and only
      allow reusing an existing install if the target is older than the
      media. (LP: #898278)
  * ubi-console-setup:
    - To avoid issues when quickly changing the selection (easily done by
      using the keyboard), add a 600ms delay to any user action, reset with
      any further action.
      The UI is also now set_sensitive(False) while waiting for a UI
      refresh.
      This should be enough to limit or get rid of (LP: #645449)
  * Automatic update of included source packages: netcfg 1.68ubuntu12.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 27 Feb 2012 20:21:30 -0500

ubiquity (2.9.21) precise; urgency=low

  [ Stéphane Graber ]
  * Get ubiquity-dm to spawn ibus-daemon when using the GTK frontend.
    (LP: #871726)

  [ Evan Dandrea ]
  * We're in beta now.

 -- Evan Dandrea <ev@ubuntu.com>  Thu, 23 Feb 2012 15:13:41 +0000

ubiquity (2.9.20) precise; urgency=low

  [ Colin Watson ]
  * Restore old fallback code in case /cdrom/casper/filesystem.size doesn't
    exist (LP: #557388).
  * Fix some more uses of deprecated python-apt APIs.
  * ubiquity-dm: Try openbox after openbox-lubuntu (LP: #888107).
  * Thomson SA is now called Technicolor SA (LP: #856992).
  * Limit maximum length of username editing widgets to 32 (LP: #831319).
  * UTF-8-encode the syslog message when a geoname lookup fails, since it
    might include non-ASCII characters entered by the user (LP: #928891).
  * Run test suite under xvfb-run by default when running it from the
    command line.  'tests/run --no-xvfb' inhibits this behaviour for cases
    where it's useful to see the UIs constructed by the test suite.
  * Stop manually inserting newlines in hostname and username errors.  GTK+
    3 seems to do a reasonable job of wrapping these by itself now.
  * Port the user page from GtkTable to GtkGrid, so that we get sensible
    height-for-width geometry management (LP: #830933).
  * Internationalise hostname and username validation errors (LP: #784825).

  [ Mario Limonciello ]
  * Have two separate failsafe attempts for 'fbdev' and 'vesa'.  It's
    possible that /dev/fb0 will exist but be backed by a VGA framebuffer
    causing X to exit non-zero.

  [ Stéphane Graber ]
  * Use the Xubuntu wallpaper when available. (LP: #936572)
  * Detect bogus DNS servers and ignore them. (LP: #760884)
  * Automatic update of included source packages: base-installer
    1.122ubuntu5, choose-mirror 2.39ubuntu4.

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 21 Feb 2012 21:09:02 -0500

ubiquity (2.9.19) precise; urgency=low

  * Install pixmaps/windows_square.png in ubiquity-frontend-gtk.
  * Make it possible to run the test suite against installed packages, and
    add a DEP-8 control file for this.
  * Refactor copy_all to be more robust, handle some more cases, and be
    testable and tested.  It can now:
    - copy a directory over an existing non-directory (LP: #891711);
    - copy device nodes and sockets over existing non-directories
      (LP: #495217);
    - handle all cases of copying a non-directory over an existing empty
      directory;
    - copy a symlink over a non-empty directory by attempting to move the
      directory to the symlink target (LP: #188976);
    - if all else fails, copy a non-directory over an existing non-empty
      directory by moving the target aside to a backup location.
  * Ignore all failures to set timestamps (LP: #411307, #654929).
  * Update translations from Launchpad.
  * Update imported translations from gtk+3.0 3.3.14-0ubuntu2 and
    gnome-panel 1:3.3.5-0ubuntu2.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 15 Feb 2012 17:52:19 +0000

ubiquity (2.9.18) precise; urgency=low

  * Convert from deprecated GtkHBox/GtkVBox to GtkBox, and from
    GtkHButtonBox to GtkButtonBox.
  * Use g_object_unref instead of deprecated gdk_pixbuf_unref.
  * Use gdk_error_trap_pop_ignored rather than gdk_error_trap_pop when
    ignoring errors.
  * webcam: Warn when trying to get unknown properties.
  * webcam: Fix header typo: UBIQUITY_GET_CLASS ->
    UBIQUITY_WEBCAM_GET_CLASS.
  * Upgrade to Automake 1.11.3, involving using pkglibexec_PROGRAMS instead
    of pkglib_PROGRAMS.
  * Use a mock resolver during usersetup tests to avoid failing in certain
    network setups.
  * Use mock.patch.object instead of deprecated mock.patch_object.
  * Silence annoying warnings from dmidecode during the test suite.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 12 Feb 2012 03:08:28 +0000

ubiquity (2.9.17) precise; urgency=low

  [ Colin Watson ]
  * Don't display "Ready when you are..." when the installer isn't actually
    waiting for user actions.
  * When waiting for user actions, just hide the progress bar and associated
    widgets rather than displaying "Ready when you are...", to avoid
    confusion associated with a progress bar being displayed when the system
    is in fact waiting for user input (LP: #670409, #925427).
  * Mark file descriptors used for communication with parted_server
    FD_CLOEXEC.
  * Restore finish-install's title after installing the oem-config frontend
    (LP: #925155).
  * Avoid duplicate call to osextras.find_on_path('check-language-support').
  * Stop filtering warnings from the apt module which are no longer emitted.
  * PEP-8 import ordering.
  * Make the "Choose a picture" page translatable (LP: #892384).
  * Make the "run all pending GTK events" function accessible from
    ubiquity.gtkwidgets, and use it in the test suite.  This makes the test
    suite about four seconds faster.
  * Fix sys.path mishandling in test suite.
  * Mark WPA2-only access points as secure.
  * Add initial tests for wireless page.
  * Automatic update of included source packages: choose-mirror 2.39ubuntu3,
    netcfg 1.68ubuntu11.

  [ Brian Murray ]
  * ubiquity/gtk_ui.py: in the crash handler also call apport directly if in
    the maybe-ubiquity mode (LP: #901381)

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 10 Feb 2012 17:27:15 +0000

ubiquity (2.9.16) precise; urgency=low

  * Bump fallback Ubuntu version number in ubi-language to 12.04.
  * Behave a little more usefully when running over ssh with X forwarding
    such that ubiquity is unable to talk to NetworkManager.  This
    configuration isn't actually supported, but is occasionally useful for
    debugging so it helps to be able to start ubiquity at the very least.
  * Configure the target system to disable installation of Recommends if
    base-installer/install-recommends is preseeded to false (LP: #918401).
  * Automatic update of included source packages: flash-kernel 2.28ubuntu39,
    partman-auto 93ubuntu19.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 02 Feb 2012 14:53:26 +0000

ubiquity (2.9.15) precise; urgency=low

  * Cope with stricter dbus.Byte.__str__ implementation in dbus-python 1.0.0
    (LP: #922988).
  * Remove test suite debris on clean.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 30 Jan 2012 14:16:59 +0000

ubiquity (2.9.14) precise; urgency=low

  * src/panel/panel.c: Update indicator ABI to 7. (LP: #922052)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 30 Jan 2012 10:26:07 +0000

ubiquity (2.9.13) precise; urgency=low

  * Make test_osextras reliable across architectures (sort lists).
  * Automatic update of included source packages: netcfg 1.68ubuntu8.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 27 Jan 2012 23:19:26 +0000

ubiquity (2.9.12) precise; urgency=low

  [ Colin Watson ]
  * Drop backports of saved ID handling functions from os, now that we
    require Python 2.7.
  * Remove an unnecessary use of contextlib.closing.
  * Simplify PartedServer.disks.
  * Add tests for ubiquity.osextras.
  * Cope with /etc/resolv.conf being a symlink (LP: #922640).
  * Scale down the webcam page a bit so that it works on netbook screens
    (LP: #869239).
  * Improve test_pages_fit_on_a_netbook so that it tests all pages.
  * Automatic update of included source packages: choose-mirror 2.39ubuntu2,
    debian-installer-utils 1.88ubuntu2, flash-kernel 2.28ubuntu37,
    partman-base 153ubuntu1.

  [ Stéphane Graber ]
  * gtk_ui.py: Update rendering of GtkComboBox following light-themes update
    (was dark text on dark background, now light text on dark background)

  [ Martin Pitt ]
  * gtk_ui.py: In only-ubiquity mode, call apport-gtk frontend ourselves after
    a crash, as there is no update-notifier running to pick it up.
    (LP: #712677)

  [ Luke Yelavich ]
  * Add label relationships in the advanced partitioning and user info steps

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 27 Jan 2012 20:37:17 +0000

ubiquity (2.9.11) precise; urgency=low

  * no change rebuild for libindicator7

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 25 Jan 2012 10:05:15 -0500

ubiquity (2.9.10) precise; urgency=low

  * Handle interface change in ICU 4.8: unknown time zones result in
    TimeZone instances with ID "Etc/Unknown" rather than "GMT".
  * Import icu rather than PyICU, preferred as of python-pyicu 1.0.
  * Automatic update of included source packages: partman-basicfilesystems
    71ubuntu3, partman-btrfs 7ubuntu1.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 20 Dec 2011 17:59:53 +0000

ubiquity (2.9.9) precise; urgency=low

  * Cope with pygobject returning unicode objects rather than UTF-8-encoded
    str objects (LP: #905916, #906015).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 19 Dec 2011 12:25:13 +0000

ubiquity (2.9.8) precise; urgency=low

  [ Colin Watson ]
  * GTK frontend:
    - Some automatic partitioning options change the text on the next button
      to "Install Now".  Make sure that this works even when changing to the
      automatic partitioning page with one of those options automatically
      selected (LP: #766265).
  * Automatic update of included source packages: base-installer
    1.122ubuntu3, partman-auto 93ubuntu18, partman-basicfilesystems
    71ubuntu2.

  [ Stéphane Graber ]
  * Use username associated with uid 999 rather than hardcoding 'ubuntu'
    in Ubiquity. This is important now that casper sets the username and
    hostname based on media name. (LP: #290351)

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 15 Dec 2011 18:57:10 +0000

ubiquity (2.9.7) precise; urgency=low

  * Add a few armhf -> armel symlinks to fix the armhf build.
  * Automatic update of included source packages: partman-auto 93ubuntu17.

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 08 Dec 2011 13:36:31 +0100

ubiquity (2.9.6) precise; urgency=low

  * Build-depend/depend on python-gi-cairo/python-gi-dev rather than
    python-gobject-cairo/python-gobject-dev.
  * Add armhf support.
  * Set DPKG_UNTRANSLATED_MESSAGES=1 when installing packages so that bug
    reports are easier to analyse; requested by Brian Murray.
  * Automatic update of included source packages: flash-kernel 2.28ubuntu35,
    hw-detect 1.88ubuntu1, localechooser 2.39ubuntu1, partman-uboot 5.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 07 Dec 2011 16:22:40 +0000

ubiquity (2.9.5) precise; urgency=low

  * Automatic update of included source packages: console-setup 1.70ubuntu2,
    partman-base 151ubuntu3.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 25 Nov 2011 18:03:57 +0000

ubiquity (2.9.4) precise; urgency=low

  * Whitelist grub_device_label in test_interface_translated on non-x86
    architectures; grub-installer will be unavailable to supply the
    translations, but that doesn't matter since the template won't be
    displayed anyway.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 22 Nov 2011 00:31:56 +0000

ubiquity (2.9.3) precise; urgency=low

  [ Mario Limonciello ]
  * When installing oem extras, query for all packages marked to be installed
    via plugins, not just langpacks.
  * Properly build the manifest used for remove oem extras.

  [ Colin Watson ]
  * ubiquity depends on wget (LP: #877187).
  * ubiquity-frontend-gtk depends on python-gobject-cairo (LP: #877223).
  * ubiquity depends on grub-common on amd64 and i386 (LP: #877230).
  * Remove /usr/lib/libubiwebcam.la.  Nothing uses this, and its
    dependency_libs entries don't match current reality.
  * Automatic update of included source packages: apt-setup 1:0.55ubuntu1,
    base-installer 1.122ubuntu1, choose-mirror 2.39ubuntu1, clock-setup
    0.109ubuntu1, console-setup 1.70ubuntu1, debian-installer-utils
    1.87ubuntu1, hw-detect 1.87ubuntu1, localechooser 2.38ubuntu1,
    partman-ext3 66ubuntu1, partman-partitioning 83ubuntu1, partman-target
    76ubuntu1, user-setup 1.39ubuntu2.

  [ Evan Dandrea ]
  * Add missing template for the connecting label.

  [ Luke Yelavich ]
  * debian/control: We are using GI for the a11y indicator, so depend on
    gir1.2-appindicator3-0.1 instead of python-appindicator

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 21 Nov 2011 22:32:45 +0000

ubiquity (2.9.2) precise; urgency=low

  * Re-enable alpha warning for precise.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 17 Oct 2011 12:44:46 +0100

ubiquity (2.9.1) precise; urgency=low

  * Prevent ubiquity from trying to connect to DBus in the gtkui tests
    with the most recent changes.

 -- Evan Dandrea <ev@ubuntu.com>  Mon, 17 Oct 2011 15:58:16 +0100

ubiquity (2.9.0) precise; urgency=low

  * Expand the list of wireless networks under each card automatically,
    unless the user has explicitly collapsed the row.
  * Translate the entire wireless networking page.
  * Don't show the picture taking page when running in an oem-config
    install.
  * Don't show the wireless page if a wireless connection was made after
    ubiquity started (LP: #873000).
  * Ensure that the user picture is owned by the target user
    (LP: #872966).

 -- Evan Dandrea <ev@ubuntu.com>  Mon, 17 Oct 2011 10:34:51 +0100

ubiquity (2.8.7) oneiric; urgency=low

  * If oem-config/enable doesn't exist, assume it's not set
    (LP: #872119).

 -- Evan Dandrea <ev@ubuntu.com>  Tue, 11 Oct 2011 09:08:21 +0100

ubiquity (2.8.6) oneiric; urgency=low

  * Don't crash if the user selects the wireless card header and presses
    next (LP: #838048).
  * If the user selects a wireless card header, the next button text
    should not be 'Connect.'
  * Don't copy the wireless configuration if this is an OEM install
    (LP: #870177).
  * Make sure the connecting spinner goes away before leaving the
    wireless page.
  * Account for the 'asleep' network-manager state.

 -- Evan Dandrea <ev@ubuntu.com>  Mon, 10 Oct 2011 17:58:39 +0100

ubiquity (2.8.5) oneiric; urgency=low

  * Disable alpha warning for release.
  * Automatic update of included source packages: netcfg 1.68ubuntu7.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 10 Oct 2011 11:18:56 +0100

ubiquity (2.8.4) oneiric; urgency=low

  [ Evan Dandrea ]
  * Handle the keyboard query window closed callback being fired twice
    (LP: #865493).
  * Allow focusing of labels when we're in the screen reader
    acessibility profile, so that Orca can read them
    (LP: #856782, LP: #856773).
  * Make sure we account for the size of the installation and swap
    partition when calculating the bounds for the partition resizer
    (LP: #769350).

  [ Colin Watson ]
  * Don't install duplicate copies of console-setup-apply,
    localechooser-apply, and netcfg-wrapper.
  * Bump fallback Ubuntu version number in ubi-language to 11.10.
  * Update translations from Launchpad.
  * For cases where selecting a different location may imply a different
    dialect of the language, i.e. Portuguese and Chinese, take care to set
    LANG to something reflecting the location and
    LANGUAGE/LC_MESSAGES/LC_CTYPE/LC_COLLATE to something reflecting the
    language (LP: #590108).  This roughly matches the behaviour of
    language-selector.
  * Automatic update of included source packages: localechooser 2.37ubuntu2,
    partman-partitioning 81ubuntu3.

  [ Stéphane Graber ]
  * Update ubiquity-dm to export self.username as SUDO_USER.
    Make gsettings work properly later on during the install.
  * Whenever we call wget, set --tries=1 instead of the default
    of 20.
  * If we think we're offline, don't try to contact geoip or run
    rdate. (LP: #868668)

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 06 Oct 2011 02:20:53 +0100

ubiquity (2.8.3) oneiric; urgency=low

  * Skip LTSP from the list of networks to copy to the target.
    This is a temporary network created by Edubuntu's LTSP live.
  * Fix PROXY url as the gsettings host key already contains http://
  * Only disable set the gsettings keys once in gtk_ui (LP: #657086)
  * Properly handle keys in gsettings that are empty/not set.
  * Don't crash when the no-proxy list is empty. (LP: #867620)
  * Clear the console just before killing X in ubiquity-dm. (LP: #813065)

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 04 Oct 2011 21:01:09 -0400

ubiquity (2.8.2) oneiric; urgency=low

  [ Colin Watson ]
  * Preserve ordering of disks returned by partman-auto rather than
    shuffling them based on dictionary ordering (LP: #770711).  This uses
    collections.OrderedDict, which requires Python >= 2.7.
  * Run only those parts of oem-config-prepare that require root access as
    root; in particular displaying confirmation dialogs is now done as the
    calling user, which avoids KDE confusion (LP: #856418).
  * Go back to killing update-apt-cache's process group, but this time make
    sure that it's in a separate process group and make more of an effort to
    ensure that it terminates (LP: #743359).
  * Update translations from Launchpad.

  [ Stéphane Graber ]
  * Make ubiquity also update gsettings (LP: #800760)
    - Add a new gsettings module similar to the gconftool one
    - Update ubiquity-dm for gconf to gsettings migration
    - Get PROXY configuration from gsettings
    - Update gtk_ui to set/restore gsettings values
  * Update copy_network_config to work with Network Manager now storing
    everything system wide.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 03 Oct 2011 17:31:46 -0400

ubiquity (2.8.1) oneiric; urgency=low

  * Build-depend on gir1.2-soup-2.4 for timezone tests.
  * Update translations from Launchpad.
  * Update imported translations from gtk+3.0 3.2.0-0ubuntu1 and gnome-panel
    1:3.2.0-0ubuntu1.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 01 Oct 2011 23:20:53 +0100

ubiquity (2.8.0) oneiric; urgency=low

  * Fix SSID UTF-8 decoding, and replace any still-invalid characters with
    the Unicode replacement character just in case (LP: #839143).
  * GTK frontend:
    - Fetch geoname data asynchronously (LP: #837217).
  * Always start oem-config with LANG=en_US.UTF-8; this doesn't affect
    translations since we use debconf for those, but forces Qt to use UTF-8
    encoding for text fields (LP: #837042).

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 01 Oct 2011 20:44:44 +0100

ubiquity (2.7.38) oneiric; urgency=low

  [ Mario Limonciello ]
  * Preseed a bootloader target if one hasn't been set but running in 
    automatic mode. (LP: #861465)

  [ Adam Conrad ]
  * Allow fallback from oem-config-slideshow to ubiquity-slideshow for
    cases where the former doesn't exist.
  * Automatic update of included source packages: console-setup
    1.57ubuntu27, flash-kernel 2.28ubuntu34, grub-installer 1.68ubuntu4,
    netcfg 1.68ubuntu6.  Fixes FTBFS.

  [ Evan Dandrea ]
  * Use the default signal handler for SIGPIPE, hopefully fixing the
    child processes of update-apt-cache not getting killed along with
    it (LP: #743359).
  * Don't rely on the DBus main loop being set in the prepare plugin
    before it's used elsewhere.
  * Pressing enter in the keyboard test entry should proceed to the next
    page (LP: #862309).

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 28 Sep 2011 16:43:42 -0600

ubiquity (2.7.37) oneiric; urgency=low

  [ Evan Dandrea ]
  * Only set the ATK widget names to their GtkBuilder counterparts when
    --ldtp is set (LP: #781385)
  * Provide a means of preseeding an oem-config frontend (LP: #820514).
  * Terminate the updates download process before we get to
    remove_extras (LP: #743359).
  * Automatic update of included source packages: console-setup
    1.57ubuntu26, grub-installer 1.68ubuntu2, hw-detect 1.81ubuntu3,
    netcfg 1.68ubuntu5, partman-base 151ubuntu2.
  * Update translations from Launchpad.

  [ Colin Watson ]
  * Install new files from grub-installer >= 1.66.

 -- Evan Dandrea <ev@ubuntu.com>  Wed, 28 Sep 2011 12:15:46 +0100

ubiquity (2.7.36) oneiric; urgency=low

  * Showing and hiding the release notes and update the instaler links
    are now handled in the Internet connectivity callback (LP: #856213).
  * Enter the GTK main loop to avoid the wallpaper setting resources
    being cleaned up (LP: #854179).

 -- Evan Dandrea <ev@ubuntu.com>  Thu, 22 Sep 2011 17:59:55 +0100

ubiquity (2.7.35) oneiric; urgency=low

  [ Evan Dandrea ]
  * Don't show the battery warning when the system is not battery
    powered (LP: #848000).
  * Move network watch initialization for the KDE frontend to the
    correct place (LP: #855763).

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 21 Sep 2011 15:52:42 -0400

ubiquity (2.7.34) oneiric; urgency=low

  * Disable setting the ubiquity/online debconf question for now. We're
    not actually using it for anything yet (LP: #855277).
  * Disable the power indicator as it's causing g-s-d to spawn, which
    races against our own spawning of it (LP: #854717).

 -- Evan Dandrea <ev@ubuntu.com>  Wed, 21 Sep 2011 10:00:45 +0100

ubiquity (2.7.33) oneiric; urgency=low

  * Move watching Internet connectivity to the frontends themselves,
    which then ask each plugin to act accordingly (LP: #854706).
  * Update translations from Launchpad.

 -- Evan Dandrea <ev@ubuntu.com>  Tue, 20 Sep 2011 19:22:01 +0100

ubiquity (2.7.32) oneiric; urgency=low

  * Also show the Ubiquity launcher on Unity.

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 20 Sep 2011 09:52:32 -0400

ubiquity (2.7.31) oneiric; urgency=low

  [ Evan Dandrea ]
  * Build-depend on the GTK3 version of libindicator.

  [ Colin Watson ]
  * Move setup_power_watch out of the ubi-prepare plugin into a new
    ubiquity.upower module, allowing us to patch it out more easily while
    running tests.  Patch ubiquity.nm.add_connection_watch and
    ubiquity.nm.has_connection in the GTK frontend tests as well.
  * Automatic update of included source packages: apt-setup 1:0.49ubuntu9,
    netcfg 1.68ubuntu4.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 20 Sep 2011 01:10:22 +0100

ubiquity (2.7.30) oneiric; urgency=low

  [ Harald Sitter ]
  * [KDE] Fix language selection comobox position within grid (LP: #743062)
  * [KDE] Make intro label miminum expanding, otherwise word wrap will not
    work for vast amounts of text

  [ Evan Dandrea ]
  * Unset UBUNTU_MENUPROXY so our custom panel doesn't lose its
    indicators (LP: #837287).
  * Port the panel to GTK3.
  * Manually connect the activate-link signal on the advanced
    partitioning tool link on the automatic partitioning page.
    GtkBuilder signal mapping appears to be broken (LP: #852054).
  * The first partitioning page does not translate its options ahead of
    time, so ensure that the placeholder text isn't so long as to create
    the installer window to grow excessively large before partitioning
    is reached (LP: #837406).
  * Use the new network-manager interface on the prepare page to disable
    options that need an Internet connection when one is not available
    (LP: #848938).
  * Update translations from Launchpad.
  * Automatic update of included source packages: flash-kernel
    2.28ubuntu33.

  [ Stéphane Graber ]
  * Change wallpaper C program to accept a path to a wallpaper as a parameter.
  * Update ubiquity-dm to set the right wallpaper for Edubuntu.
  * Fix ibus in Ubiquity (LP: #838850)

  [ Aurélien Gâteau ]
  * gui/qt/stepKeyboardConf.ui
   - Put keyboard variable combobox on separate line (LP: #851160)

  [ Jonathan Riddell ]
  * kde_ui.py
   - Fix breakage in debfilter crash dialogue

 -- Evan Dandrea <ev@ubuntu.com>  Mon, 19 Sep 2011 19:37:28 +0100

ubiquity (2.7.29) oneiric; urgency=low

  * Add power indicator to the installer panel.
  * Handle APs going away while trying to query their properties
    (LP: #838068).
  * Use a small C program to set the desktop wallpaper (LP: #830061).
  * Update translations from Launchpad.
  * Automatic update of included source packages: flash-kernel
    2.28ubuntu31, partman-base 151ubuntu1.

 -- Evan Dandrea <ev@ubuntu.com>  Thu, 15 Sep 2011 10:47:19 +0100

ubiquity (2.7.28) oneiric; urgency=low

  [ Stéphane Graber ]
  * Update stepUserInfo.ui to trigger info_loop() when the hostname is changed.
    (LP: #828181)

  [ Mario Limonciello ]
  * Reorder the imports in oem-config-remove-gtk to fix an import error due
    the fallbacks in aptdaemon. (LP: #837288)
  * Show the wireless page after either prepare or language to make sure
    it shows in both ubiquity and oem-config modes.
  * Call out to find_next_step even on non debconf driven pages. (LP: #843237)
  * Don't assume /target is where the new face is being put.
  * When the installer crashes, file a bug using apport-bug rather than
    directing users to a terminal window. (LP: #843933)
  * Fix the colors in the oem-config language selector. (LP: #838672)
  * Automatic update of included source packages: netcfg 1.68ubuntu2,
    user-setup 1.28ubuntu20.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Wed, 07 Sep 2011 16:55:46 -0500

ubiquity (2.7.27) oneiric; urgency=low

  * Disable test_set_indicator_keymaps as set_indicator_keymaps itself is
    disabled for now.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 05 Sep 2011 13:47:25 -0400

ubiquity (2.7.26) oneiric; urgency=low

  [ Evan Dandrea ]
  * Don't show the wireless page if there's already a network connection
    (LP: #838549).

  [ Martin Pitt ]
  * ubiquity/gtkwidgets.py: Fix return value evaluation of Gdk.color_parse()
    (API was fixed to not return a separate "success" flag any more).
  * ubiquity/misc.py: Disable set_indicator_keymaps() for now. It does not
    work with either the old (2.28) nor the current (2.90) pygobject, and
    still uses gconf. (LP: #829186)

  [ Stéphane Graber ]
  * Fix crash in the KDE crash dialog.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 05 Sep 2011 10:56:43 -0400

ubiquity (2.7.25) oneiric; urgency=low

  [ Colin Watson ]
  * /apps/metacity/general/num_workspaces should be an int, not a boolean.
  * Automatic update of included source packages: flash-kernel 2.28ubuntu29.

  [ Evan Dandrea ]
  * Don't try to connect signals on the release notes label in the oem-
    config version of the language page, as it doesn't exist there.
  * Construct a GtkTreeCellDataFunc with the correct number of arguments
    in the migration assistant plugin (LP: #829987).
  * Don't let the text wrap for the language names in oem-config.

  [ Stéphane Graber ]
  * Properly sort the keyboard list (LP: #770320)

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 31 Aug 2011 20:52:07 +0100

ubiquity (2.7.24) oneiric; urgency=low

  * Use only gtk3 in oem-config-remove-gtk (2.7.23 was also using gtk2).
  * Update the directory for the panel to search for indicators.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Tue, 30 Aug 2011 14:04:25 -0500

ubiquity (2.7.23) oneiric; urgency=low

  * Use the correct API for manipulating the finished dialog for oem-
    config-remove-gtk.

 -- Evan Dandrea <ev@ubuntu.com>  Tue, 30 Aug 2011 19:03:16 +0100

ubiquity (2.7.22) oneiric; urgency=low

  * Add back accidentally deleted build_timezone_list call.

 -- Evan Dandrea <ev@ubuntu.com>  Tue, 30 Aug 2011 18:34:51 +0100

ubiquity (2.7.21) oneiric; urgency=low

  [ Stéphane Graber ]
  * Explicitly bind "activate-link" as it seems to be the only way to actually
    catch that signal. (LP: #830895)
  * If the user didn't select a photo, just continue without configuring it.
    (LP: #836934)
  * Instead of forcing the color on all elements, only do it for elements
    where it's actually required. Fixes weird backgrounds in ComboBoxes (LP: #830923)
  * Set a maximum install size of 8GB as long as the user still has 20% of free
    space. (LP: #771401)

  [ Evan Dandrea ]
  * Set the timezone location to the default (LP: #830940).
  * Automatic update of included source packages: user-setup
    1.28ubuntu19.

 -- Evan Dandrea <ev@ubuntu.com>  Tue, 30 Aug 2011 17:16:54 +0100

ubiquity (2.7.20) oneiric; urgency=low

  * Raise permissions for writing out webcam picture. (LP: #836802)

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Mon, 29 Aug 2011 12:34:37 -0500

ubiquity (2.7.19) oneiric; urgency=low

  [ Stéphane Graber ]
  * Properly handle unicode in calls to preseed (LP: #831455)
  * Properly handle unicode for device and mountpoints name (LP: #833813)
  * Port Ubiquity's accessibility indicator to gobject introspection
  * Fix a minor gobject introspection port issue (Gdk.CONTROL_MASK should
    be Gdk.ModifierType.CONTROL_MASK)
  * Fix ubi-timezone changed() function missing a parameter

  [ Colin Watson ]
  * Adjust timezone tests for change in timezone changed() signature.
  * Mock ubiquity.misc.drop_privileges and ubiquity.misc.regain_privileges
    during test_face_selector_save_to.
  * Mock ubiquity.frontend.base.drop_privileges in GTK frontend tests to
    cope with 'from ubiquity.misc import drop_privileges' form.
  * Mock ubiquity.nm.wireless_hardware_present in GTK frontend tests, as it
    may not be able to talk to D-Bus.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 29 Aug 2011 17:26:51 +0100

ubiquity (2.7.18) oneiric; urgency=low

  * Properly handle unicode around the hostname (LP: #831309).
  * Properly handle unicode around the timezone entry box (LP: #831533).
  * Properly handle unicode in the question dialog (LP: #831419).
  * Disable the background setting code for beta 1.
  * Wait forever for jockey to shutdown (LP: #653571).
  * Bump indicators to v6 (LP: #819979).

 -- Evan Dandrea <ev@ubuntu.com>  Fri, 26 Aug 2011 17:56:37 +0100

ubiquity (2.7.17) oneiric; urgency=low

  [ Evan Dandrea ]
  * Make sure the webcam module is built before running tests.

  [ Colin Watson ]
  * Use a stamp file for 'debian/rules install' to try to avoid duplicate
    runs (e.g. when repeatedly running tests).
  * Mark the debian/rules tests target as phony, to allow repeated runs more
    easily.
  * Don't fail gtkwidgets tests if /usr/share/pixmaps/faces doesn't exist
    (i.e. gnome-control-center-data isn't installed).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 25 Aug 2011 00:09:32 +0100

ubiquity (2.7.16) oneiric; urgency=low

  [ Colin Watson ]
  * Update translations from Launchpad.
  * Enable code in console-setup 1.57ubuntu24 to fix default keyboard
    selection for language/country combinations lacking a proper combined
    locale (LP: #814448).
  * Rename libwebcam to libubiwebcam to avoid clashing with the existing
    libwebcam0 package.

  [ Evan Dandrea ]
  * Move noninteractive frontend to PyGI bindings for GObject (LP:
    #829186).
  * Make the webcam page match its specified design.
  * Automatic update of included source packages: console-setup
    1.57ubuntu25.

  [ Jeremy Bicha ]
  * Allow users to enter their own mount point in the partitoner (LP: #831431)

 -- Evan Dandrea <ev@ubuntu.com>  Wed, 24 Aug 2011 13:58:08 +0100

ubiquity (2.7.15) oneiric; urgency=low

  [ Colin Watson ]
  * Remove dead code from debian/oem-config.oem-config.upstart.
  * Prefer recent versions of ntfs-3g to ntfsprogs, as ntfsresize has moved
    to ntfs-3g.

  [ Evan Dandrea ]
  * Change the first partitioning page title to 'Installation Type.'
    Thanks Matthew Paul Thomas.
  * Merge PyGI branch. Ubiquity now uses PyGI and GTK+3.
  * Feature Freeze exception (LP: #825274).
  * Automatic update of included source packages: base-installer
    1.119ubuntu4, console-setup 1.57ubuntu23, flash-kernel 2.28ubuntu28,
    netcfg 1.68ubuntu1, partman-auto-loop 0ubuntu20, partman-
    basicfilesystems 71ubuntu1, partman-efi 24ubuntu2, partman-
    partitioning 81ubuntu2, tzsetup 1:0.26ubuntu10, user-setup
    1.28ubuntu18.

  [ Brian Murray ]
  * Instead of sending people to +filebug recommend using apport

  [ Luke Yelavich ]
  * Add support for launching high contrast, screen reader, keyboard modifiers,
    and onscreen keyboard accessibility profiles in maybe-ubiquity mode, high
    contrast and screen reader profiles being launcheable either from an
    indicator, or via keyboard shortcut, the rest of the profiles available
    via the indicator only
  * bin/ubiquity-dm:
    - Start at-spi either when an appropriate accessibility profile is enabled,
      or when maybe-ubiquity mode is enabled
    - Remove references to orbit, as the a11y stack now uses dbus
  * debian/control: Add python-appindicator as a dependency of
    ubiquity-frontend-gtk
  * Play the system-ready sound once accessibility profile support code has
    been run to signal the user that a profile shortcut key can be pressed
  * Enable caret browsing/text cursor movement in the slideshow if the screen
    reader accessibility profile is enabled

  [ Mario Limonciello ]
  * Fix calls to get_size() in ubiquity-dm from pygi transition.

 -- Evan Dandrea <ev@ubuntu.com>  Thu, 18 Aug 2011 17:56:46 +0100

ubiquity (2.7.14) oneiric; urgency=low

  * When copying symlinks, just try unlinking and handle exceptions, rather
    than statting them first to find out what to do.
  * Automatic update of included source packages: apt-setup 1:0.49ubuntu7,
    partman-target 73ubuntu1.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 15 Jul 2011 17:13:15 +0100

ubiquity (2.7.13) oneiric; urgency=low

  [ Evan Dandrea ]
  * Change the forward button text to Continue. Thanks to Matthew Paul
    Thomas for the suggestion.

  [ Mario Limonciello ]
  * Don't try to unlink directories during file copy routine that were
    created by partman (/var/lock, /var/run), rmdir them instead. 
    (LP: #810700)
  * Don't assume that gsettings is on PATH just because gconftool-2 is.
    They come from separate packages.
  * Automatic update of included source packages: flash-kernel
    2.28ubuntu27.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Fri, 15 Jul 2011 00:14:00 -0500

ubiquity (2.7.12) oneiric; urgency=low

  * Update disable_autologin to match current user-setup-apply, including
    lxdm and lightdm handling (LP: #806247).
  * Upgrade to indicator-0.4.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 09 Jul 2011 16:52:42 +0100

ubiquity (2.7.11) oneiric; urgency=low

  [ Luke Yelavich ]
  * Use at-spi2 dbus launcher to start the at-spi2 daemon
  * Determine accessibility state from gsettings using the gsettings command,
    to make sure privileges are dropped

  [ Colin Watson ]
  * Handle the case where one of the packages returned by 'pyversions -s' or
    'py3versions -s' is not installed (LP: #806349).
  * Add --config=Mode:0644 to debconf-copydb call, as otherwise we leave
    /var/cache/debconf/config.dat mode 0600 in the installed system,
    breaking the first run of some package management frontends
    (LP: #442941).
  * Provide build-arch and build-indep debian/rules targets.
  * Automatic update of included source packages: console-setup
    1.57ubuntu21, flash-kernel 2.28ubuntu26.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 07 Jul 2011 23:28:05 +0100

ubiquity (2.7.10) oneiric; urgency=low

  * Fix reversed calls to enable_download_updates and set_download_updates,
    broken in 2.7.9 (LP: #800261).
  * Recreate .pyc modules excluded from the live filesystem.
  * Automatic update of included source packages: grub-installer
    1.64ubuntu3, user-setup 1.28ubuntu16.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 22 Jun 2011 13:52:45 +0100

ubiquity (2.7.9) oneiric; urgency=low

  [ Colin Watson ]
  * Use pycompile (python-minimal) rather than py_compilefiles
    (python-central).
  * Add lightdm to lists of display managers in Upstart jobs (LP: #798328).
  * Automatic update of included source packages: base-installer
    1.119ubuntu3, netcfg 1.63ubuntu1.

  [ Mackenzie Morgan ]
  * make ubi-prepare.py handle cases where prepare_download_updates
    is Qt too (LP: #791446)

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 16 Jun 2011 23:20:29 +0100

ubiquity (2.7.8) oneiric; urgency=low

  * Fix xvfb-run error handling.
  * Don't run xvfb-run under fakeroot, as that confuses the X server.
  * Exclude everything under debian/ from tests/run-pyflakes, as otherwise
    it's impossible to clean a built tree.
  * Convert to dh_python2.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 15 Jun 2011 15:09:46 +0100

ubiquity (2.7.7) oneiric; urgency=low

  * Show output from xauth and Xrdb after calling xvfb-run.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 13 Jun 2011 14:52:59 +0100

ubiquity (2.7.6) oneiric; urgency=low

  * Support filesystem.manifest-remove (equivalent to the difference between
    filesystem.manifest and filesystem.manifest-desktop in the old style),
    generated by live-build >= 3.0~a20-1.
  * Remove /target/etc/apt/sources.list.d/dvd.list before creating new apt
    configuration.  The livecd-rootfs live-build integration will create
    this in DVD images.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 12 Jun 2011 00:23:14 +0100

ubiquity (2.7.5) oneiric; urgency=low

  * Stop installing earth.jpg; it's 250KiB and we no longer use it.
  * Automatic update of included source packages: apt-setup 1:0.49ubuntu6,
    base-installer 1.119ubuntu1, choose-mirror 2.38ubuntu2, clock-setup
    0.108ubuntu1, debian-installer-utils 1.84ubuntu1, grub-installer
    1.64ubuntu2, localechooser 2.37ubuntu1, netcfg 1.62ubuntu2, partconf
    1.37, partman-base 150ubuntu1, partman-basicfilesystems 70ubuntu1,
    partman-basicmethods 48, partman-btrfs 6ubuntu1, partman-efi 24ubuntu1,
    partman-ext3 64ubuntu1, partman-jfs 34, partman-partitioning 81ubuntu1,
    partman-reiserfs 51, partman-xfs 48, preseed 1.49ubuntu1.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 08 Jun 2011 15:47:52 +0100

ubiquity (2.7.4) oneiric; urgency=low

  * Fix sys.path handling in test_ubi_partman.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 31 May 2011 20:55:01 +0100

ubiquity (2.7.3) oneiric; urgency=low

  * Ugh. Add python-libxml2 and python-xklavier to build dependencies.

 -- Evan Dandrea <ev@ubuntu.com>  Tue, 31 May 2011 17:42:44 +0100

ubiquity (2.7.2) oneiric; urgency=low

  * Add a pyflakes run to the check build target.
  * Add dependency on python-libxml2. Fixes FTBFS (again).

 -- Evan Dandrea <ev@ubuntu.com>  Tue, 31 May 2011 17:03:20 +0100

ubiquity (2.7.1) oneiric; urgency=low

  * Add build dependency on xvfb.  Fixes FTBFS.

 -- Evan Dandrea <ev@ubuntu.com>  Tue, 31 May 2011 15:40:21 +0100

ubiquity (2.7.0) oneiric; urgency=low

  [ Evan Dandrea ]
  * Prevent the OOM killer from selecting ubiquity.  See  LP #770865.
  * Ensure that the partition ComboBoxEntry can be focused
    (LP: #769043).
  * Hide the other pages when starting the slideshow so that verbose
    languages that cause the window to grow do not leave lots of
    whitespace on the slideshow (LP: #770253).
  * Don't offer the download updates option when there is no Internet
    connection. See LP: 651932.
  * Provide access to the keymaps most-relevant for the currently
    selected language in the keyboard indicator (LP: #656777).
  * gnome-settings-daemon no longer daemonizes (LP: #788859).
  * Automatic update of included source packages: partman-auto
    93ubuntu16.

  [ Colin Watson ]
  * Re-enable alpha warning for oneiric.
  * Make ubiquity/nonfree_package preseedable, and allow it to contain
    multiple whitespace-separated package names.

  [ Mario Limonciello ]
  * In automatic ubiquity mode, don't clobber grub-installer/bootdev
    because of the U/I widget not being populated.  Fixes preseeded
    grub-installer/bootdev.

 -- Evan Dandrea <ev@ubuntu.com>  Tue, 31 May 2011 14:56:14 +0100

ubiquity (2.6.10) natty; urgency=low

  * Add __init__ methods to ubi-timezone's PageDebconf and
    PageNoninteractive classes, so that they have controller attributes
    (LP: #769081).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 22 Apr 2011 21:03:09 +0100

ubiquity (2.6.9) natty; urgency=low

  * Disable the alpha warning.  Whoops.

 -- Evan Dandrea <ev@ubuntu.com>  Thu, 21 Apr 2011 17:36:10 +0100

ubiquity (2.6.8) natty; urgency=low

  * Pretend to be online in tests.  Fixes build failure.

 -- Evan Dandrea <ev@ubuntu.com>  Thu, 21 Apr 2011 14:48:24 +0100

ubiquity (2.6.7) natty; urgency=low

  [ Evan Dandrea ]
  * Fix missing import on the partitioning page.
  * Repack debs in apt-clone.
  * Disable the upgrade/reinstall option when no Internet connection is
    available.  See LP 766171 for details.
  * Update translations from Launchpad.
  * Don't ever show scrollbars in the slideshow.  The window growing
    slightly is not ideal, but still better than this. See LP 529201
    for details.
  * Defend against temporary mountpoints not existing before attempting
    to remove them (LP: #759716).

  [ Colin Watson ]
  * Automatic update of included source packages: console-setup
    1.57ubuntu20, grub-installer 1.60ubuntu3, partman-auto 93ubuntu15.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 21 Apr 2011 00:34:54 +0100

ubiquity (2.6.6) natty; urgency=low

  [ Jonathan Riddell ]
  * bin/ubiquity-dm: use correct KDE wallpaper path

  [ Colin Watson ]
  * Don't copy keyboard-configuration questions to /target in OEM mode, and
    reset any values that come from the live filesystem build.  oem-config
    will ask them later, and copying these confuses it (LP: #741304).
  * GTK frontend:
    - Avoid a crash if the automatic partitioning page is never displayed.

  [ Evan Dandrea ]
  * Remove the 'Bootloader device' line.  See LP #726740.
  * Do not reset the bootloader choice unless it's absolutely necessary
    (LP: #756920). Thanks Stéphane Graber!
  * Move installation of the nvidia driver to after the removal of
    unneeded kernels. Divert update-initramfs for the duration and
    trigger it afterwards (LP: #759804).
  * Make the 'name already exists on the network' warning message not
    block the user from moving forward (LP: #760884).
  * Briefly shut down the debconf database to flush any changes before
    starting the parallel database (LP: #761094).
  * Fix removal of slideshow packages for non-GTK frontends
    (LP: #745607).
  * Set the locale again after the timezone page so that the slideshow
    can have country-specific translations (LP: #758658).
  * Automatic update of included source packages: base-installer
    1.116ubuntu2, choose-mirror 2.37ubuntu2, console-setup 1.57ubuntu19,
    flash-kernel 2.28ubuntu19, user-setup 1.28ubuntu15.
  * Update translations from Launchpad.

  [ Mario Limonciello ]
  * Show the oem-config slideshow in oem-config rather than the ubuntu one.
  * Uninstall the oem-config slideshow after install is done (LP: #759935).

  [ Julien Lavergne ]
  * Disable ubiquity panel for openbox session. 

  [ Mackenzie Morgan ]
  * Make radio buttons use label wording for screen reader (LP: #749653)

 -- Evan Dandrea <ev@ubuntu.com>  Tue, 19 Apr 2011 11:45:53 +0100

ubiquity (2.6.5) natty; urgency=low

  * Fix broken home directory lookup (LP: #759401).

 -- Evan Dandrea <ev@ubuntu.com>  Wed, 13 Apr 2011 09:17:48 +0100

ubiquity (2.6.4) natty; urgency=low

  * Don't check for debconf database locks when ubiquity is itself running
    inside a debconf frontend (LP: #758858).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 12 Apr 2011 21:25:47 +0100

ubiquity (2.6.3) natty; urgency=low

  * Clean up after the langpacks state on multiple runs of the installer.
  * Prefer biggest_free over resize always now that we make sure the
    biggest_free choice offers at least 5GB (LP: #758236, LP: #652852).
  * Determine the home directory of the target user when copying the
    network configuration (LP: 745607).
  * Select all the ubiquity slideshow packages for removal, and do not
    error out if none can be found (LP: #745607).
  * Update translations from Launchpad.
  * Automatic update of included source packages: console-setup
    1.57ubuntu18, migration-assistant 0.6.10.

 -- Evan Dandrea <ev@ubuntu.com>  Tue, 12 Apr 2011 18:29:53 +0100

ubiquity (2.6.2) natty; urgency=low

  [ Colin Watson ]
  * Handle keyboard layouts with only one variant (LP: #711926).
  * Make sure to set a new variant default when changing keyboard layout
    (LP: #745137).

  [ Evan Dandrea ]
  * Deal with the confirmation key being translated in jockey-text
    (LP: #757208).
  * Update translations from Launchpad.

 -- Evan Dandrea <ev@ubuntu.com>  Mon, 11 Apr 2011 17:51:12 +0100

ubiquity (2.6.1) natty; urgency=low

  [ Stéphane Graber ]
  * KDE frontend:
    - Disable partition edit dialog on row activation, until such time as we
      know how to distinguish click from double-click (LP: #628906).

  [ Colin Watson ]
  * Automatic update of included source packages: localechooser 2.34ubuntu4,
    partman-auto 93ubuntu14.
  * Update translations from Launchpad.
  * Add ${misc:Depends} to dependencies of ubiquity-ubuntu-artwork and
    oem-config-remaster.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 11 Apr 2011 02:22:28 +0100

ubiquity (2.6.0) natty; urgency=low

  [ Evan Dandrea ]
  * Provide a better description for the upgrade/reinstall option that
    intends to make the difference between it and a traditional Ubuntu
    upgrade clear (LP: #752372).
  * Don't show the biggest_free option if we can't fit Ubuntu in the
    free space (LP: #751145).
  * Try calling unlock_environment a bit earlier to work around LP: 657086.
  * Be sure to back up in the dbfilter when backing up from the advanced
    partitioning page (LP: #744938).
  * Increase the minimum size of the Ubuntu install to be twice the size
    of the contents of the installation (roughly 5.2 GB) (LP: #745148).

  [ Colin Watson ]
  * Switch to xz compression for the source package, saving nearly a
    megabyte.
  * Update translations from Launchpad.
  * Update imported translations from gtk+2.0 2.24.4-0ubuntu1.
  * Automatic update of included source packages: apt-setup 1:0.49ubuntu4,
    netcfg 1.60ubuntu3.

  [ Jonathan Riddell ]
  * Update artwork gui/qt/images/squares.png

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 10 Apr 2011 01:47:19 +0100

ubiquity (2.5.34) natty; urgency=low

  [ Colin Watson ]
  * Force the output of 'locale charmap' to UTF-8 while running
    console-setup (LP: #730576).

  [ Evan Dandrea ]
  * Bump panel indicators ABI (LP: #745681).

  [ Mario Limonciello ]
  * Modify oem-config-remove-gtk to look in /var/lib/dpkg/info again
    rather than /var/lib/dpkg/info/*/ for installed packages.
  * Remove cryptsetup after oem-config if ecryptfs is not in use.
    Thanks Tony Espy.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Tue, 05 Apr 2011 17:36:07 -0500

ubiquity (2.5.33) natty; urgency=low

  [ Colin Watson ]
  * Shut down the debconf-communicator instance started in DM.run.  This
    should reduce the number of spurious crash reports we get.
  * KDE frontend:
    - Force the SIGCHLD handler installed by QProcessManager to use
      SA_RESTART, in the hope of avoiding problems with Python's lack of
      EINTR-safety (LP: #745014).
    - Show ext2 and btrfs in the same colour as ext3 and ext4, rather than
      in the same colour as free space.
  * localechooser/supported-locales only lists additional locales, so
    calculate the set of language packs to install using the union of it and
    debian-installer/locale (LP: #741304).
  * Do a quick check at startup to see if the debconf database is locked by
    something else, and exit slightly more gracefully than by raising an
    exception (LP: #746020).
  * GTK frontend:
    - Fix the partman plugin to convert the return value of
      gtk.TreeModel.get_value to Unicode before looking it up in a dict
      (LP: #746408).
  * Update translations from Launchpad (LP: #745924, #746500).
  * Automatic update of included source packages: flash-kernel 2.28ubuntu18.

  [ Evan Dandrea ]
  * Clarify substitution variables in the debconf templates using comments.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 02 Apr 2011 13:03:38 +0100

ubiquity (2.5.32) natty; urgency=low

  * Fix test failure on non-x86 architectures.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 29 Mar 2011 10:29:20 +0100

ubiquity (2.5.31) natty; urgency=low

  * Put build-dependencies in the right place.
  * Add python-apt to the build-depends for the test harness.
  * Use the standard nocheck DEB_BUILD_OPTIONS argument instead of
    UBIQUITY_NO_TESTS. Thanks Steve Langasek!
  * Run the tests on all architectures.
  * Don't feed jockey's output into debconf (LP: #739632).

 -- Evan Dandrea <ev@ubuntu.com>  Mon, 28 Mar 2011 23:21:15 +0100

ubiquity (2.5.30) natty; urgency=low

  [ Evan Dandrea ]
  * Add an error message for apt-clone failing.
  * Do not consider Windows Recovery partitions in the list of operating
    systems.
  * Add unit tests, which can be run via ./tests/run or by building the
    package.  To override a failing test causing the package build to
    fail, use the UBIQUITY_NO_TESTS environment variable.
  * Divert initctl around apt-clone to prevent packages with Upstart
    jobs from failing to be reinstalled.
  * Ensure that the partition description labels all wrap at the same
    point (LP: #741664).
  * Move test dependencies into build-depends.  Thanks Colin Watson!
  * Move the apt-clone working directory into /var/log/installer at the
    end of installation (LP: #739492).
  * Set the next button back to its original label once done calculating
    its size.
  * Automatic update of included source packages: migration-assistant
    0.6.9, user-setup 1.28ubuntu14.

  [ Colin Watson ]
  * Start debconf in ubiquity.i18n.reset_locale if it isn't already running
    (LP: #649895).
  * Remove grub_device_label from string_extended, now that the boot loader
    question is only asked from the partitioning page rather than a separate
    dialog (LP: #726740).

 -- Evan Dandrea <ev@ubuntu.com>  Mon, 28 Mar 2011 18:30:33 +0100

ubiquity (2.5.29) natty; urgency=low

  * Remove cy from LINGUAS. Fixes build failure.

 -- Evan Dandrea <ev@ubuntu.com>  Wed, 23 Mar 2011 21:16:17 +0000

ubiquity (2.5.28) natty; urgency=low

  [ Evan Dandrea ]
  * Update the descriptions for the automatic partitioning options to match
    changes to the specification (LP: #736959).
  * Mount /proc and friends for apt-clone.
  * Use the noninteractive debconf frontend when calling apt-clone.
  * apt-clone is now a separate package.
  * Add a partitioning heading to help clarify what operating systems
    may be acted upon by the installer.
  * Remove ' (loader)' from the os-prober operating system descriptions on
    the initial partitioning page.
  * Properly substitute in the non-Ubuntu system when generating descriptions
    for dual boot partitioning.
  * Remove alpha warning for reuse option in preparation for the 11.04 Beta.
  * Update translations from Launchpad.
  * Automatic update of included source packages: console-setup
    1.57ubuntu17, grub-installer 1.60ubuntu2, localechooser 2.34ubuntu3,
    partman-auto 93ubuntu13, partman-auto-loop 0ubuntu19.

  [ Colin Watson ]
  * Preprocess our variant of keyboard-configuration.postinst, so that it
    includes the keyboard_present function.
  * Start oem-config-debconf on stopping rc RUNLEVEL=[2345], rather than on
    (filesystem and stopped udevtrigger); this guarantees that we will never
    end up without a controlling terminal because tty1 has already started.
  * Don't run the oem-config job in recovery mode (thanks, Shih-Yuan Lee;
    LP: #734695).
  * Run plugininstall in debconf frontend (LP: #740183).

 -- Evan Dandrea <ev@ubuntu.com>  Wed, 23 Mar 2011 20:22:00 +0000

ubiquity (2.5.27) natty; urgency=low

  * Drop code related to debian-installer/fallbacklocale, since that
    template no longer exists (LP: #736060).
  * Update imported translations from gtk+2.0 2.24.3-0ubuntu2 and
    gnome-panel 1:2.32.1-0ubuntu6.
  * Ensure that PartedServer dialogs are always properly closed on
    exceptional paths.
  * Fix partition-table-full check to cope with disks without a partition
    table.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 16 Mar 2011 14:36:02 +0000

ubiquity (2.5.26) natty; urgency=low

  [ Evan Dandrea ]
  * Revert dropping privileges earlier (LP: #730209).

  [ Colin Watson ]
  * Update for changes in localechooser up to 2.34ubuntu1.
  * Automatic update of included source packages: localechooser 2.34ubuntu2,
    partman-auto 93ubuntu10.
  * Update translations from Launchpad.
  * GTK frontend:
    - Translate some other possible versions of the next button when
      changing language (LP: #730208).

  [ Daniel Manrique ]
  * Allow preseeding only ubiquity/reboot to suppress the reboot dialog,
    without needing to preseed ubiquity/poweroff as well (LP: #727416).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 15 Mar 2011 17:34:27 +0000

ubiquity (2.5.25) natty; urgency=low

  [ Mario Limonciello ]
  * Install oem-config-debconf properly. (LP: #732576)
  * Don't trigger oem-config-debconf on dbus.

  [ Kees Cook ]
  * scripts/plugininstall.py: do not explode if /proc/swaps is missing,
    thanks to Gilles Grandou (LP: #651886).

 -- Kees Cook <kees@ubuntu.com>  Thu, 10 Mar 2011 14:37:48 -0800

ubiquity (2.5.24) natty; urgency=low

  [ Evan Dandrea ]
  * Drop privileges earlier in ubi-partman.
  * Remove unused templates.

  [ Mario Limonciello ]
  * Fix oem-config-remove-gtk for changes in multiarch.
  * Automatic update of included source packages: flash-kernel
    2.28ubuntu17.

  [ Loïc Minier ]
  * bin/ubiquity-dm: fix superfluous closing parenthesis left behind in last
    ubiquity-dm changes; thanks Tobin Davis; LP: #731536.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Tue, 08 Mar 2011 14:33:04 -0600

ubiquity (2.5.23) natty; urgency=low

  [ Evan Dandrea ]
  * Ensure we always have an automatic partitioning option selected.
  * Merge in latest change to apt-clone from Michael Vogt:
    - Current apt_pkg API methods.
    - Better command line argument parsing.
    - Set DPkg::Chroot-Directory (LP 727758).
  * Do not attempt to proceed to a second page with the biggest_free
    option (LP: #727842, LP: #652852).  This will change once we have an
    interface for the biggest_free option.
  * If the partition table is full and a copy of Windows exists, replace the
    resize option with a copy of wubi.exe to the Windows startup folder,
    followed by a reboot.
  * Temporary fix for translations with carriage returns (LP: #730498).
  * Update translations from Launchpad.
  * Automatic update of included source packages: console-setup
    1.57ubuntu10.

  [ Colin Watson ]
  * Set Dir::Media::MountPath as well as Acquire::cdrom::mount (in line with
    base-installer), and pass all the options set by configure_apt to
    python-apt as well so that attempts to install packages from python-apt
    will behave consistently (LP: #727783).

  [ Julien Lavergne ]
  * bin/ubiquity-dm:
   - Wait lxsession before launching the panel, to have theming support.
     (LP: #684802)
  * src/panel/panel.c
   - Load lxpanel background for the panel when it's available.

 -- Evan Dandrea <ev@ubuntu.com>  Mon, 07 Mar 2011 09:16:26 +0000

ubiquity (2.5.22) natty; urgency=low

  [ Evan Dandrea ]
  * Make apt-clone executable. D'oh.
  * Show the amount of space available for Ubuntu after resizing for
    each disk in the combo box.
  * Don't show the progress section when advancing to the manual
    partitioning page from the hyperlink for it.
  * Change 'Figure Out' to 'Detect' for reals (LP: #717500).

  [ Colin Watson ]
  * Deny requests from hw-detect to load firmware (LP: #727288).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 01 Mar 2011 23:28:42 +0000

ubiquity (2.5.21) natty; urgency=low

  * Add a set_autopartition_options method stub.
  * Don't display the package preservation progress message if it's
    ultimately going to be skipped.
  * Show the progress bar as soon as we have a final autopartitioning
    option.
  * Automatic update of included source packages: partman-auto
    93ubuntu9.

 -- Evan Dandrea <ev@ubuntu.com>  Tue, 01 Mar 2011 08:13:20 +0000

ubiquity (2.5.20) natty; urgency=low

  * Merge the automatic partitioner redesign branch (LP: #723849).

 -- Evan Dandrea <ev@ubuntu.com>  Tue, 01 Mar 2011 04:48:11 +0000

ubiquity (2.5.19) natty; urgency=low

  [ Colin Watson ]
  * Automatic update of included source packages: base-installer
    1.116ubuntu1, console-setup 1.57ubuntu8, flash-kernel 2.28ubuntu15,
    partman-auto 93ubuntu8, partman-target 71ubuntu2.

  [ Bryce Harrington ]
  * Revert "Queue a redraw of the panel after setting the background".  This
    change is implicated in a memory leak leading to OOM conditions and
    eventual crash of Xserver.  (Possible fix for LP: #714829, would reopen
    693300)

  [ Mario Limonciello ]
  * Fix reference leak in panel set_background function.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 28 Feb 2011 19:54:45 +0000

ubiquity (2.5.18) natty; urgency=low

  * Automatic update of included source packages: partman-auto
    93ubuntu6.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Thu, 24 Feb 2011 17:54:41 -0600

ubiquity (2.5.17) natty; urgency=low

  * Do not show the installer in dbusmneu.  Thanks Ken VanDine!
  * Install a composite-enabled graphics driver when the third-party
    software option is checked.

 -- Evan Dandrea <ev@ubuntu.com>  Thu, 24 Feb 2011 16:58:05 +0000

ubiquity (2.5.16) natty; urgency=low

  [ Evan Dandrea ]
  * Rename the keyboard layout guessing button (LP: #717500).
  * Install oem-config-slideshow-ubuntu alongside oem-config-gtk.
  * Fix accessibility support in the installer session.
  * Automatic update of included source packages: flash-kernel
    2.28ubuntu14, partman-auto 93ubuntu5.

  [ Mario Limonciello ]
  * Create a dummy job for oem-config-debconf to prevent race
    conditions with oem-config-gtk and gdm. (LP: #650703)

 -- Evan Dandrea <ev@ubuntu.com>  Sun, 20 Feb 2011 03:00:54 +0000

ubiquity (2.5.15) natty; urgency=low

  [ Colin Watson ]
  * Ignore "Not Available" strings in dmidecode output (LP: #711968).
  * Tell keyboard-configuration not to write defaults in the debconf
    database when we're in the process of changing the layout (LP: #705917).
  * Automatic update of included source packages: console-setup 1.57ubuntu7,
    flash-kernel 2.28ubuntu13, grub-installer 1.60ubuntu1, netcfg
    1.60ubuntu2, partman-auto 93ubuntu4, partman-btrfs 5ubuntu3,
    partman-partitioning 79ubuntu2.

  [ Jonathan Riddell ]
  * frontend/kde_ui.py use new KDE wallpaper

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 15 Feb 2011 11:52:27 +0000

ubiquity (2.5.14) natty; urgency=low

  * Append to the timezone model using the correct types (LP: #702898).
  * Update translations from Launchpad.

 -- Evan Dandrea <ev@ubuntu.com>  Wed, 02 Feb 2011 10:24:41 +0000

ubiquity (2.5.13) natty; urgency=low

  [ Jonathan Riddell ]
  * Fix layout issues in stepPartMan.ui and stepLanguage.ui LP: #705915

  [ Evan Dandrea ]
  * Show a Shutdown Now button (LP: #690726). Thanks Cyrus Lien!
  * Only show the shutdown button if ubiquity/show_shutdown_button was
    preseeded true.
  * Don't show a resize grip on the panel.

  [ Colin Watson ]
  * Automatic update of included source packages: base-installer
    1.115ubuntu1, choose-mirror 2.37ubuntu1, partman-btrfs 5ubuntu2,
    partman-ext3 62ubuntu1, yaboot-installer 1.1.19ubuntu1.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 01 Feb 2011 14:42:55 +0000

ubiquity (2.5.12) natty; urgency=low

  [ Mario Limonciello ]
  * Fix oem-config-remove-gtk for changes in AptClient's commit_packages.
    (LP: #708722)

  [ Evan Dandrea ]
  * Update translations from Launchpad.
  * If a session indicator gconf key starts unset, make sure it ends
    that way (LP: #684052).
  * Fix mistake in the cleanup branch merge that broke translations
    (LP: #691671).
  * pc105.tree is included in console-setup now, which speeds up
    ubiquity builds.
  * Detect hostname collisions (LP: #634187).

  [ Colin Watson ]
  * Automatic update of included source packages: clock-setup 0.106ubuntu1,
    console-setup 1.57ubuntu5, partman-basicfilesystems 69ubuntu1,
    partman-efi 23ubuntu1, partman-partitioning 79ubuntu1.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 28 Jan 2011 15:06:19 +0000

ubiquity (2.5.11) natty; urgency=low

  * Automatic update of included source packages: partman-partitioning
    78ubuntu2.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Tue, 18 Jan 2011 15:11:14 -0600

ubiquity (2.5.10) natty; urgency=low

  * No change rebuild for new libindicator2.

 -- Evan Dandrea <ev@ubuntu.com>  Mon, 17 Jan 2011 12:30:07 +0000

ubiquity (2.5.9) natty; urgency=low

  [ Mario Limonciello ]
  * If upgradable packages are marked for installation by a plugin, upgrade
    them rather than ignoring.
  * Don't start plugininstall if the user presses back on the last page in
    oem-config.
  * Don't show "No Localization" as a language option. (LP: #697326)
  * Automatic update of included source packages: base-installer
    1.114ubuntu3, flash-kernel 2.28ubuntu12, hw-detect 1.81ubuntu2,
    partman-btrfs 5ubuntu1, user-setup 1.28ubuntu13.

  [ Colin Watson ]
  * Depend on new archdetect-deb package rather than installing it from
    hw-detect ourselves.

  [ Evan Dandrea ]
  * Avoid running oem-config in the live environment in custom
    configurations (LP: #699720).  Thanks Shih-Yuan Lee!
  * Queue a redraw of the panel after setting the background (LP:
    #693300).  Thanks Cyrus Lien!

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Fri, 14 Jan 2011 16:32:30 -0600

ubiquity (2.5.8) natty; urgency=low

  * Allow overriding frontend using the ubiquity/frontend= boot parameter
    (thanks, Roberto C. Morano and Juanje Ojeda; LP: #364009).
  * console-setup/codeset was renamed to console-setup/codeset47
    (LP: #699829).
  * Automatic update of included source packages: base-installer
    1.114ubuntu2, console-setup 1.57ubuntu2, netcfg 1.59ubuntu1.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 07 Jan 2011 15:09:58 +0000

ubiquity (2.5.7) natty; urgency=low

  [ Evan Dandrea ]
  * Set the accessible name of every widget.

  [ Colin Watson ]
  * Update for changes in console-setup up to 1.57ubuntu1, particularly the
    introduction of /etc/default/keyboard and keyboard-configuration.
  * Automatic update of included source packages: console-setup 1.57ubuntu1,
    debian-installer-utils 1.82ubuntu1, flash-kernel 2.28ubuntu11, partconf
    1.36, partman-base 147ubuntu1, partman-basicmethods 47, partman-btrfs 5,
    partman-jfs 33, partman-newworld 25, partman-reiserfs 50, partman-xfs
    47, preseed 1.48.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 05 Jan 2011 17:19:11 +0000

ubiquity (2.5.6) natty; urgency=low

  [ Colin Watson ]
  * Recommend btrfs-tools (LP: #674805).
  * Sync network configuration with netcfg: drop ip6-allhosts (see Debian
    #533384); strip trailing dots from the hostname and leading and trailing
    dots from the domain.
  * Automatic update of included source packages: grub-installer
    1.57ubuntu2, netcfg 1.57ubuntu3, partman-auto 93ubuntu3, partman-target
    71ubuntu1, user-setup 1.28ubuntu12.

  [ Mario Limonciello ]
  * If available, copy GRUB translations in oem-config user mode.
    (LP: #686789)

  [ Evan Dandrea ]
  * Add debconf template for password confirmation (LP: #654491).
  * Translate the 'passwords do not match' string (LP: #686737).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 17 Dec 2010 15:02:18 +0000

ubiquity (2.5.5) natty; urgency=low

  * Ensure that /var/lib/ubiquity exists in scripts/plugininstall.py.
  * Automatic update of included source packages: partman-auto 93ubuntu2.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 02 Dec 2010 17:00:29 +0000

ubiquity (2.5.4) natty; urgency=low

  * ubiquity/frontend/kde_components/PartAuto.py fix namespace on QWidget
    LP: #684059

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 02 Dec 2010 12:50:08 +0000

ubiquity (2.5.3) natty; urgency=low

  * Automatic update of included source packages: apt-setup 1:0.49ubuntu3.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 01 Dec 2010 17:20:02 +0000

ubiquity (2.5.2) natty; urgency=low

  [ Julien Lavergne ]
  * debian/ubiquity.ubiquity.upstart, debian/oem-config.oem-config.upstart:
    - Add lxdm support.
  * Add support for openbox-lubuntu and lxsession for ubiquity-dm (LP: #546445)

  [ Colin Watson ]
  * Automatic update of included source packages: apt-setup 1:0.49ubuntu2,
    user-setup 1.28ubuntu11.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 29 Nov 2010 14:59:02 +0000

ubiquity (2.5.1) natty; urgency=low

  [ Colin Watson ]
  * Remove 'localhost' from default ::1 line in /etc/hosts (see netcfg 1.57,
    Debian #595107).

  [ Evan Dandrea ]
  * Expose the navigation control in the GTK frontend API.
    Thanks Ying-Chun Liu!
  * Do not filter out partitions in migration-assistant anymore.
    parted_server is no longer running by the time it starts, but that's
    of no matter as it runs long after the partitioning has been
    committed.
  * Automatic update of included source packages: apt-setup
    1:0.49ubuntu1, base-installer 1.114ubuntu1, choose-mirror
    2.36ubuntu1, clock-setup 0.105ubuntu1, debian-installer-utils
    1.81ubuntu1, grub-installer 1.57ubuntu1, hw-detect 1.81ubuntu1,
    migration-assistant 0.6.8, netcfg 1.57ubuntu2, partconf 1.35,
    partman-base 146ubuntu2, partman-basicfilesystems 68ubuntu1,
    partman-basicmethods 46, partman-btrfs 4, partman-efi 22ubuntu1,
    partman-ext3 61ubuntu1, partman-jfs 32, partman-newworld 24,
    partman-partitioning 78ubuntu1, partman-reiserfs 49, partman-target
    70ubuntu1, partman-xfs 46, preseed 1.47, yaboot-installer
    1.1.18ubuntu1.

 -- Evan Dandrea <evand@ubuntu.com>  Tue, 23 Nov 2010 17:46:54 +0000

ubiquity (2.5.0) natty; urgency=low

  [ Colin Watson ]
  * Log which package (albeit only the first one) caused us to declare
    language support incomplete.
  * Initialise release_notes_found in KDE prepare plugin, so that it doesn't
    break in oem-config mode (LP: #656983).
  * Re-enable alpha warning for natty.
  * Fix ubiquity.i18n.string_extended set creation syntax.
  * GTK frontend:
    - Display inline error messages for bad usernames, rather than just
      silently greying out the Forward button (LP: #555896).
    - Use gobject.timeout_add_seconds rather than gobject.timeout_add in a
      couple of places where the exact timeout period isn't critical.
  * Adjust for changes in base-installer 1.113ubuntu1.
  * Install new files from apt-setup 1:0.48ubuntu1.
  * Automatic update of included source packages: apt-setup 1:0.48ubuntu1,
    base-installer 1.113ubuntu1, choose-mirror 2.35ubuntu1, clock-setup
    0.104ubuntu1, debian-installer-utils 1.80ubuntu1, hw-detect 1.80ubuntu1,
    netcfg 1.56ubuntu1, partconf 1.34, partman-auto 93ubuntu1, partman-base
    145ubuntu1, partman-basicfilesystems 67ubuntu1, partman-basicmethods 45,
    partman-btrfs 3, partman-ext3 60ubuntu1, partman-jfs 31,
    partman-newworld 23, partman-partitioning 77ubuntu1, partman-reiserfs
    48, partman-target 69ubuntu1, partman-xfs 45, preseed 1.46,
    yaboot-installer 1.1.17ubuntu1.

  [ Evan Dandrea ]
  * Merge with the maverick-cleanup branch.

  [ Martin Pitt ]
  * debian/rules: Run dh_scour to compress shipped SVG images. Add
    python-scour build dependency.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 08 Nov 2010 14:00:56 +0000

ubiquity (2.4.8) maverick; urgency=low

  * Automatic update of included source packages: apt-setup
    1:0.45ubuntu4, choose-mirror 2.33ubuntu3.

 -- Evan Dandrea <evand@ubuntu.com>  Thu, 07 Oct 2010 13:06:13 +0100

ubiquity (2.4.7) maverick; urgency=low

  [ Evan Dandrea, Colin Watson ]
  * Fix code to ensure that GRUB isn't installed to the installation device
    when it's a USB stick; this was a combination of the installation device
    typically being a partition rather than a disk device, and the fact that
    grub-mkdevicemap now emits /dev/disk/by-id/ names rather than
    traditional device names (LP: #630529).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 06 Oct 2010 14:01:53 +0100

ubiquity (2.4.6) maverick; urgency=low

  * Automatic update of included source packages: apt-setup
    1:0.45ubuntu3, base-installer 1.107ubuntu3, choose-mirror
    2.33ubuntu2, grub-installer 1.55ubuntu4, user-setup 1.28ubuntu10.

 -- Evan Dandrea <evand@ubuntu.com>  Wed, 06 Oct 2010 12:27:46 +0100

ubiquity (2.4.5) maverick; urgency=low

  [ Mario Limonciello ]
  * If a derivative doesn't provide a release notes URL on the media, don't show
    the release notes label (LP: #651800)

  [ Colin Watson ]
  * Update translations from Launchpad (LP: #652395).
  * Automatic update of included source packages: partman-base 141ubuntu2.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 01 Oct 2010 10:17:57 +0100

ubiquity (2.4.4) maverick; urgency=low

  * manually update indicators ABI in panel source.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Mon, 27 Sep 2010 16:15:44 -0500

ubiquity (2.4.3) maverick; urgency=low

  * pixmaps/cd_in_tray.png has moved back to ubiquity-frontend-gtk.  Remove
    it from ubiquity.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 27 Sep 2010 12:55:43 +0100

ubiquity (2.4.2) maverick; urgency=low

  [ Jonathon Riddell ]
  * gui/qt/stepLanguage.ui: nicer icons and better layout on
    language page (LP: #628808)

  [ Mario Limonciello ]
  * Set the LANG before running oem-config-remove.
  * Prevent a crash of debconf-communicate when removing oem-config.
    (LP: #641478)
  * Raise privileges when running the language page in only-installable
    mode. (LP: #647792)
  * Automatic update of included source packages: flash-kernel
    2.28ubuntu10.

  [ Evan Dandrea ]
  * Don't let Jockey's automatic driver installation failing cause the
    entire prepare page to fail.
  * Make sure $LANGUAGE gets set in the parallel debconf child process,
    so that we get translated descriptions (LP: #646109).
  * Set the effective UID in regain_privileges_save so we don't try to
    setgroups([]) as a regular user (LP: #646827).

  [ Didier Roche ]
  * depends on latest libindicator-dev for ABI change (LP: #637692, #647739)

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Sat, 25 Sep 2010 18:24:06 -0500

ubiquity (2.4.1) maverick; urgency=low

  [ Evan Dandrea ]
  * Fix the installer window growing and shrinking when typing in the
    boxes on the user setup page.
  * Do not show the prepare page by means of hiding the language page
    before the former is ready.
  * Fix a crash in the KDE partitioning page when no partitions are
    available for resizing (LP: #644407).
  * Call setgroups() when raising and dropping privileges.  Thanks Colin
    Watson!
  * Also tail syslog in the installer details pane, since that's where
    the action is.
  * Correctly use the plugin_translate hook in the KDE frontend
    (LP: #645092).
  * Update translations from Launchpad.
  * Automatic update of included source packages: base-installer
    1.107ubuntu2.

  [ Jonathan Riddell ]
  * In gui/qt/app.ui remove unnecessary margin, (LP: #628883)
  * KDE UI, Change button next between 'install now' and 'next'
    depending on partition mode, (LP: #628882)

 -- Evan Dandrea <evand@ubuntu.com>  Thu, 23 Sep 2010 10:49:53 +0100

ubiquity (2.4.0) maverick; urgency=low

  [ Sebastian Heinlein ]
  * Rework oem-config-gtk to use a mainloop (LP: #637517)

  [ Evan Dandrea ]
  * Call gconftool-2 --set with --config-source.
  * Better lock down the installer environment when past partitioning.
  * Lock down the installer environment when at partitioning commit,
    rather than just after automatic partitioning (and not manual
    partitioning) (LP: #640604, LP: #641897).
  * Do not show the quit button in OEM mode.
  * Depend on aptdaemon (LP: #641051).
  * Fix the skip download button (LP: #628311).
  * Make the '[type here to change]' string translatable (LP: #642989).
  * Disable the non-free software option if multiverse and restricted
    are disabled via preseed (LP: #641676).
  * Install kubuntu-restricted-addons, not kubuntu-restricted-extras
    (LP: #643614).
  * Clear hostname error when fixed (LP: #640661).
  * Deal with broken /cdrom symlinks (LP: #642274).
  * Disable locking the screen and switching users in the installer
    session (LP: #644016).
  * Update translations from Launchpad.

  [ Colin Watson ]
  * Stop ubiquity and oem-config when stopping display managers.  This
    should guarantee that X has exited by the time we try to start plymouth
    on shutdown (LP: #628630).

 -- Evan Dandrea <evand@ubuntu.com>  Tue, 21 Sep 2010 10:09:28 +0100

ubiquity (2.3.19) maverick; urgency=low

  * Make sure /var/lib/ubiquity/langpacks gets generated (LP: #630924).
  * Fall back to root if the regular user cannot be found in
    ubiquity-dm (LP: #640386).
  * Properly handle dmimodel() returning the null string.
  * Fix bootloader installation test (LP: #640341).
  * Set a the respective timezone, both internally and visually, when an
    entry is selected from the geonames autocompletion.

 -- Evan Dandrea <evand@ubuntu.com>  Thu, 16 Sep 2010 13:22:19 +0100

ubiquity (2.3.18) maverick; urgency=low

  [ Evan Dandrea ]
  * Improve the text on the prepare page, based on input from Matthew
    Paul Thomas, Amanda Brock, and Andrew Sinclair
    (LP: #635269, LP: #635260).
  * Translate latitude and longitude from the Geonames service to its
    respective Olsen timezone database entry.
  * Add back the hostname entry (LP: #628087).
  * Use a block device icon for cases where we cannot detect the
    operating system on a partition.
  * Set the amount of used space on a partition that we presume contains
    no operating system (LP: #626299).
  * Make requiring a password to log in the default again, matching the
    behavior in the previous version of Ubuntu.
  * Use the correct string for the resize partition option.
  * Set the size of the disk on the automatic partitioning page
    (LP: #626299).
  * Use dmidecode to get a more unique suffix for the hostname
    (LP: #628087).
  * Also generate a sample hostname when generating a sample username
    (LP: #634279).
  * Only set the next button to 'Install Now' when not on the first
    partitioning page (LP: #636392).
  * Fix transposed latitude and longitude in geonames lookup.
  * Provide a version parameter to the geoname lookup.
  * Show the number of partitions that will be deleted when in 'use
    entire disk' mode.
  * Remove Pango markup from the debconf templates where possible.
  * Properly set the partition widget description label.
  * Use a GtkMenuBar rather than a GtkMenu as the source of the dark
    styling to match recent changes to the default theme.
  * Properly start a ConsoleKit session (LP: #631538).
  * Fix the spacing on the automatic partitioning page.
    gui/gtk/stepPartAuto.ui
  * Correct layout based on suggestions from Matthew Paul Thomas.
  * Correct layout on keyboard guesser.
  * Run the Jockey backend with an in-memory debconf database, and run
    the frontend asynchronously (LP: #627822).
  * Don't show the GTK frontend until it's done constructing the UI.
  * Show a spinning cursor on the X root window in addition to the
    ubiquity window, so it's clear that the installer is loading the
    next page even when the cursor is off the main window.
  * Make return_to_partitioning work with parallel debconf instances
    (LP: #637706).
  * Added a Windows icon for the resize widget.  Thanks Otto Greenslade!
  * Disable the alpha warning, albeit late.
  * Add a command line option to not install a bootloader
    (-b, --no-bootloader) (LP: #615033).
  * Do not show 'free space' partitions in the bootloader target
    combobox (LP: #615033).
  * Meet the Geonames.org CC license requirements by adding 'Geonames.org'
    to the map.
  * Install the restricted package independent of the apt-installed
    packages, since those are installed with just the live CD's
    sources.list (LP: #638073).
  * Disable the wireless plugin for now.  It's not ready for release.
  * Make use of the new connectivity check page.
  * Automatic update of included source packages: apt-setup
    1:0.45ubuntu2, hw-detect 1.73ubuntu5.

  [ Mario Limonciello ]
  * Restore the functionality of the noninteractive frontend.
  * Disable GVFS fuse daemon while in ubiquity-dm
  * Remove oem user with userdel rather than deluser (the latter didn't support
    doing it while oem was logged in) (LP: #624888)
  * Run oem-config-wrapper as the user oem rather than root.
    - Fixes issues with pulseaudio applet not working
    - Prevents root terminals from ctrl-alt-t (LP: #594233)
  * Disable general terminals from ctrl-alt-t unless running in debug mode.
    (LP: #594233)
  * Grab focus of the slideshow when it starts, keeping focus off the expander
    in automatic mode.
  * Don't allow progressing past the language page unless a valid language is
    picked.
  * Fix progressbar reporting messages reporting missing from plugininstall.py
    in ubiquity or oem-config.

  [ Colin Watson ]
  * GTK frontend: Make user-setup entry boxes activate the Forward button
    when Enter is pressed.
  * Revert Debug::identcdrom=true for writable USB media; with changes in
    apt 0.8.3ubuntu3, this is sufficient for stable apt-cdrom identification
    of writable USB media (LP: #628290).

 -- Evan Dandrea <evand@ubuntu.com>  Wed, 15 Sep 2010 13:28:55 +0100

ubiquity (2.3.17) maverick; urgency=low

  [ Evan Dandrea ]
  * Fetch the translations for the release_notes_only and
    update_installer_only strings (LP: #629627).
  * Don't use the same name for the error method and GTK label
    (LP: #631046).
  * Re-use the valid username check from user-setup in the GTK UI
    (LP: #631046).
  * Do not cut off the text of the Try and Install buttons by setting
    their width to just the largest initial width of the two
    (LP: #629437).
  * Update the panel to use the new location for the panel background,
    and force a redraw when setting it.
  * If the username only contains non-alphanumeric characters, set the
    hostname to ubuntu-{laptop,desktop}.
  * Replace RELEASE with the release name in the KDE UI finished dialog
    (LP: #628964).
  * Do not look for a full path on non-paths when getting the default
    grub target.
  * Fix a crash when there are no disks present on the system
    (LP: #631766).
  * Don't let the user continue if there are no disks present, or if
    there isn't enough free space on any of them to install.
  * Fix UI bugs in the automatic partitioner page.  Better handle
    determining what the desired partitioning recipe is (LP: #630450).
  * Update the KDE partitioning UI to reflect changes to ubi-partman and
    partman-auto.
    - Use the already existent ubiquity variants of the d-i "Guided -" strings
      (LP: #628864).
    - Fix the automatic resize option failing to appear
      (LP: #628897, LP: #628815).
    - Use a combobox to select which disk to use on all options that support
      multiple disks, not just the "use entire disk" option.
  * Add notification area support in the panel.
  * Drop ia64 and sparc.
  * Run nm-applet in the ubiquity GTK session.

  [ Colin Watson ]
  * Factor out common /proc/mounts handling into a new
    ubiquity.misc.mount_info function.
  * Remove lpia architecture support.
  * Handle grub-efi when installing on amd64/efi or i386/efi
    subarchitectures (LP: #632642).

  [ Mario Limonciello ]
  * Adjust the fudge factor for showing languages on oem-config page
    due to the changes to the default window size being much bigger.
  * During oem-config's removal of ubiquity, remove other ubiquity
    related items that might have potentially still been on the system
    from a live-helper generated image.
  * Refactor mount_info to also report ro/rw, and let plugininstall
    key off that instead.
  * Set the panel indicators to show up on the right to match the rest
    of the desktop (LP: #632592)
  * Automatic update of included source packages: grub-installer
    1.55ubuntu3.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Wed, 08 Sep 2010 14:43:59 -0500

ubiquity (2.3.16) maverick; urgency=low

  [ Mario Limonciello ]
  * Don't show logout option in only-ubiquity mode(s) (LP: #618744)
  * Don't show a minimize option in only-ubiquity mode(s) (LP: #627656)
  * Translate the page_title of the language page when languages are
    swapped.
  * Restore functionality to set the GTK slideshow size based on a 
    configuration file that was lost in r4123.1.37.
  * Parse the slideshow size when the GTK frontend first starts to
    prevent the window resizing later.
  * Automatic update of included source packages: grub-installer
    1.55ubuntu1, partman-basicfilesystems 63ubuntu7, partman-efi
    21ubuntu1.

  [ Evan Dandrea ]
  * Do not generate or show the bootloader options if we're on x86, or
    bootloader installation is explicitly disabled (LP: #628582).
  * Add correct URL for the Geonames service.

  [ Colin Watson ]
  * Remove a number of unused or duplicate imports.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Sun, 05 Sep 2010 01:40:01 -0500

ubiquity (2.3.15) maverick; urgency=low

  * Clean stray QSocketNotifiers that were missed because their fd was
    reused before they could normally be deleted.

 -- Evan Dandrea <evand@ubuntu.com>  Thu, 02 Sep 2010 10:21:58 +0100

ubiquity (2.3.14) maverick; urgency=low

  [ Colin Watson ]
  * KDE frontend:
    - If the slideshow doesn't exist, hide self.ui.pageMode rather than
      self.page_mode (LP: #627549).
  * Set Debug::identcdrom=true for apt-cdrom if installing from a
    non-ISO9660 filesystem, since otherwise apt-cdrom will include the free
    blocks count of /cdrom in its database which is unreliable on read-write
    filesystems, especially USB images with persistence enabled.  Thanks to
    Manoj Iyer for patient testing (LP: #627672).

  [ Mario Limonciello ]
  * Provides indicator-renderer (LP: #616165)

  [ Evan Dandrea ]
  * Disconnect and destroy QSocketNotifiers when the dbfilter finishes.
    Thanks Colin Watson (LP: #625586).
  * add the check_hostname function back to ubi-usersetup (LP: #628317).

 -- Evan Dandrea <evand@ubuntu.com>  Thu, 02 Sep 2010 01:42:52 +0100

ubiquity (2.3.13) maverick; urgency=low

  [ Mario Limonciello ]
  * When using xfsettingsd, set the background to black first.
  * Set release_notes_found to False initially to prevent a scenario it gets 
    accessed before being set when offline (LP: #628011).

  [ Evan Dandrea ]
  * Only set the label on the 'use entire disk' button if we're not
    going into the advanced partitioner (LP: #625258).

 -- Evan Dandrea <evand@ubuntu.com>  Wed, 01 Sep 2010 10:31:32 +0100

ubiquity (2.3.12) maverick; urgency=low

  * Argh.  Missing import.

 -- Evan Dandrea <evand@ubuntu.com>  Tue, 31 Aug 2010 21:31:02 +0100

ubiquity (2.3.11) maverick; urgency=low

  * Fix hostname error in KDE frontend (LP: #627489).  Guard against
    invalid hostnames in the GTK frontend.
  * Create a new pipe for update-apt-cache.

 -- Evan Dandrea <evand@ubuntu.com>  Tue, 31 Aug 2010 19:38:00 +0100

ubiquity (2.3.10) maverick; urgency=low

  [ Evan Dandrea ]
  * Handle crashes in parallel debconffilters by failing the
    installation.
  * Add a grub target device combobox on the GTK and KDE advanced
    partitioning pages.
  * Bootloader handling is now done in ubi-partman.  Do not overwrite it
    with the default selection in plugininstall.
  * Get rid of the quitting state variable and use the existing
    current_page construct (LP: #627284).

  [ Mario Limonciello ]
  * Add a new script that uses python-aptdaemon-gtk for oem-config removal.
  * If running with only installable languages, don't offer "No Localization"
  * If only one language is available, mark the language page as complete.

 -- Evan Dandrea <evand@ubuntu.com>  Tue, 31 Aug 2010 12:19:00 +0100

ubiquity (2.3.9) maverick; urgency=low

  * Do not set up the Qt DBus main loop twice.  This was crashing on the
    prepare page.
  * Stop Qt callbacks on the prepare and language pages once we have a
    result, matching the GTK behavior.
  * Drop privileges before setting the background in the Qt portion of
    ubiquity-dm, otherwise .kde/share/config will be created as root.
  * Beta freeze exception (LP: #625472).

 -- Evan Dandrea <evand@ubuntu.com>  Fri, 27 Aug 2010 19:14:08 +0100

ubiquity (2.3.8) maverick; urgency=low

  [ Mario Limonciello ]
  * If a plugin declares a title, but it's not fetched properly from debconf,
    hide the title bar rather than crash.
  * Don't use "Ethernet" when indicating a user is connected to the network.
    (LP: #615104, #615035)
  * Make sure finished_label reflects the derivative name rather than
    hardcoding to "Ubuntu".
  * Set the buttons on the second autopartitioning screen appropriately
    to the choices on the first.

  [ Colin Watson ]
  * Update d-i/update-control for Dpkg::Deps changes in dpkg 1.15.6.
  * Make ubiquity-frontend-gtk Architecture: any, due to
    /usr/lib/ubiquity/panel (LP: #616581).
  * Remove build-locale on clean.
  * Update build rules for changes in debian-installer-utils 1.78.

  [ Jonathan Riddell ]
  * Add prepare page to KDE frontend
  * Update KDE Language page to closer follow GTK layout
  * pixmaps/cd_in_tray.png moves to ubiquity.install-any and ubiquity replaces old
    ubiquity-frontend-gtk
  * In debian/rules move usr/lib/ubiquity/ubiquity/cheese* back to
    ubiquity-frontend-gtk package, including it in ubiquity package brings in a lot
    of Gnome dependencies
  * In ubi-language.py check if release notes can be accessed as well as checking
    for upgrade available and show correct label as appropriate

  [ Evan Dandrea ]
  * Add new non-free option text from Michael Forrest.
  * Do not show the skip button by default.
  * Make the keyboard guesser window modal again, making it closeable
    and accepting of input.
  * Add back ready_text_label for the KDE frontend.
  * Add parallel operation support to the KDE frontend, with help from
    Jonathan Riddell.
  * Automatic update of included source packages: debian-installer-utils
    1.79ubuntu1, flash-kernel 2.28ubuntu8, partman-auto 91ubuntu4,
    partman-uboot 4, user-setup 1.28ubuntu8.
  * Update translations from Launchpad.

 -- Evan Dandrea <evand@ubuntu.com>  Thu, 26 Aug 2010 20:50:32 +0100

ubiquity (2.3.7) maverick; urgency=low

  * Don't show the warning text in ubi-warning until after it's translated.
  * Hide the language plugin page if in greeter mode and advancing to keep the
    other pages from growing. (which seems what Evan was trying to do in r4183)
  * Fix the cut off text on the warning page. (LP: #615034)
  * For plugininstall, use the actual debconf database, not the parallel database.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Sun, 15 Aug 2010 02:34:50 -0500

ubiquity (2.3.6) maverick; urgency=low

  * Redirect console blanking setterm command to /dev/console so it is effective
    with upstart.
  * Show the proper derivative name for prepare_foss_disclaimer on stepPrepare.
  * Fallback to NM icons if the wifi icons don't load (such as humanity missing).  
    If still fail, don't crash, just don't show icons.  (LP: #617696)
  * Pass the output of wget calls into /dev/null to prevent files popping up in ~.
  * If available, run xfsettingsd in ubiquity only mode.
  * ubiquity-dm: wait for gsd to fork to prevent a race condition in setting
    ubiquity styles.
  * Add missing imports for LabelledEntry, causing timezone and console_setup to
    not function in oem-config mode.
  * Fix the partitioner trying to offer resize options in the GUI when it shouldn't.
    (LP: #617729)
  * Revert additional changes to gtk_ui from r4183 that were causing the window to
    constantly resize and the auto partitioner to break.
  * Automatic update of included source packages: flash-kernel
    2.28ubuntu5.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Sat, 14 Aug 2010 18:48:52 -0500

ubiquity (2.3.5) maverick; urgency=low

  [ Mario Limonciello ]
  * Drop the (now) unused install_window and references to it.
  * Don't start the ubiquity panel on xfwm4.  It doesn't appear to work properly
    for now even with the proper indicators installed.
  * Set the priority the prepare page higher to prevent timezone from being
    shown instead.
  * Fix misc.get_release to return the proper data for non-ubuntu disks.
  * Correct the text in the stepLanguage widgets to reflect ${RELEASE}
    rather than hardcoding to Ubuntu.
  * depends on python-vte for GTK frontend (LP: #616272)
  * depends on python-webkit for GTK frontend (LP: #616275)

  [ Jonathan Riddell ]
  * In ubi-wireless.py and ubi-prepare.py only load gtkwidgets.py when
    creating the GTKPage, else KDE frontend breaks

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 11 Aug 2010 18:02:35 +0100

ubiquity (2.3.4) maverick; urgency=low

  [ Mario Limonciello ]
  * Also set the custom title when translating widgets.
  * If there is at least one framebuffer device, fallback to fbdev rather
    than vesa for bulletproof X.
  * Remove extra imports in ubiquity-dm.
  * Add a new template ubiquity/force_failsafe_graphics intended to force
    installation to use vesa or fbdev, but not on the target system.  This is
    primarily intended for systems where the installation kernel has known
    graphics problems, but you are solving them in a post installation step.
  * Fix packaging to install the new pieces introduced for the overhaul.
  * debian/control: fix build-deps from redesign branch.
  * install two new png files for the language page in the gtk frontend.
  * Fix automatic mode in gtk_ui.
  * Add a new controller function to allow disabling the progress_section
    of the Window for pages it doesn't make sense on that might be shown
    in automatic mode before the partitioner comes.
  * Move the call to unmount_source back into install.py, it's only really
    used there for file copy, not by plugins.
  * Update some DebconfFetchProgress calls to DebconfAcquireProgress calls.
  * Run success cmd after plugininstall finishes.
  * Correct a few more deprecated apt calls.
  * Don't show the warning page or the prepare page in oem-config for now.
    The prepare page might make sense to re-enable, but will need a little
    different wording if so.
  * Update deprecated use of get_release_name() to get_release().name.
  * Mark timezone to come after both partman and language so that it shows
    up in oem-config too.
  * Only run plugininstall after the last page in oem mode.
  * If the slideshow doesn't exist, hide the page notebook rather than
    showing the webkit 404 page.

  [ Bilal Akhtar ]
  * debian/ubiquity.templates:
    - Add an underline symbol before the label of the install button
      to make it accessible with the Alt key. (LP: #492825)

  [ Evan Dandrea ]
  * Merge maverick-redesign branch.  Fingers crossed.
  * Automatic update of included source packages: clock-setup
    0.103ubuntu1.

 -- Evan Dandrea <evand@ubuntu.com>  Fri, 06 Aug 2010 14:15:17 -0400

ubiquity (2.3.3) maverick; urgency=low

  [ Mario Limonciello ]
  * Disable the "Installing the System" title before Ubiquity comes up
    in automatic mode to prevent confusion before it actually does damage
    in case there are any confirmation screens that should come up first.
  * Allow setting a custom title via ubiquity/custom_title_text.
  * If a package that was marked for installation is upgradable (and thus
    already installed), mark it for upgrade. (LP: #604585)
  * install.py: Update APT usage from deprecated functions and variables.
  * Automatic update of included source packages: bterm-unifont 1.2,
    flash-kernel 2.28ubuntu4, grub-installer 1.49ubuntu12, partman-auto
    91ubuntu3.

  [ Colin Watson ]
  * Refactor default boot device calculation, bringing it into sync with
    grub-installer.  This should ensure that when installing to a removable
    device we always default to installing GRUB to that same device as well,
    while leaving the situation for installations to hard disks unchanged
    (LP: #549756).

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Sat, 24 Jul 2010 17:49:20 -0500

ubiquity (2.3.2) maverick; urgency=low

  * Cause 'compat/udpkg --print-os' to always print 'linux' (LP: #600244).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 30 Jun 2010 19:48:14 +0100

ubiquity (2.3.1) maverick; urgency=low

  * finish-install.apt-cdrom-setup has moved to finish-install.d/10apt-
    cdrom-setup.

 -- Evan Dandrea <evand@ubuntu.com>  Wed, 30 Jun 2010 09:56:42 +0100

ubiquity (2.3.0) maverick; urgency=low

  [ Evan Dandrea ]
  * Fix wrongly formatted string (LP: #546971).
  * Merge testing branch.  Ubiquity now has a test harness in tests/
  * Automatic update of included source packages: apt-setup
    1:0.45ubuntu1, base-installer 1.107ubuntu1, choose-mirror
    2.33ubuntu1, debian-installer-utils 1.75ubuntu1, flash-kernel
    2.28ubuntu1, migration-assistant 0.6.7, partconf 1.33, partman-auto
    91ubuntu2, partman-base 141ubuntu1, partman-basicfilesystems
    63ubuntu6, partman-basicmethods 44, partman-efi 20ubuntu2, partman-
    ext3 59ubuntu1, partman-newworld 22, partman-partitioning 74ubuntu2,
    partman-reiserfs 47, partman-target 67ubuntu1, preseed 1.45, yaboot-
    installer 1.1.16ubuntu1.

  [ Colin Watson ]
  * Only validate the GRUB device entry if it's shown.
  * Add btrfs support.
  * Add an intro message noting that we're alpha again.

 -- Evan Dandrea <evand@ubuntu.com>  Wed, 30 Jun 2010 08:40:20 +0100

ubiquity (2.2.24) lucid-updates; urgency=low

  * Automatic update of included source packages: migration-assistant
    0.6.6.

 -- Evan Dandrea <evand@ubuntu.com>  Thu, 29 Apr 2010 10:36:42 +0100

ubiquity (2.2.23) lucid; urgency=low

  * Correctly select the detected timezone (LP: #559647).
  * Don't reboot on failure if we say we're not going to.
  * Always run wrap_fix in its entirety, even if the width or height
    hasn't changed, as we may have switched text direction since the
    last run (LP: #560114).
  * Properly align keyboard_test_label, which was getting cut off in RTL
    languages with the wrap_fix in place.

 -- Evan Dandrea <evand@ubuntu.com>  Mon, 26 Apr 2010 17:00:55 +0100

ubiquity (2.2.22) lucid; urgency=low

  [ Colin Watson ]
  * Don't configure the boot loader in oem-config.  By definition, we've
    already succeeded in booting, and repeating the process is at best a
    no-op and at worst harmful.
  * debconf frontend:
    - Make sure that progress bars are never nested, as this only works when
      using debconffilter (LP: #530027).
  * Automatic update of included source packages: console-setup
    1.34ubuntu15, flash-kernel 2.13ubuntu17, hw-detect 1.73ubuntu4,
    migration-assistant 0.6.5, partman-auto 89ubuntu8, partman-partitioning
    72ubuntu4.

  [ Roman Shtylman ]
  * Fix for (LP: #568890) show all partitions in advanced dialog

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 26 Apr 2010 09:06:00 +0100

ubiquity (2.2.21) lucid; urgency=low

  [ Evan Dandrea ]
  * Honor user-setup/force-encrypt-home (LP: #566552).
  * Check for LTS in the release name (LP: #558488).
  * Hide the keyboard query dialog when we encounter an error parsing
    the keymap decision tree (LP: #553087).
  * Fix broken comparisons against boolean debconf values (LP: #567749).
  * Return with the correct state value when a keyboard map is found
    (LP: #553087).
  * Update translations from Launchpad.
  * Automatic update of included source packages: debian-installer-utils
    1.72ubuntu5, partman-auto 89ubuntu7, partman-base 139ubuntu6,
    partman-target 64ubuntu9, tzsetup 1:0.26ubuntu9, user-setup
    1.28ubuntu7.

  [ Colin Watson ]
  * Handle new partman/confirm_nooverwrite question properly (LP: #556373).

  [ Mario Limonciello ]
  * In OEM user config, don't change the last page's button to "Install"
    to avoid confusion.

 -- Evan Dandrea <evand@ubuntu.com>  Fri, 23 Apr 2010 09:32:43 +0100

ubiquity (2.2.20) lucid; urgency=low

  * Use allow_change_step(False) from the KDE portions of the partman
    component when necessary (LP: #563309).

 -- Evan Dandrea <evand@ubuntu.com>  Mon, 19 Apr 2010 09:21:49 +0100

ubiquity (2.2.19) lucid; urgency=low

  * add support for omap bootloader installation

 -- Oliver Grawert <ogra@ubuntu.com>  Mon, 19 Apr 2010 09:33:15 +0200

ubiquity (2.2.18) lucid; urgency=low

  [ Evan Dandrea ]
  * Force garbage collection so we don't end up with stray X resources
    when we kill the X server (LP: #556555).
  * Fix the Portuguese and Latvian translations of the variable name
    RELEASE (LP: #564517).
  * Fix a missing closing bold tag in the Portuguese and Polish
    translations (LP: #564545).
  * Fix labels not expanding vertically to fit their text (LP: #560114,
    LP: #557164, LP: #520898).
  * Do not translate variable names in the Amharic translation
    (LP: #564582).
  * Start the window manager via ck-launch-session so pulseaudio is
    granted access to the sound devices (LP: #549738).
  * Update translations from Launchpad.
  * Automatic update of included source packages: console-setup
    1.34ubuntu14, flash-kernel 2.13ubuntu16, hw-detect 1.73ubuntu3,
    partman-auto 89ubuntu6, partman-base 139ubuntu5, partman-ext3
    58ubuntu3, partman-target 64ubuntu8, user-setup 1.28ubuntu6.

  [ Colin Watson ]
  * Break out of oem-config-firstboot's main loop if oem-config-wrapper
    succeeds (LP: #558593).
  * Quit plymouth before starting either the emergency noninteractive
    ubiquity frontend in automatic mode, or oem-config's debconf frontend.
  * Get a controlling terminal before starting bterm, as otherwise bterm
    won't reliably be able to take console input.

 -- Evan Dandrea <evand@ubuntu.com>  Fri, 16 Apr 2010 15:28:19 +0100

ubiquity (2.2.17) lucid; urgency=low

  [ Mario Limonciello ]
  * Remove unused install_bottom_eb from GTK frontend's install_window.

  [ Evan Dandrea ]
  * Catch invalid iterators in on_region_combo_changed (LP: #521851).
  * Don't let not being able to talk to the system bus crash the entire
    language page.
  * Translate the yes and no buttons on the quit dialog in the KDE
    frontend (LP: #561876).
  * Update translations from Launchpad.
  * Automatic update of included source packages: base-installer
    1.103ubuntu7, choose-mirror 2.29ubuntu3, partman-base 139ubuntu4,
    partman-basicfilesystems 63ubuntu4, tzsetup 1:0.26ubuntu8.

  [ Colin Watson ]
  * Skip copy_wallpaper_cache when running as oem-config.
  * Update finish-install.d/07oem-config-user for new location of KDE's
    oem-config-prepare .desktop file (LP: #557309).
  * Restore translations for oem-config-check and oem-config-udeb, lost in
    oem-config merge.
  * Display simple progress feedback using debconf-apt-progress while
    removing oem-config (LP: #558593).
  * Write locale-gen output from ubiquity-dm to /var/log/installer/dm rather
    than to the console.
  * Increase kernel flush times (dirty_writeback_centisecs to 3000, and
    dirty_expire_centisecs to 6000) during bulk data copying.  Surbhi
    Palande suggests that this should make it easier for the kernel to pack
    blocks contiguously, speeding up ureadahead after installation.

  [ Amichai Rothman ]
  * Fix hang unless mouse is moved (LP: #556376)

 -- Evan Dandrea <evand@ubuntu.com>  Wed, 14 Apr 2010 17:38:36 +0100

ubiquity (2.2.16) lucid; urgency=low

  [ Evan Dandrea ]
  * Only show the update link and release notes when a critical update
    is available (LP: #554570).
  * Fix backing up to the language page in the KDE frontend (LP: #557225).
  * Bring back the debconf translation for password_extra_label.  The
    KDE frontend still uses it (LP: #557192).
  * Fix a small typo that was preventing the duration string on the
    language page from being translated (LP: #551633).
  * Fix backing up past partitioning when manual partitioning was
    selected (LP: #557210).
  * Let the user know why we're starting a desktop session or rebooting
    when ubiquity in only mode crashes.  If in automatic mode, the
    default is to reboot.  Preseed ubiquity/reboot_on_failure to false
    to start a desktop session instead (LP: #558371).
  * Make oem-config/install-language-support false by default.  OEMs
    should only be turning this on if they've provided all the possible
    langpacks in oem-config/repository or can guarantee an Internet
    connection (LP: #539710).
  * Call ubiquity/failure_command if we crash in only ubiquity mode.

  [ Amichai Rothman ]
  * Fix KDE frontend's slideshow links not working (LP: #540278)
  * Fix KDE progress bar and skip button too small (LP: #555707)
  * Fix KDE skip button appearing as full-width button at the
    bottom of the window and messing up dialog layout (LP: #540321)
  * Fix progress bar updated file count out of range (LP: #550147) 
  * Fix progress title not shown during some configuration steps

  [ Colin Watson ]
  * Update handling of "Ready to install" etc. templates to account for the
    removal of the separate welcome page.
  * KDE frontend:
    - Hide install_process_label ("installation process") and
      breadcrumb_install ("Install") when running as oem-config; providing
      alternative strings would break string freeze, and the UI should look
      OK without them (LP: #540929).
  * GTK frontend:
    - Re-fetch translations before calling plugin_translate (LP: #552673).
  * Update translations from Launchpad.
  * Automatic update of included source packages: partman-auto 89ubuntu5,
    tzsetup 1:0.26ubuntu7.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 09 Apr 2010 19:29:50 +0100

ubiquity (2.2.15) lucid; urgency=low

  [ Evan Dandrea ]
  * Move the install window color setting code closer to when the window
    is shown, so the colors don't get reset before then.
  * Fix alpha warning being shown all the time with recent changes to
    the KDE frontend.
  * Define allowed_change_step in the KDE frontend to fix the manual
    partitioner buttons not working (LP: #556180).
  * Do not show the 'ready to install' or alpha warning text in the KDE
    frontend when in oem-config mode (LP: #556577).
  * Update timezone images to cover changes to the Russian timezones and
    make further adjustments around UTC+5, UTC+5.5, and UTC+7
    (LP: #368060).
  * Automatic update of included source packages: grub-installer
    1.49ubuntu11.

  [ Jonathan Riddell ]
  * Workaround PyQt unicode encoding error in ubi-console-setup.py, (LP: #556436)

 -- Evan Dandrea <evand@ubuntu.com>  Tue, 06 Apr 2010 17:29:17 +0100

ubiquity (2.2.14) lucid; urgency=low

  [ Jonathan Riddell ]
  * Update Kubuntu icon desktop/hi*-app-ubiquity.png for new logo

  [ Mario Limonciello ]
  * Don't bail out if oem-config/remove_extras doesn't exist yet since
    oem-config isn't actually installed. (LP: #554324, LP: #554664)

 -- Mario Limonciello <superm1@ubuntu.com>  Sat, 03 Apr 2010 15:20:32 -0500

ubiquity (2.2.13) lucid; urgency=low

  [ Evan Dandrea ]
  * In oem-config, support removing packages that were not part of the
    base install and are not needed in the final system by preseeding
    oem-config/remove_extras to true (LP: #315644, LP: #553184).

  [ Roman Shtylman ]
  * Kde_ui: 
    - fixed (LP: #550466) (LP: #550472) using kmessage box for quit dialog
    - fixed (LP: #540202) hide widgets until translated

 -- Mario Limonciello <superm1@ubuntu.com>  Thu, 01 Apr 2010 11:51:01 -0500

ubiquity (2.2.12) lucid; urgency=low

  [ Evan Dandrea ]
  * Accept and discard arguments to the KDE frontend's
    on_keyboard_layout_selected function (LP: #552399).

  [ Colin Watson ]
  * Fix pkgsel/ignore-incomplete-language-support check (LP: #527623).
  * KDE frontend:
    - Ensure that entries in extra_bar_frames are never None (LP: #536912).
    - Lock out manual partitioning operations while the partitioning backend
      is running (LP: #540203).
  * Don't lower-case the locale attribute on frontends.  This was added a
    long time ago; since then, it's become unnecessary since i18n.get_string
    lower-cases the locale itself, and it prevented us from finding
    slideshow files for language variants (LP: #476269).
  * Automatic update of included source packages: partman-auto 89ubuntu4,
    partman-ext3 58ubuntu2.

  [ Jonathan Riddell ]
  * Move oem-config-prepare-kde.desktop install directory to
    /usr/share/applications/kde4/, else it is labelled as a KDE 3
    application

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 01 Apr 2010 01:27:27 +0100

ubiquity (2.2.11) lucid; urgency=low

  [ Evan Dandrea ]
  * Get the slideshow dimensions from the slideshow.conf file as they
    now vary from distribution to distribution.
  * Give the installer window a slightly larger bottom edge to make the
    grey border look less ugly.
  * Connect the new installer window's skip button to the appropriate
    function.
  * Slighly tweak the layout so the progress widgets are more centered
    in their frame.
  * Translate the skip button in the new install window (LP: #551554).
  * Update the interface when the user presses one of the buttons on the
    finished_dialog (LP: #551574).
  * Use the fancy new 'reboot required' panel notification
    (LP: #551537).
  * Move info_loop call from run to prepare so that it doesn't get
    called with each debconf question asked in the user-setup component
    (LP: #551742).
  * Add only_this_page decorator to be used on functions that should
    never be called once we've left their page.
  * Update translations from Launchpad.
  * Automatic update of included source packages: base-installer
    1.103ubuntu6, partman-base 139ubuntu3.
  * Freeze exception (LP: #551503).

  [ Mario Limonciello ]
  * Fix installation of zh_CN and zh_TW language packs.

 -- Evan Dandrea <evand@ubuntu.com>  Tue, 30 Mar 2010 18:21:26 +0100

ubiquity (2.2.10) lucid; urgency=low

  * Fix the default language selection for when only-show-installable-languages
    is set to true.
  * Use the file object's close function rather than os.close in
    DebconfInstallProgress. (LP: #549478)
  * Hide the currently active progress window when switching to the new progress
    window.
  * Sync the title of the install progress window in automatic mode.
  * In both of the gtk progress windows, don't show minimize or close buttons in
    only mode.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Fri, 26 Mar 2010 16:45:50 -0500

ubiquity (2.2.9) lucid; urgency=low

  [ Evan Dandrea ]
  * Correctly feed the calculated keyboard layout back to the running
    component.  This has the side benefit of the calculated layout
    getting selected in the treeviews (LP: #521831).
  * Don't try to import the GTK LabelledEntry widget in the KDE frontend
    (LP: #546792).
  * Disable the context menu in the slideshow frame.  Thanks Dylan
    McCall!
  * Make sure the user we're not processing events before we've set up
    the language list in the KDE frontend (LP 528678).
  * Don't try to translate the greeter with the C locale.
  * Don't destroy the main window when the close button is pressed
    (LP: #543775).
  * Properly handle exceptions around opening the release_notes_url file
    in the KDE frontend (LP: #540266).  Hide the label if the release notes
    do not exist.
  * Handle window manager buttons properly in greeter mode
    (LP 539827).
  * Update DebconfInstallProgress for changes to python-apt
    (LP: #546889).
  * Make labels unselectable now that we're in beta, per foundations-
    lucid-installer-design-improvements.
  * Make the quit warning dialog transient for the main window (modal).
  * Automatic update of included source packages: console-setup
    1.34ubuntu13, grub-installer 1.49ubuntu9, partman-base 139ubuntu2.

  [ Colin Watson ]
  * Depend on uboot-mkimage and redboot-tools on armel, and ensure that the
    appropriate one for the subarchitecture is kept installed, so that
    flash-kernel can work properly without network access (LP: #537007).

 -- Evan Dandrea <evand@ubuntu.com>  Fri, 26 Mar 2010 17:59:52 +0000

ubiquity (2.2.8) lucid; urgency=low

  * Set a wallpaper and cursor for the KDE frontend when in only-
    ubiquity mode (LP: #540933, LP: #540339).  Thanks Roman Shtylman!
  * Add a password strength meter (LP: #537995).
  * Modify the install progress window to match the new theme
    (LP: #538411).
  * Don't show the alpha warning in OEM mode when it's disabled.
  * Add translations for the locale's preferred time format and
    respective format string, as imported from gnome-panel
    (LP: #538156).

 -- Evan Dandrea <evand@ubuntu.com>  Wed, 24 Mar 2010 23:26:46 +0000

ubiquity (2.2.7) lucid; urgency=low

  [ Evan Dandrea ]
  * Add inactive labels to the user setup page (LP: #537986).
  * Fix KDE frontend's return_to_partitioning function.
  * Fix the KDE frontend's format button on the advanced partitioning
    page.
  * Assign resize_path before its used in the KDE frontend's PartAuto.
  * Set the keymap to a reasonable default when leaving the greeter
    (LP: #539255).
  * Change the timezone highlight around UTC+5, UTC+5.5, and UTC+8
    (LP: #368060).
  * Fix setting the window title when in automatic mode in the KDE
    frontend (LP: #541829).
  * Automatic update of included source packages: grub-installer
    1.49ubuntu8.
  * Update translations from Launchpad.

  [ Mario Limonciello ]
  * Return True for set_page, restoring UI only page functionality.
  * Quit plymouth before running ubiquity in noninteractive from the
    upstart job.

 -- Evan Dandrea <evand@ubuntu.com>  Tue, 23 Mar 2010 14:44:46 +0000

ubiquity (2.2.6) lucid; urgency=low

  [ Evan Dandrea ]
  * Properly set the text for the release notes label after the user
    runs the 'update this installer' option.
  * Correctly set up GtkComboBoxEntry widgets (LP: #539204).
  * In the KDE frontend, call reboot with root privileges and try
    rebooting via dbus only if a KDE dbus session exists (LP: #540856).
  * Remove the apport hook, it lives in Ubuntu's apport package now.
  * Don't let the user select both "Try Ubuntu" and "Install Ubuntu".
  * Provide visual feedback for clicking "Try Ubuntu" in the form of a
    spinning cursor.
  * Automatic update of included source packages: base-installer
    1.103ubuntu5, console-setup 1.34ubuntu12, partman-base 139ubuntu1.

  [ Colin Watson ]
  * If pkgsel/install-language-support is set to false, then don't install
    new language packs from the network, but nevertheless keep any language
    packs that are in the live filesystem (LP: #540878).
  * Install oem-config-kde in the KDE user-setup plugin (LP: #540895).
  * Don't fall through to the failsafe X server if the main X server
    succeeds (LP: #540938).
  * ubiquity-frontend-gtk depends on gksu (LP: #540331).
  * Change .desktop translation domain to ubiquity-desktop (LP: #540936).
  * Report disk sizes in decimal units in the manual partitioner, for
    consistency with partman and to abide by the new units policy
    (LP: #539653).

  [ Mario Limonciello ]
  * Don't delete the cache too early in select_language_packs.

  [ Roman Shtylman ]
  * Fix for 100% cpu usage in kde frontend (LP: #538505)

  [ Michael Terry ]
  * Upstart jobs: start on starting uxlaunch, Moblin's display manager
    (LP: #540257).

 -- Evan Dandrea <evand@ubuntu.com>  Fri, 19 Mar 2010 23:52:24 +0000

ubiquity (2.2.5) lucid; urgency=low

  * Use a custom-generated locale when building keyboard_names.py
    (LP: #540275).

 -- Evan Dandrea <evand@ubuntu.com>  Wed, 17 Mar 2010 19:10:05 +0000

ubiquity (2.2.4) lucid; urgency=low

  * Port from base-installer:
    - Ensure that Acquire::cdrom::AutoDetect is disabled when running
      apt-cdrom.  We bind-mount /target/cdrom, so apt's new libudev-based
      autodetection isn't needed during installation (LP: #539170).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 17 Mar 2010 09:49:31 +0000

ubiquity (2.2.3) lucid; urgency=low

  * Automatic update of included source packages: partman-base 138ubuntu4.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 17 Mar 2010 00:27:39 +0000

ubiquity (2.2.2) lucid; urgency=low

  * Quit plymouth if it doesn't have an active VT, rather than trying to
    reuse the VT it doesn't have, which results in X running on VT1.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 16 Mar 2010 16:26:05 +0000

ubiquity (2.2.1) lucid; urgency=low

  * KDE frontend:
    - Honour ubiquity/show_alpha_warning.
  * Noninteractive frontend:
    - Fix up plugin problems in the partman component (LP: #539342).
  * Only fall through to the noninteractive frontend in automatic mode.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 16 Mar 2010 14:07:33 +0000

ubiquity (2.2.0) lucid; urgency=low

  [ Evan Dandrea ]
  * Removed the alpha warning.  Welcome to Ubuntu 10.04 Beta 1.
  * Align labels to the top on the language page (LP: #532876).
  * The run method of GTK+ dialogs enters a nested main loop.  However,
    the user can click the quit button (which calls the quit dialog's
    run method) before the page is ready.  Once the page is actually ready,
    another main loop is entered, and thus if the user hits the quit button
    on the quit dialog at this point, nothing will happen.  Work around this
    by managing the state of the quit dialog in the frontend.

  [ Colin Watson ]
  * GTK frontend:
    - Fix label retranslation when clicking on update link (LP: #531864).
  * KDE frontend:
    - Use manual xauth code and sudo rather than kdesudo; the latter does
      not permit passing through environment variables other than
      one-by-one, which broke various things (LP: #526456, #538142).
    - Construct the default hostname from the text in the username box, not
      from the previous text in the hostname box (LP: #527704).
  * Automatic update of included source packages: console-setup
    1.34ubuntu11, grub-installer 1.49ubuntu7, partman-base 138ubuntu3,
    partman-target 64ubuntu7.

  [ Jonathan Riddell ]
  * Ensure progressDialog is kept updated (LP: #538147)
  * Set Qt style accelarators on question dialogue
  * Do OEM config UI setup after translate_widgets, (LP: #539176)

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 Mar 2010 23:37:55 +0000

ubiquity (2.1.35) lucid; urgency=low

  * KDE frontend:
    - There are no more files matching gui/qt/images/*.jpg.  Don't try to
      install them.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 11 Mar 2010 02:44:21 +0000

ubiquity (2.1.34) lucid; urgency=low

  [ Mario Limonciello ]
  * Remove extraneous '--', restoring oem-config-firstboot.

  [ Colin Watson ]
  * Add not_me to the base interface definition of Controller.translate.
  * Keep track of how partitioning progress is displayed without requiring
    an argument to be passed to progress_stop (LP: #535630).
  * Automatic update of included source packages: user-setup 1.28ubuntu5.

  [ Roman Shtylman ]
  * Updated Kubuntu artwork
  * Fixed sidebar showing when not in greeter mode for kde

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 11 Mar 2010 01:41:16 +0000

ubiquity (2.1.33) lucid; urgency=low

  [ Colin Watson ]
  * Wait for kwriteconfig to exit before proceeding.
  * Start ibus-daemon when starting KDE in install-only mode, which should
    make a few things a bit happier.
  * Derive partman component's PageNoninteractive class from PageBase rather
    than PluginUI, so that it has all the required methods.
  * Stop starting gdm and kdm by hand on exit from /var/log/installer/dm
    (using /etc/init.d/ calls, no less).  The Upstart jobs are written so
    that this happens automatically if necessary.

  [ Evan Dandrea ]
  * Fix call to self.progress_start in ubi-partman.
  * Also display progress titles on the advanced partitioning page.
  * Fix call to self.progress_stop in ubi-partman.
  * Don't accept unnecessary arguments to progress_stop anymore.
  * Only try to set the focus on the next button when we've handed over
    control to the user.  Prior to this the quit button was getting the
    focus because the next button was insensitive.
  * Use translatable strings for the keyboard query widget
    (LP: #533859).
  * Bring back the resizing partition progress dialog that was removed
    with the rest of the automatic partitioning progress dialogs.
  * Remove the intro plugin.  It's now presented as part of the language
    page when the greeter option (-g) is selected.
  * Support setting the language for the live environment from the
    language page in greeter mode by finishing localechooser when 'Try
    Ubuntu' is clicked.
  * Fix missing references in the noninteractive portion of the
    usersetup plugin.
  * Automatic update of included source packages: bterm-unifont
    1.1build1, flash-kernel 2.13ubuntu14, grub-installer 1.49ubuntu6,
    migration-assistant 0.6.4build1, partconf 1.32ubuntu2, partman-base
    138ubuntu2.

  [ Mario Limonciello ]
  * Fix wrong page to jump back to when partitioning fails during install.
  * Remove has_separator property from gtk dialogs to prevent a warning
    from gtk.Builder when they are loaded.

  [ Roman Shtylman ]
  * Support the greeter mode in the KDE frontend.
  * Bring back the in-window progress bar, which was previous disabled to work
    around a bug.

 -- Evan Dandrea <evand@ubuntu.com>  Tue, 09 Mar 2010 13:14:37 +0000

ubiquity (2.1.32) lucid; urgency=low

  [ Didier Roche ]
  * scripts/install.py:
   - copy the cached wallpaper created either by g-s-d or nautilus or by the
     dedicated script in install mode. (LP: #530024)

  [ Evan Dandrea ]
  * WebKit puts file URLs in their own domain by default.  This means that
    anything which checks for the same origin, such as creating an
    XMLHttpRequest, will fail unless this is disabled (LP: #532502).
  * Restore Colin's set_locale function.  However, this is only half the
    puzzle.  We need to finish running the language component when the
    exit button is pressed when in greeter mode.

  [ Colin Watson ]
  * KDE frontend:
    - Fix references to PARTITION_* in PartMan module (LP: #528171).
    - Drop real UID/GID when initialising KApplication.  The real and
      effective IDs need to match, but raising them means we can't talk to
      D-Bus.  Instead, use saved IDs to store our root privileges so that we
      can get them back (LP: #526486).
  * ubiquity-dm: Close stdout from dbus-launch.
  * Automatic update of included source packages: apt-setup 1:0.42ubuntu3,
    user-setup 1.28ubuntu4.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 06 Mar 2010 00:09:55 +0000

ubiquity (2.1.31) lucid; urgency=low

  * Do not show the contents of the language page until the strings have
    been substituted and translated.
  * Ellipsize the advanced partitioner progress label so that it doesn't
    cause the window to expand.  Ideally, we'd also right-align the
    spinner and left-aligned label, but that doesn't appear to be
    possible without a custom composite widget, and putting the spinner
    to the right of a right-aligned label looks ugly.
  * Fix the spacing on the console-setup page (LP: #528695).

 -- Evan Dandrea <evand@ubuntu.com>  Thu, 04 Mar 2010 12:03:42 +0000

ubiquity (2.1.30) lucid; urgency=low

  [ Mario Limonciello ]
  * Raise permissions for misc.execute calls in bin/ubiquity.
  * Don't allow oem-user-config and oem-config to both be enabled.

  [ Evan Dandrea ]
  * Move the alpha warning for the GTK+ frontend to the language page.
    It fits better there now that we have the greeter functionality.
  * Push handling the progress bar when on the partitioning page
    properly into ubi-partman.
  * Show the advanced partitioning page immediately, now that its
    progress is displayed in the window contents (LP: #336751).

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Wed, 03 Mar 2010 19:40:15 -0600

ubiquity (2.1.29) lucid; urgency=low

  [ Evan Dandrea ]
  * Align description labels to the top left on the user-setup page and get
    rid of the width request (LP: #524827).
  * Fix references to create_label and allow_change_step in the KDE
    frontend's PartMan module (LP: #527932).
  * str.split returns a list of one empty string when splitting on an
    empty string.
  * Update the KDE frontend with the new slideshow location (as of
    ubiquity-slideshow 15).
  * The timezone is perfectly usable at half its width and height, so
    only request that.  This also means we're not trying to guess how
    much space we can reasonably take up with the map, but rather
    letting the rest of the interface determine the width and height of
    the installer window.
  * If the screen resolution is particularly low (< 600px height), allow
    the user to scroll through the user setup page content.
  * Left-align the labels on the segmented_bars.
  * Make the segmented_bars narrower.
  * Set the width of the language selection treeview to the minimum
    required to fit the contents.  Do not allow it to expand.
  * Move the greeter functionality into ubiquity itself, still
    accessible with the maybe-ubiquity boot option (LP: #530713).
  * Automatic update of included source packages: netcfg 1.51ubuntu2,
    partconf 1.32ubuntu1, partman-base 138ubuntu1.

  [ Colin Watson ]
  * Fix choose_partition thawing to handle free space at the end of
    update_partitions (LP: #527848).

 -- Evan Dandrea <evand@ubuntu.com>  Tue, 02 Mar 2010 21:11:41 +0000

ubiquity (2.1.28) lucid; urgency=low

  [ Evan Dandrea ]
  * Copy oem-config debconf questions only after we're done using the
    database.

  [ Mario Limonciello ]
  * Don't mistakenly always show ubiquity running in debug mode warning in
    oem-config mode.

  [ Colin Watson ]
  * KDE frontend:
    - Fix partman component for use_as signature change (LP: #527468).
    - on_partitionResized needs a self argument (LP: #527457).

  [ Jonathan Riddell ]
  * kde_ui.py: Always show progressDialog during the install stage (LP:
    #527448)

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 25 Feb 2010 12:37:09 +0000

ubiquity (2.1.27) lucid; urgency=low

  * Check whether choose_partition should be thawed when going back from
    scanning a non-resizable partition (LP: #527057).
  * devkit-disks was renamed to udisks; try to inhibit that first.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 24 Feb 2010 15:08:00 +0000

ubiquity (2.1.26) lucid; urgency=low

  [ Evan Dandrea ]
  * Specify migrationassistant's order as simply coming before summary,
    as setting it as coming after user-setup and partman was causing it
    to come after summary (LP: #526581).

  [ Jonathan Riddell ]
  * kde_ui.py: don't show integrated progress bar, it seems to cause a crash
    https://launchpad.net/bugs/526534
  * kde_ui.py: Show progressDialog for install, still needed (LP: #526454)

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 24 Feb 2010 13:11:43 +0000

ubiquity (2.1.25) lucid; urgency=low

  [ Colin Watson ]
  * Fix installation_medium_mounted call in partman plugin (LP: #524169).
  * Make sure that /var/log/installer/media-info is world-readable.

  [ Mario Limonciello ]
  * get_mod_bool needs to default to True if the attribute doesn't
    exist in the plugin.
    - Fixes oem-config ValueError (LP: #526405)
  * Fix launching KDE frontend in oem-config mode (LP: #526496)
  * Automatic update of included source packages: base-installer
    1.103ubuntu4.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 22 Feb 2010 23:38:20 +0000

ubiquity (2.1.24) lucid; urgency=low

  [ Cody Russell ]
  * ubiquity-greeter-gtk: Add language selection facility.

  [ Colin Watson ]
  * Hook up ubiquity-greeter-gtk's language selection in ubiquity-dm to
    rewrite /etc/default/locale, /etc/environment, and /etc/locale.gen
    before continuing.
  * Remove unnecessary SVG-specific code from ubiquity-greeter-gtk.
  * Use /usr/share/images/xsplash/bg_2560x1600.jpg as ubiquity-greeter-gtk's
    background image for now; it's slightly more visually appealing than the
    test image!
  * Make sure to run migration-assistant after user-setup, since it uses
    passwd/username (LP: #524993).

  [ Jonathan Riddell ]
  * optimizegraphics: Losslessly optimized PNG and SVGZ files with
    "optipng -o5" and "advdef -z -4". Reduced disk space: 160KB (0MB)

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 22 Feb 2010 21:39:58 +0000

ubiquity (2.1.23) lucid; urgency=low

  [ Evan Dandrea ]
  * Fix docstrings. They need to be the first statement in a function.
  * Fix method call to set_summary_device in the advanced dialog.
    Thanks Roman Shtylman.

  [ Mario Limonciello ]
  * Fix an UnboundLocalError in oem-config mode related to trusted_db.
  * Remove all of the mythbuntu frontend from ubiquity.  Now that it's fully
    stable, it's being moved to the mythbuntu-live-autostart package so that
    it can benefit from being maintained by anyone in ~mythbuntu-dev.
  * Automatic update of included source packages: grub-installer
    1.49ubuntu5.

  [ Roman Shtylman ]
  * Fix for (LP: #424216) KDE ui on small screens
  * Fix for (LP: #485322) KDE ui forward/install buttons
  * Fix for (LP: #524090) KDE ui gray bar and scaling wallpaper

 -- Mario Limonciello <superm1@ubuntu.com>  Sun, 21 Feb 2010 22:17:26 -0600

ubiquity (2.1.22) lucid; urgency=low

  * Use raised_privileges() in the noninteractive FE for init.
  * Fix a couple of areas that broke in the noninteractive portions of
    ubi-usersetup from the plugins conversion.
  * Drop myth-summary.  Now that ubi-summary is a plugin, it's much more
    difficult to override, and not worth the delta.
  * Since both partman and usersetup now want to go after console_setup,
    set partman's weight higher than usersetup's to restore the page.
    (LP: #523648)
  * Integrate 60mythbuntu target config into myth-passwords now that
    user setup is a plugin.
  * For user-setup's PageDebconf, inherit from PageBase for skeleton
    functions that Page may use.

 -- Mario Limonciello <superm1@ubuntu.com>  Fri, 19 Feb 2010 10:41:33 -0600

ubiquity (2.1.21) lucid; urgency=low

  [ Mario Limonciello ]
  * Catch some attribute errors if plugins try to use the controller to
    control allowing page changes too early during initialization due to
    signal handlers.
  * Update mythbuntu-services for changes in ubi-usersetup.
  * Accomodate for the fact that passwd/user-passwd is no longer available
    by the time the myth-* pages come up.

  [ Evan Dandrea ]
  * Consider a failure to set up the user-setup page to be a fatal
    error.
  * Add some missing imports and variables to the user-setup page.
  * Add oem-config/install-language-support, which installs the
    respective language support packages for the locale selected by the
    user.
  * Add an 'OEM' field to the plugins to declare whether a module is
    suitable for use in oem-config (defaults to True).
  * Don't assuming that the partman component is present when checking
    to see if we're on the advanced partitioning page.
  * Make usersetup depend on console_setup rather than partman, in case
    the latter isn't present.
  * Validate some fields on the usersetup page in real time.  Provide a
    visual cue that the data entered is probably okay.
  * Automatic update of included source packages: console-setup
    1.34ubuntu10.

  [ Roman Shtylman ]
  * Fix for (LP: #522502)

 -- Evan Dandrea <evand@ubuntu.com>  Wed, 17 Feb 2010 16:31:17 +0000

ubiquity (2.1.20) lucid; urgency=low

  * Convert migrationassistant, partman, summary, and usersetup to
    plugins.
  * Do not fullscreen the installer window when in only-ubiquity mode,
    so users can see the pretty background and window decorations.
  * Fix function arguments in ubiquity-dm (LP: #521702).
  * Add python-rsvg dependency for the new greeter.

 -- Evan Dandrea <evand@ubuntu.com>  Mon, 15 Feb 2010 15:33:38 +0000

ubiquity (2.1.19) lucid; urgency=low

  * Automatic update of included source packages: clock-setup 0.102ubuntu1,
    debian-installer-utils 1.72ubuntu4.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 14 Feb 2010 02:40:38 +0000

ubiquity (2.1.18) lucid; urgency=low

  * Preliminary version of a new greeter, accessible using the
    'maybe-ubiquity' boot option.  In this mode, ubiquity-dm displays a
    choice between "Try Ubuntu without installing" and "Install Ubuntu"
    after starting X, rather than needing to present that choice at the boot
    loader.  This is not ready for production use yet and (desperately!)
    needs artwork, but merging it here will make it easier to test.  Thanks
    to Cody Russell for the first version of the greeter code.
  * Thaw choose_partition choices on partman startup.
  * Always use use_as method to get method choices rather than going through
    slower partman scripts.  (We were already doing this in some fast
    paths.)
  * Always use default_mountpoint_choices method to get mountpoint choices
    rather than going through slower partman scripts.  (We were already
    doing this in some fast paths.)
  * Cache question types in each DebconfFilter instance, saving a debconf
    command during widget search for every component using type: or ERROR
    matching.
  * Install wrapper scripts to cache results of os-prober and
    linux-boot-prober.  The wrapper approach means that we capture calls to
    these scripts from shell as well as Python.
  * Cache question descriptions in partman plugin, since these are
    frequently fetched and there's no REGISTER funkiness going on in
    partman.
  * Avoid descending into partman/free_space just to find out whether it's
    possible to create a partition there.  We can get the same information
    by inspecting the data returned by PARTITIONS.
  * Install set-date-epoch program from clock-setup (>= 0.101).
  * PROGRESS INFO takes a template, not a string (and even if it took a
    string, debconf's command parsing wouldn't like passing just a space);
    adjust install plugin handling to fix debconf_ui (LP: #521362).
  * Switch to source format 3.0 (native) with bzip2 compression, saving a
    little over a megabyte.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 14 Feb 2010 02:02:16 +0000

ubiquity (2.1.17) lucid; urgency=low

  [ Mario Limonciello ]
  * debian/oem-config.postinst:
    - Source debconf to ensure templates are populated in debconf.
  * Drop update-rc.d calls from oem-config scripts as it's only supported
    via upstart now.
  * misc: return True/False from execute_root rather than None.

  [ Evan Dandrea ]
  * Use a GtkSpinner instead of a separate progress window when on the
    manual partitioning page.

  [ Colin Watson ]
  * In cdebconf mode, initialise the templates database if necessary as a
    workaround for cdebconf's packaging not doing this itself.
  * Don't issue PROGRESS REGION command under debconf_ui (LP: #519398).
  * KDE frontend:
    - Don't add partition bar frames for devices we can't find for whatever
      reason (LP: #485450).
  * Pass model, layout, variant, and options to rewrite_xorg_conf
    (LP: #514646).
  * Install zh-hans language packs for zh_CN, and zh-hant language packs for
    zh_TW (LP: #517621).
  * Fix crash on keyboard variant selection (LP: #512953).
  * Enable cancellation of NTP syncing.
  * Correct tuple syntax in copy_debconf, thereby fixing copying of
    console-setup's debconf questions.
  * Fix unmount of /target/dev harder; second and subsequent arguments to
    os.path.join need to not start with a slash.
  * Automatically fall back to vesa if normal X startup fails.  This is a
    reduced emulation of bullet-proof-X; using the standard implementation
    is currently tricky.
  * Add a couple of lintian overrides.
  * Explicitly build-depend on xkb-data-i18n.  We normally skip
    console-setup's build-dependencies when generating our own, but we need
    this one to run kbdnames-maker.
  * Update translations from Launchpad (LP: #473554, #520905).
  * Automatic update of included source packages: base-installer
    1.103ubuntu3, console-setup 1.34ubuntu9, debian-installer-utils
    1.72ubuntu3, grub-installer 1.49ubuntu4, hw-detect 1.73ubuntu2,
    partman-auto 89ubuntu3, partman-basicfilesystems 63ubuntu3,
    partman-partitioning 72ubuntu3, tzsetup 1:0.26ubuntu5.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 12 Feb 2010 21:07:51 +0000

ubiquity (2.1.16) lucid; urgency=low

  [ Mario Limonciello ]
  * Don't fail to run oem-config if oem-config/early_command isn't set.
  * Copy oem-config/early_command from the installation preseed onto the
    installed system.
  * Try to dynamically detect the number of columns we'll need for
    stepLanguageOnly.  When showing < 15 languages, this fixes the
    orientation to be in a single column on small displays.
  * If no plugins declare themselves as plugin_is_install (such as the
    case in oem-config mode), then assume the last one is the install plugin.
  * Allow pages that are declared plugin_is_install to process other steps
    in process_step in addition to the install behaviors.
  * Add a try/except guard around the fetch of oem-config/extra_packages.
  * Add oem-config/late-command for cleaning up any preparation that was
    done via oem-config/early-command for the oem-config run.
  * Make the Mythbuntu backend setup plugin's GTK widget fit better.
  * Automatic update of included source packages: apt-setup
    1:0.42ubuntu2, partman-target 64ubuntu6.

  [ Evan Dandrea ]
  * Add oem-config/repository and oem-config/key, which respectively
    specify an additional repository to install packages from and a
    public key that the packages are signed with.
  * Copy all oem-config/* templates to the installed system.
  * Add an additional package (oem-config-remaster) to remaster an
    Ubuntu ISO with additional packages and oem-config preseed data.

  [ Colin Watson ]
  * Drop code to remove broken CD-ROM entries from /etc/fstab after install;
    partman-target 64ubuntu6 no longer writes removable device entries to
    /etc/fstab.

 -- Mario Limonciello <superm1@ubuntu.com>  Wed, 03 Feb 2010 00:11:50 -0600

ubiquity (2.1.15) lucid; urgency=low

  [ Mario Limonciello ]
  * Add a new template, ubiquity/only-show-installable-languages for modifying
    the behavior of what languages to offer on an invokation based upon
    what's installed or "available" to install according to an apt cache.
  * Expose extra functions get and substitute to plugins via it's
    second argument (currently called Progress).
  * Drop extraneous handlers from Mythbuntu pages.
  * Move all handlers from mythbuntu_ui directly into plugins themselves.
  * Move some functions from the install.py script into a new file,
    install_misc.  The intention here is that they can then be used more
    directly by ubiquity plugins.
  * Add a new method for package removals to install_misc to allow
    plugins to mark packages to be removed later in remove_extras.
  * Modify the Mythbuntu services plugin to not even offer VNC if a short
    pw. (LP: #469312)
  * Convert most of the functions from mythbuntu_install.py into plugin
    type Install methods.
  * Support using pkgsel/install-language-support preseeded to false to
    ignore installation of language packs (just like alternates).
  * Drop mythbuntu_ui and all references to it.  The (former) Mythbuntu 
    frontend is now fully pluggable into ubiquity's gtk_ui on it's own.
  * Fix unmount command in chroot_cleanup to actually release /target/dev.
  * In the KDE frontend for ubi-language, use findChildren to find widgets
    because QWidget itself is not iterable.
  * In the KDE frontend, don't try to set the text on the breadcrumbs early
    as translations don't appear ready yet.  The widgets will still load,
    and translate when the langauge is changed. (LP: #511947)
  * Automatic update of included source packages: console-setup
    1.34ubuntu8, debian-installer-utils 1.72ubuntu2, tzsetup
    1:0.26ubuntu4.

  [ Evan Dandrea ]
  * Support getting the timezone from a geoip server (LP: #229884).
  * Move oem-config runtime debconf questions into the oem-config
    package.
  * Add oem-config/early_command (run a command just before oem-config
    starts).
  * Support installing additional packages at runtime in oem-config, as
    specified by oem-config/extra_packages.

 -- Mario Limonciello <superm1@ubuntu.com>  Sun, 31 Jan 2010 23:44:44 -0600

ubiquity (2.1.14) lucid; urgency=low

  * Add missing build dependency on keymapper.

 -- Evan Dandrea <evand@ubuntu.com>  Fri, 22 Jan 2010 10:17:54 +0000

ubiquity (2.1.13) lucid; urgency=low

  [ Colin Watson ]
  * Don't crash if something races with ubiquity or ubiquity-dm to create
    /var/log/installer (LP: #458806).

  [ Evan Dandrea ]
  * Support the new translated keyboard names in console-setup
    (LP: #127528).
  * Provide an option to determine the keymap from a decision tree.
  * Add missing parameter to exception in bin/ubiquity.
  * slideshow_get_available_locale is an instance method (LP: #510710).
  * The frontend always has a db attribute, per r3665, so revise the check in
    debconf_communicator.  Thanks Colin Watson.
  * Add missing function argument to Install's prepare.
  * Automatic update of included source packages: console-setup
    1.34ubuntu7, grub-installer 1.49ubuntu2, partman-uboot 3.

  [ Mario Limonciello ]
  * Remove another reference to a long dead xserver-xorg debconf question.
  * Don't try reconfiguring LRM, it's been superceded by DKMS based packages.
  * Add a new top function to the Controller to allow toggling the
    visibility of the live installer from a plugin.

 -- Evan Dandrea <evand@ubuntu.com>  Fri, 22 Jan 2010 09:24:12 +0000

ubiquity (2.1.12) lucid; urgency=low

  [ Colin Watson ]
  * Add osextras.unlink_force, equivalent to 'rm -f', to save on tedious
    exception handling.
  * Only restart debconf-communicator when changing language, not every time
    we switch page.  This speeds up page transitions quite a bit, and should
    incidentally fix LP: #508725 as well.
  * GTK frontend:
    - Check plugin builders as well when adding widgets (setting their
      names, making them callable by the toplevel, etc.).  This fixes
      translations of the language, timezone, and keyboard pages.
  * Fix immediate retranslation when changing language.
  * Add a semaphore to misc.regain_privileges and misc.drop_privileges, so
    that a drop/regain pair always returns to the previous state.
    misc.drop_all_privileges is now more clearly one-way, enforced by an
    assertion.
  * Add a context manager (raised_privileges) and a function decorator
    (raise_privileges) that are equivalent to a
    regain_privileges/drop_privileges pair, but that wrap up the required
    try/finally logic to make it less likely that we'll end up at the wrong
    privilege level by mistake.
  * When attempting to upgrade the installer, only stop debconf-communicator
    once we've determined that we actually have something to upgrade
    (LP: #495175).
  * Require Python 2.6, for the 'with' statement.
  * Move default GRUB target calculation to ubiquity.misc, which is a better
    location for common code than ubiquity.components.summary.  Try to avoid
    using (hd0) as the target (prefer the first device from grub-mkdevicemap
    output if possible), and, when installing from a non-CD medium, only
    reset the default boot device if we would otherwise end up installing
    GRUB to the installation medium.
  * Initialise FilteredCommand.ui_loop_level earlier, just in case
    (LP: #484452).

  [ Evan Dandrea ]
  * Allow the user to set a hostname in oem-config.
  * Finally, finally, finally successfully work around GTK+ not
    supporting height-for-width in labels.
  * Remove labels created by plugins from the focus chain.
  * Don't try to generate an apparmor cache in oem-config.
  * Slightly better exception printing in scripts/install.py
  * GNOME Bug #56070 (can't click button twice) has long since been
    closed.  Remove hack.
  * Automatic update of included source packages: localechooser
    2.12ubuntu3, user-setup 1.28ubuntu3.

  [ Mario Limonciello ]
  * Drop old hack for reconfiguring mythbuntu-default-settings since
    this is fixed in user-setup now.
  * Drop old hack for copying ^xserver-xorg onto the target system.  No
    longer necessary as thse variables don't exist in current installs.

  [ Dylan McCall ]
  * Use slideshow for language variants if available (LP: #476269).

  [ Michael Terry ]
  * Reset contents of timezone combo boxes every time the timezone page is
    entered (LP: #461104).

 -- Evan Dandrea <evand@ubuntu.com>  Wed, 20 Jan 2010 15:35:08 +0000

ubiquity (2.1.11) lucid; urgency=low

  [ Evan Dandrea ]
  * Remove ubiquity on successful completion of oem-config (LP: #210779).

  [ Didier Roche ]
  * Rebuild needed to take 1.28ubuntu2 user-setup-apply version (LP: #507121)

  [ Colin Watson ]
  * Log calls to partman's freeze_choices and thaw_choices.
  * Revert frozen choices change from 2.1.8.  Instead, arrange to thaw
    choices for partman/choose_partition immediately *before* going back to
    it at the end of building the cache, rather than just after it's
    displayed when thawing choices has no immediate effect (LP: #506585).
  * Automatic update of included source packages: partman-base 135ubuntu4,
    user-setup 1.28ubuntu2.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 16 Jan 2010 00:31:16 +0000

ubiquity (2.1.10) lucid; urgency=low

  [ Colin Watson ]
  * Handle transitioning away from plymouth in ubiquity-dm.

  [ Evan Dandrea ]
  * Use new URL format introduced by the latest ubiquity-slideshow.
  * Support RTL text in the Kubuntu slideshow.
  * Bring the KDE frontend slideshow handling into line with GTK
    frontend.

 -- Evan Dandrea <evand@ubuntu.com>  Tue, 12 Jan 2010 12:35:53 +0000

ubiquity (2.1.9) lucid; urgency=low

  * Generate an apparmor cache to speed up boot time.
  * Handle SUDO_USER not being set in copy_network_config.

 -- Evan Dandrea <evand@ubuntu.com>  Mon, 11 Jan 2010 17:15:07 +0000

ubiquity (2.1.8) lucid; urgency=low

  [ Evan Dandrea ]
  * On the timezone page, replace the GTK Comboboxes with ComboboxEntrys and
    add support for typeahead by country/region and city.

  [ Colin Watson ]
  * Cope with frozen choices when preseeding partman to select a particular
    script (LP: #505197).

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 10 Jan 2010 23:04:44 +0000

ubiquity (2.1.7) lucid; urgency=low

  [ Mario Limonciello ]
  * Mythbuntu: Reconfigure mythbuntu-default-settings to ensure that the
    DefaultSession is set.
  * Only run hal-lock if hald is actually running due to changes in
    hal 0.5.14-0ubuntu2.
  * Widget names are no longer stored in the widget's internal name, but
    rather in the object data.  Sync this information back to the widget's
    internal name. (LP: #503710)
  * Automatic update of included source packages: grub-installer
    1.49ubuntu1.

  [ Evan Dandrea ]
  * Copy any network configuration set up by the user of the live CD to
    the installed system.

 -- Mario Limonciello <superm1@ubuntu.com>  Wed, 06 Jan 2010 03:37:13 -0600

ubiquity (2.1.6) lucid; urgency=low

  [ Colin Watson ]
  * Tell partman not to recalculate choices for choose_partition or
    active_partition while we're going back and forward building the cache.
    Requires partman-base 135ubuntu3.

  [ Mario Limonciello ]
  * debian/control: Drop Recommends on gnome-system-tools.  Code that was
    using time-admin was removed back in ubiquity 1.3.7.
  * Automatic update of included source packages: console-setup
    1.34ubuntu6, partman-base 135ubuntu3.

 -- Mario Limonciello <superm1@ubuntu.com>  Thu, 31 Dec 2009 01:21:41 -0600

ubiquity (2.1.5) lucid; urgency=low

  [ Mario Limonciello ]
  * Mythbuntu: Don't start MySQL using the upstart scripts since they don't
    work in a chroot. (LP: #494830)

  [ Colin Watson ]
  * Update two more edit_partition calls to account for renamed format ->
    fmt argument (LP: #494608).
  * Remove hack forcing the use of sudo with the KDE frontend, as it no
    longer appears to be necessary and things break if we don't use kdesudo
    (LP: #494997).
  * Make ubiquity.parted_server's logging to /var/log/partman more
    distinctive.
  * Set sensible permissions on /var/log/installer/debug, not os.open's
    default of 0755.
  * Gather basic information from parted_server using the PARTITIONS command
    (all partitions on a disk at once), which is slightly faster than
    PARTITION_INFO (one partition at a time).
  * Initialise automation_error_cmd, error_cmd, and success_cmd to '' rather
    than None, since that's what's checked by the functions that use them.
  * Unlink /var/lib/localechooser/langlevel even if unlinking
    /var/lib/localechooser/preseeded fails.
  * Regain privileges to unlink /var/lib/localechooser/preseeded and
    /var/lib/localechooser/langlevel.
  * Enable debconffilter debugging if UBIQUITY_DEBUG_CORE=1, so that we can
    set DEBCONF_DEBUG=developer rather than DEBCONF_DEBUG=developer|filter
    which cdebconf doesn't understand.
  * Automatic update of included source packages: console-setup 1.34ubuntu5,
    partman-base 135ubuntu2.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 16 Dec 2009 00:31:12 +0000

ubiquity (2.1.4) lucid; urgency=low

  [ Mario Limonciello ]
  * Correct a variable that didn't get changed from pychecker
    cleanup in the intro plugin (LP: #492873).

  [ Martin Pitt ]
  * scripts/ubi-restart-hal:
    - Restart hal the upstart way.
    - Do not fail if hal does not exist, and drop hal dependency. 
      (LP: #493139)
    - Also trigger an udev change event for key devices, so that the changed
      keyboard settings also apply to an udevified X.org server.
  * scripts/ubi-restart-hal: Rename to scripts/ubi-reload-keyboard to state
    the intent, not the means (since it now primarily applies to udev).
    Adjust debian/oem-config.install accordingly.

  [ Colin Watson ]
  * Automatic update of included source packages: base-installer
    1.103ubuntu2, preseed 1.43.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 08 Dec 2009 11:58:27 +0000

ubiquity (2.1.3) lucid; urgency=low

  [ Evan Dandrea ]
  * Additional code cleanup from pycheck findings.

  [ Mario Limonciello ]
  * Don't run run_target_config_hooks for OEM config mode.  It's
    already run during actual installation and can cause problems
    during the OEM config run. (LP: #473241)
  * Mythbuntu frontend: don't default to UseEvents for NVIDIA anymore.

  [ Colin Watson ]
  * Pass DATA command through debconffilter rather than swallowing it,
    restoring useful progress information (LP: #445385).
  * Fix KDE frontend translation issues (LP: #478006):
    - Retranslate install_process_label when the language changes.
    - Make "Layout:", "Variant:", and "Below is an image of your current
      layout:" translatable.
  * Fix inconsistent return types in partman.Page.snoop.
  * Automatic update of included source packages: base-installer
    1.103ubuntu1.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 03 Dec 2009 16:47:09 +0000

ubiquity (2.1.2) lucid; urgency=low

  * Adjust for path changes in debian-installer-utils 1.72.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 27 Nov 2009 20:39:23 +0000

ubiquity (2.1.1) lucid; urgency=low

  [ Evan Dandrea ]
  * Run success_cmd, error_cmd, and automation_error_cmd as root.
  * Use /cdrom/casper/filesystem.size instead of calculating the size of
    /rofs on each run.
  * Include a progress message for ubiquity/success_command.
  * Do not use the preseeded install progress message as the install
    window title.  Use a more understandable string.
  * Check the syntax of any shell scripts in the source tree as part of
    debian/rules check.

  [ Mario Limonciello ]
  * When calling execute_root, don't pass a list because everything
    passed is translated into a tupple.  Passing a list causes subprocess to
    fail when invoked.

  [ Colin Watson ]
  * Add a button to the language page to upgrade the installer on the fly,
    based on work by Michael Vogt several years ago (LP: #55505).
  * GTK frontend:
    - Only set the debconf progress window's transience and type hint when
      it isn't already being shown.
  * Automatic update of included source packages: debian-installer-utils
    1.72ubuntu1.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 27 Nov 2009 20:02:26 +0000

ubiquity (2.1.0) lucid; urgency=low

  [ Evan Dandrea ]
  * Run X with -nolisten tcp (LP: #462394).
  * Make sure we never try to install onto the live filesystem.
  * Only print the filenames being blacklisted if in debug mode.
  * Provide human readable sizes in the partitions-too-small warning
    (LP: #298974).
  * Mark the "Installation Complete" window as always on top
    (LP: #462178).
  * Fixes from Pychecker for the KDE frontend (kde_ui):
    - Don't import datetime or math.  The timezone code is in a separate
      module now.
    - Remove some unused variables.
    - Don't assign to a variable that's going to be immediately discarded.
  * Signal to GTK+ when using a right-to-left language, so that it
    composes the interface from right to left (LP: #222845).
  * Signal to the slideshow when the installer is using a right-to-left
    language (LP: #446989).
  * Set SUDO_UID and SUDO_GID in ubiquity-dm so ubiquity knows what user
    to drop privileges to (LP: #422254).
  * Do not try to configure networking in oem-config (LP: #471498).
  * Make migration-assistant import failures non-fatal to the overall
    install.
  * pkgsel now provides a debconf question to avoid warning the end user
    when the language packs could not be installed (LP: #471553).
  * Make sure a device exists as part of the grub target device
    validation.
  * Allow the user to retry grub installation with a different device on
    failure.
  * Automatic update of included source packages: apt-setup
    1:0.42ubuntu1, choose-mirror 2.29ubuntu2, clock-setup 0.100ubuntu1,
    debian-installer-utils 1.71ubuntu1, grub-installer 1.47ubuntu1, hw-
    detect 1.73ubuntu1, netcfg 1.51ubuntu1, partman-base 135ubuntu1,
    tzsetup 1:0.26ubuntu1, user-setup 1.28ubuntu1.

  [ Colin Watson ]
  * Add a debian/rules target to run pychecker. I've fixed several warnings,
    but there are still several left so this is not yet enabled by default.
  * Fix debconf frontend:
    - Start oem-config on stopping rc, as well as when starting display
      managers.
    - Add some missing imports (ubiquity.frontend.base.Controller,
      ubiquity.plugin.Plugin, ubiquity.i18n, signal,
      ubiquity.components.install).
    - If there's a containing debconf frontend, talk to it rather than using
      debconf-communicator.
    - Set a controller in the language plugin.
    - Use spaces rather than ${!TAB} in localechooser when using the debconf
      frontend, since debconf doesn't support the latter yet.
    - Don't handle user-setup preseeding for the debconf frontend.
    - Remove unused progress_position handling.
    - Fix exception names in ubi-network and ubi-tasks.
  * Require Python 2.5, so we can now use hashlib rather than md5 and avoid
    a slew of warnings.
  * Add an intro message noting that we're alpha again.

 -- Evan Dandrea <evand@ubuntu.com>  Fri, 13 Nov 2009 10:41:42 +0000

ubiquity (2.0.8) karmic-updates; urgency=low

  * Don't remove the boot kernel if we failed to install -generic-pae
    (LP: #462692).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 28 Oct 2009 18:53:21 +0000

ubiquity (2.0.7) karmic-updates; urgency=low

  * Fix incorrect arguments to get_cache_pkg (LP: #462462).

 -- Evan Dandrea <evand@ubuntu.com>  Wed, 28 Oct 2009 10:09:27 +0000

ubiquity (2.0.6) karmic; urgency=low

  * Automatic update of included source packages: partman-basicmethods
    43ubuntu2, partman-target 64ubuntu5.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 27 Oct 2009 15:20:11 +0000

ubiquity (2.0.5) karmic; urgency=low

  [ Evan Dandrea ]
  * Do not fail if linux-generic-pae is not in the package cache.
    Thanks Colin Watson (LP: #461377).
  * Really don't run oem-config again.  Thanks Colin Watson
    (LP: #461546).
  * Fix broken reference in the apport hook (LP: #461757).
  * Add noninteractive pages for user-setup and migrationassistant as
    well.
  * Automatic update of included source packages: user-setup
    1.27ubuntu11.

  [ Colin Watson ]
  * Run partman in the noninteractive frontend (otherwise we try to install
    to the live CD root!).
  * Explicitly print noninteractive output to the console (as the Python
    debconf module redirects sys.stdout to sys.stderr which ends up in
    /var/log/installer/debug).

 -- Evan Dandrea <evand@ubuntu.com>  Tue, 27 Oct 2009 13:21:40 +0000

ubiquity (2.0.4) karmic; urgency=low

  [ Evan Dandrea ]
  * Do not install the live CD kernel in the target system when using
    PAE (LP: #413135).
  * Properly set the kernel version in the main install process when
    using PAE so that symlinks get created for the kernel and initramfs.
  * Automatic update of included source packages: partman-base
    133ubuntu4.
  * Automatic update of included source packages: grub-installer
    1.43ubuntu8, partman-basicmethods 43ubuntu1.

  [ Colin Watson ]
  * Change apport hook to prefer syslog, partman, and casper.log from
    /var/log/installer/ if they exist there, to support bug-filing after
    installation.
  * Don't set the "incomplete language support" note if only gimp-help-* is
    missing, since it's far too big to fit on CDs (LP: #452516).
  * Furthermore, always consider English as "complete enough". The packages
    that are missing from an installation from the Ubuntu desktop CD are not
    critical for a reasonable user experience.
  * Make use of check-language-support -a if pkgsel/language-packs is ALL,
    since that's orders of magnitude faster (LP: #458333).
  * Keep language-support-$LL installed if it happens to be in the live
    filesystem, since there's no point spending time removing it; but don't
    install it if it isn't in the live filesystem (LP: #458333).

 -- Evan Dandrea <evand@ubuntu.com>  Sat, 24 Oct 2009 14:55:26 +0100

ubiquity (2.0.3) karmic; urgency=low

  [ Colin Watson ]
  * Use new check-language-support --show-installed option added in
    language-selector 0.4.16, so that we can arrange to keep language
    support packages installed that are already present in the live
    filesystem.

  [ Mario Limonciello ]
  * Pass the debug parameters to ubiquity even if running in noninteractive
    mode.
  * Don't provide the old init scripts, even under a temporary name anymore.
    - It appears that there is a race condition that can exist between when
      the upstart'ified version and the initscript version start that may cause
      only-ubiquity and automatic-ubiquity to (poorly) fail. (LP: #457858)    
    - All login managers in use (gdm and kdm) have converted to upstart now.

  [ Evan Dandrea ]
  * Calculate the amount of available memory in check-kernels (LP: #413135).
  * Automatic update of included source packages: grub-installer
    1.43ubuntu7.

 -- Evan Dandrea <evand@ubuntu.com>  Fri, 23 Oct 2009 08:11:00 +0100

ubiquity (2.0.2) karmic; urgency=low

  [ Evan Dandrea ]
  * Properly set the size of the partition to be created upon resizing
    in the KDE frontend (LP: #455580).
  * Hide the encrypt home radio button in the KDE frontend when in oem-config
    mode (LP: #455479).

  [ Colin Watson ]
  * KDE frontend: Fix incorrect error message when the slideshow doesn't
    exist.

 -- Evan Dandrea <evand@ubuntu.com>  Tue, 20 Oct 2009 16:09:07 +0100

ubiquity (2.0.1) karmic; urgency=low

  [ Evan Dandrea ]
  * Check to see whether X crashed or ubiquity crashed before attempting
    to bail into the noninteractive frontend from only-ubiquity mode
    (LP: #444901).
  * Wrap the format warning label while working around GTK+ label layout
    problems (LP: #364617).

  [ Colin Watson ]
  * Rewrite X_LOADTEMPLATEFILE commands in case they refer to template files
    in the /target chroot (LP: #452118).
  * Install -generic-pae kernels if necessary; this requires some custom
    hacks since -generic-pae isn't in the live filesystem (LP: #413135).
  * Don't do kernel installation/removal in oem-config.
  * Skip partition_too_small check during Wubi installs, as Wubi does some
    of its own checks and the delay imposed by this check looks particularly
    weird in Wubi. This may or may not be the cause of apparent hangs
    towards the end of partitioning, but I suspect that it will at least get
    rid of some conflated reports and make testing quicker.
  * Update translations from Launchpad.
  * Automatic update of included source packages: clock-setup 0.98ubuntu3,
    flash-kernel 2.13ubuntu13, grub-installer 1.43ubuntu6, partman-auto
    89ubuntu2, partman-target 64ubuntu4.

  [ Mario Limonciello ]
  * Mythbuntu: Don't allow "removing" LIRC as it's not supported with install.

  [ Roman Shtylman ]
  * Fixed India timezone map (LP: #453009) 

  [ Michael Casadevall ]
  * Added support for partman-uboot in ubiquity (LP: #455713)

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 20 Oct 2009 01:20:06 +0100

ubiquity (2.0.0) karmic; urgency=low

  [ Colin Watson ]
  * Bump to a stable version number series for Ubuntu 9.10.

    The main reason for the version bump was because we incorporated
    oem-config and needed to jump past its version numbers, but really
    Ubiquity 2.0.0 is quite different from Ubiquity 1.0.0 despite most of
    the changes being gradual and incremental. 3.5 years and nearly 5000
    lines of changelog entries later, we have several active developers,
    lots more translations, apport integration, a new partitioner,
    migration-assistant, automation, Mythbuntu and noninteractive frontends,
    Wubi, reinstallation without reformatting, a new timezone map,
    accessibility, many UI improvements, a slideshow, plugin support, and
    much more. Here's to version 3!

  * Install kernel headers to match the kernel (LP: #413135).
  * Recommend dmraid to ensure consistent behaviour across Ubuntu flavours
    (it was already present on the Ubuntu desktop CD, but e.g. not on
    Kubuntu).
  * If dmraid devices are active, then create
    /var/lib/disk-detect/activate_dmraid so that partman will exclude slave
    devices, and ensure that dmraid is installed in the target (LP: #90235).
  * Use check-language-support if available to select language support
    packages (LP: #434173).
  * Update translations from Launchpad.
  * Automatic update of included source packages: base-installer
    1.102ubuntu2, hw-detect 1.72ubuntu5.

  [ Jonathan Riddell ]
  * ubi-intro.py: detect kubuntu-netbook-intro.txt if it exists and use
    that as warning for Kubuntu Netbook Edition

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 14 Oct 2009 23:57:40 +0100

ubiquity (1.99.31) karmic; urgency=low

  [ Evan Dandrea ]
  * Handle DATA commands in debconffilter.  Support PROGRESS in the apt-
    setup component (LP: #445385).

  [ Colin Watson ]
  * Automatic update of included source packages: debian-installer-utils
    1.70ubuntu2, partman-target 64ubuntu3.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 07 Oct 2009 22:49:30 +0100

ubiquity (1.99.30) karmic; urgency=low

  * Automatic update of included source packages: partman-base 133ubuntu3,
    partman-basicfilesystems 63ubuntu2.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 06 Oct 2009 22:47:19 +0100

ubiquity (1.99.29) karmic; urgency=low

  [ Colin Watson ]
  * Use a separate PROGRESS REGION for each install plugin (LP: #438979).
  * GTK frontend:
    - When switching language, translate other top-level widgets (dialogs)
      and their children, as well as the main notebook pages (LP: #441622).
  * Install a dummy initctl similar to the dummy start-stop-daemon while
    doing anything that might install or remove packages in the target
    system, so that attempts to control Upstart jobs won't do anything.
  * Stop Upstart jobs when switching to runlevel 0 or 6, which I think fixes
    repeated respawns on shutdown (LP: #432140).
  * Save /var/log/installer/debug to the target system if it exists.
  * In the auto-resize bar, use the preferred partition size requested by
    partman-auto/partman-partitioning, rather than hardcoding the maximum
    size or making up our own (LP: #421407).
  * Update imported translations from gtk+2.0 2.18.1-1ubuntu1 (adds Asturian
    and Bengali).
  * Update translations from Launchpad.
  * Automatic update of included source packages: apt-setup 1:0.41ubuntu2,
    console-setup 1.34ubuntu4, flash-kernel 2.13ubuntu12, grub-installer
    1.43ubuntu5, partman-partitioning 72ubuntu2, partman-target 64ubuntu2.

  [ Evan Dandrea ]
  * Port fix for return_to_partitioning from the GTK+ frontend to the
    KDE frontend (LP: #439184).
  * Explicitly depend on reiserfsprogs so that we don't have to add it
    to every live seed (LP: #431976).
  * Write /cdrom/.disk/info to /var/log/installer/media-info
    (LP: #364649).

  [ Roman Shtylman ]
  * Limit width of side breadcumbs in kde for long translation text. 
    Using elided text where needed (LP: #438918)

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 06 Oct 2009 18:39:54 +0100

ubiquity (1.99.28) karmic; urgency=low

  * Automatic update of included source packages: partman-auto-loop
    0ubuntu18.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 29 Sep 2009 22:15:58 +0100

ubiquity (1.99.27) karmic; urgency=low

  * Emit starting-dm in the ubiquity and oem-config upstart jobs.
    Thanks Colin Watson!

 -- Evan Dandrea <evand@ubuntu.com>  Tue, 29 Sep 2009 16:05:31 +0100

ubiquity (1.99.26) karmic; urgency=low

  * Disable the intro message in preparation for Ubuntu 9.10 beta.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 28 Sep 2009 22:36:21 +0100

ubiquity (1.99.25) karmic; urgency=low

  * d-i/get-sources: Clear Dir::Etc::sourceparts, so that any local
    /etc/apt/sources.list.d/ isn't used.
  * Cope with the possibility that /etc/init.d/usplash may not exist, in
    anticipation of usplash switching to Upstart jobs.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 28 Sep 2009 13:11:44 +0100

ubiquity (1.99.24) karmic; urgency=low

  * Reorganise clock handling. The system wall clock is now set as early as
    possible, and not reset after partitioning; and the timezone and
    hardware clock configuration are now changed in the live filesystem root
    as well as in /target (LP: #431786).
  * Update translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 27 Sep 2009 17:50:22 +0100

ubiquity (1.99.23) karmic; urgency=low

  [ Evan Dandrea ]
  * Add missing definition of self.controller for the noninteractive
    page in the language plugin.

  [ Colin Watson ]
  * Use an explicit state file to determine whether oem-config runs, since
    with Upstart it's no longer straightforward to just add/remove rc*.d
    symlinks (LP: #432180).
  * We already avoid copy-blacklisting files in packages that have a prerm,
    since they might require non-trivial work before removing their files.
    Now also avoid copy-blacklisting files in dependencies of such packages,
    as otherwise we risk leaving programs in the target system for a while
    that don't have their library dependencies satisfied, causing confusion
    when other programs try to use them (LP: #436613).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 25 Sep 2009 14:59:33 +0100

ubiquity (1.99.22) karmic; urgency=low

  [ Michael Terry ]
  * gtk: Don't assume there will be a country shortlist for the selected
    language.  Fixes the lack of a default zone for Polish.  LP: #425011
  * kde: Let back/forward/quit buttons activate when highlighted and the
    user presses Enter.  Part of bug #46600

  [ Evan Dandrea ]
  * Suppress Pango warning about not being able to open /root/.pangorc.
  * Use the page name instead of the new step name when considering both
    partitioning pages.
  * Fix broken conditional statement that prevented
    process_autopartitioning and info_loop from being called.
  * Disable the forward button for the usersetup page when coming from
    both the automatic and manual partitioning pages, rather than just
    the latter.
  * Open a browser window when links are clicked on in the slideshow
    (LP: #432145).
  * Automatic update of included source packages: base-installer
    1.102ubuntu1, flash-kernel 2.13ubuntu11, grub-installer 1.43ubuntu3,
    partman-partitioning 72ubuntu1.

  [ Roman Shtylman ]
  * Fixed vertical spacer on keyboard page
  * Removed underline from keyboard buttons
  * Added ability to view shifted keys on keyboard display 

  [ Colin Watson ]
  * Mount /sys while running grub-installer, since os-prober needs to look
    in /sys/block (LP: #430141).
  * Install new dmi-available-memory program from base-installer
    1.101ubuntu5.
  * Don't respawn Upstart jobs on exit status 1.

 -- Evan Dandrea <evand@ubuntu.com>  Thu, 24 Sep 2009 09:40:12 -0700

ubiquity (1.99.21) karmic; urgency=low

  * Install the init script (under a new, temporary name) as well as the
    Upstart job, in order that flavours whose display managers haven't yet
    converted to Upstart can still work. Take pains to ensure that only one
    of these runs.
  * Fix ubiquity's Upstart job to actually check whether it should run
    ubiquity (thanks, Mario Limonciello).
  * Build-depend on dh-di 3 to pick up fix affecting manual partitioning.
  * Tolerate LANG not being set yet in get_string (LP: #431048).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 17 Sep 2009 00:35:04 +0100

ubiquity (1.99.20) karmic; urgency=low

  [ Michael Terry ]
  * kde: Fix crasher when in the advanced partition page by adding a
    missing function.  LP: #430413

  [ Colin Watson ]
  * Add Upstart jobs for ubiquity and oem-config (LP: #430607).

 -- Evan Dandrea <evand@ubuntu.com>  Wed, 16 Sep 2009 21:35:28 +0100

ubiquity (1.99.19) karmic; urgency=low

  [ Oliver Grawert ]
  * make sure /target/dev is properly bind mounted and unmounted in
    chroot_setup() and chroot_cleanup() so postinst triggers that require
    certain devices will find them (LP: #422101)

  [ Michael Casadevall ]
  * Add support for installing dove bootloader (LP: #409238)

  [ Michael Terry ]
  * Make sure the LANG environment variable is always set (LP: #429994)
  * kde: Fix a crasher when using oem-config (don't reference step labels
    that don't exist)

  [ Colin Watson ]
  * Automatic update of included source packages: flash-kernel 2.13ubuntu10,
    grub-installer 1.43ubuntu1, partman-auto-loop 0ubuntu17.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 15 Sep 2009 23:47:02 +0100

ubiquity (1.99.18) karmic; urgency=low

  [ Evan Dandrea ]
  * Do not provide an inaccurate remaining time estimate for the file copy
    process (LP: #199834).  Thanks rugby471!
  * Call reboot as root.  Thanks Mario Limonciello!
  * Don't let the user proceed past the timezone page until a selection has
    been made (LP 425011).
  * Automatic update of included source packages: partman-auto
    89ubuntu1, partman-partitioning 71ubuntu1.

  [ Michael Terry ]
  * Add a default oem-config post-install hook that restarts HAL.  This lets
    HAL pick up any keyboard changes we made.  LP: #395625

  [ Colin Watson ]
  * More packaging simplifications: move dh_clean arguments to debian/clean;
    remove old $(BUILDDIR) cruft; move architecture-specific
    build-dependencies to debian/control, which dpkg has supported for quite
    a while; use dh-di for partman scripts.
  * Update translations from Launchpad.
  * Fix method name to allow page changing in partitioner (LP: #427347).
  * Fix oem-config crash if the KDE frontend is detected, due to trying to
    delete UBIQUITY_MIGRATION_ASSISTANT from the environment when it's not
    there (LP: #414854).
  * Stop ubiquity-dm crashing if a process it's trying to kill doesn't exist
    (LP: #423700).

  [ Jonathan Riddell ]
  * Update path to kdesu in ubiquity-wrapper

 -- Evan Dandrea <evand@ubuntu.com>  Fri, 11 Sep 2009 19:26:50 +0100

ubiquity (1.99.17) karmic; urgency=low

  [ Colin Watson ]
  * Add support for the biosgrub partman method, to be added in
    partman-partitioning 71.

  [ Mario Limonciello ]
  * Use the usplash init script to stop usplash in the oem-config init script
    It seems to do a better job, and prevents a black screen on boot with some
    drivers that aren't as usplash friendly. (LP: #403021)

  [ Evan Dandrea ]
  * Merged Michael Terry's plugins branch (LP: #419989).  See
    http://wiki.ubuntu.com/Ubiquity/Plugins for instructions on writing
    new plugins.
  * Automatic update of included source packages: clock-setup
    0.98ubuntu2.

 -- Evan Dandrea <evand@ubuntu.com>  Mon, 07 Sep 2009 09:44:29 +0100

ubiquity (1.99.16) karmic; urgency=low

  * Go back to using /var/log/oem-config.log for oem-config logging; it's
    convenient and less confusing to have that in a separate file, rather
    than /var/log/installer/debug.
  * Be more explicit in logs when ubiquity is being run as oem-config.
  * Don't warn about missing (as opposed to present-but-unreadable)
    /etc/casper.conf.
  * Don't try to copy installation logs when running as oem-config.
  * Fix setting of TARGET when ubiquity is running as oem-config.
  * Stop the po directory's mostlyclean target from removing ubiquity.pot.
    We want to keep this file in the source package.
  * Import tempfile, to stop start_debconf crashing.
  * Automatic update of included source packages: grub-installer
    1.42ubuntu2.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 02 Sep 2009 14:32:02 +0100

ubiquity (1.99.15) karmic; urgency=low

